#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_sched_tdr_queue_imm, "", "");
KSYMTAB_FUNC(drm_sched_fault, "", "");
KSYMTAB_FUNC(drm_sched_suspend_timeout, "", "");
KSYMTAB_FUNC(drm_sched_resume_timeout, "", "");
KSYMTAB_FUNC(drm_sched_stop, "", "");
KSYMTAB_FUNC(drm_sched_start, "", "");
KSYMTAB_FUNC(drm_sched_resubmit_jobs, "", "");
KSYMTAB_FUNC(drm_sched_job_init, "", "");
KSYMTAB_FUNC(drm_sched_job_arm, "", "");
KSYMTAB_FUNC(drm_sched_job_add_dependency, "", "");
KSYMTAB_FUNC(drm_sched_job_add_syncobj_dependency, "", "");
KSYMTAB_FUNC(drm_sched_job_add_resv_dependencies, "", "");
KSYMTAB_FUNC(drm_sched_job_add_implicit_dependencies, "", "");
KSYMTAB_FUNC(drm_sched_job_cleanup, "", "");
KSYMTAB_FUNC(drm_sched_pick_best, "", "");
KSYMTAB_FUNC(drm_sched_init, "", "");
KSYMTAB_FUNC(drm_sched_fini, "", "");
KSYMTAB_FUNC(drm_sched_increase_karma, "", "");
KSYMTAB_FUNC(drm_sched_wqueue_ready, "", "");
KSYMTAB_FUNC(drm_sched_wqueue_stop, "", "");
KSYMTAB_FUNC(drm_sched_wqueue_start, "", "");
KSYMTAB_FUNC(to_drm_sched_fence, "", "");
KSYMTAB_FUNC(drm_sched_entity_init, "", "");
KSYMTAB_FUNC(drm_sched_entity_modify_sched, "", "");
KSYMTAB_FUNC(drm_sched_entity_error, "", "");
KSYMTAB_FUNC(drm_sched_entity_flush, "", "");
KSYMTAB_FUNC(drm_sched_entity_fini, "", "");
KSYMTAB_FUNC(drm_sched_entity_destroy, "", "");
KSYMTAB_FUNC(drm_sched_entity_set_priority, "", "");
KSYMTAB_FUNC(drm_sched_entity_push_job, "", "");

SYMBOL_CRC(drm_sched_tdr_queue_imm, 0x529c3aaf, "");
SYMBOL_CRC(drm_sched_fault, 0x868b7c6b, "");
SYMBOL_CRC(drm_sched_suspend_timeout, 0xcf5ae48d, "");
SYMBOL_CRC(drm_sched_resume_timeout, 0xc4e28530, "");
SYMBOL_CRC(drm_sched_stop, 0xd4ecb23f, "");
SYMBOL_CRC(drm_sched_start, 0xe0836b5e, "");
SYMBOL_CRC(drm_sched_resubmit_jobs, 0x45fdc31e, "");
SYMBOL_CRC(drm_sched_job_init, 0x21680a5f, "");
SYMBOL_CRC(drm_sched_job_arm, 0xf454d0f6, "");
SYMBOL_CRC(drm_sched_job_add_dependency, 0x7d09083a, "");
SYMBOL_CRC(drm_sched_job_add_syncobj_dependency, 0xc4374287, "");
SYMBOL_CRC(drm_sched_job_add_resv_dependencies, 0xb56a397b, "");
SYMBOL_CRC(drm_sched_job_add_implicit_dependencies, 0x1fc18b8c, "");
SYMBOL_CRC(drm_sched_job_cleanup, 0x1e5b91aa, "");
SYMBOL_CRC(drm_sched_pick_best, 0x95e1c943, "");
SYMBOL_CRC(drm_sched_init, 0xc46844a2, "");
SYMBOL_CRC(drm_sched_fini, 0x43bd149f, "");
SYMBOL_CRC(drm_sched_increase_karma, 0x53fc8d91, "");
SYMBOL_CRC(drm_sched_wqueue_ready, 0x4f2901d5, "");
SYMBOL_CRC(drm_sched_wqueue_stop, 0x99825286, "");
SYMBOL_CRC(drm_sched_wqueue_start, 0x831f1182, "");
SYMBOL_CRC(to_drm_sched_fence, 0xe6695b4a, "");
SYMBOL_CRC(drm_sched_entity_init, 0x2309deb8, "");
SYMBOL_CRC(drm_sched_entity_modify_sched, 0x29063ca9, "");
SYMBOL_CRC(drm_sched_entity_error, 0x0f960255, "");
SYMBOL_CRC(drm_sched_entity_flush, 0x91a95e11, "");
SYMBOL_CRC(drm_sched_entity_fini, 0x3a86c901, "");
SYMBOL_CRC(drm_sched_entity_destroy, 0x3b315649, "");
SYMBOL_CRC(drm_sched_entity_set_priority, 0xe245b72a, "");
SYMBOL_CRC(drm_sched_entity_push_job, 0xd19937f9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf5c9d7de, "drm_syncobj_find_fence" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa82bd2a0, "trace_raw_output_prep" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x4167adb3, "rt_mutex_base_init" },
	{ 0x459e6ba8, "finish_wait" },
	{ 0x437d4d46, "trace_event_printf" },
	{ 0x289ca9a7, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0xae9c2f1d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x633527f8, "bpf_trace_run2" },
	{ 0xd99fb3dc, "prepare_to_wait_event" },
	{ 0x8c849ef8, "__wake_up" },
	{ 0xb366b4cb, "event_triggers_call" },
	{ 0x54330230, "dma_fence_add_callback" },
	{ 0x43a25b40, "dma_fence_set_deadline" },
	{ 0xe8e4f1b3, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x914ec35a, "dma_fence_wait_timeout" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xaa0a2631, "dev_driver_string" },
	{ 0xb34c3f2f, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e3f195, "trace_event_ignore_this_pid" },
	{ 0xe0f7a6f7, "dma_resv_iter_next" },
	{ 0xfc7838de, "dma_fence_remove_callback" },
	{ 0x4b344af6, "kmem_cache_alloc" },
	{ 0x1a621635, "drm_dev_printk" },
	{ 0xc3c12291, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x6f7cc083, "perf_trace_run_bpf_submit" },
	{ 0x7343bbb1, "_dev_err" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1027b12b, "xa_load" },
	{ 0xbdb2cc81, "dma_fence_signal" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xb0ce3b19, "kmem_cache_free" },
	{ 0xa17e7c83, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x8aa0991b, "dma_fence_init" },
	{ 0x145afa6d, "bpf_trace_run1" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xfd8798e5, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x71db24e4, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x166ed2c8, "rt_spin_unlock" },
	{ 0x4e7a420c, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3dc25088, "xa_erase" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x6a30e62c, "trace_event_buffer_reserve" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xbc64673, "xa_destroy" },
	{ 0x2745dd7d, "xa_find" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x909f31ea, "xa_store" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xcf4f1699, "dma_resv_iter_first" },
	{ 0x1a3dc3bf, "xa_find_after" },
	{ 0xe3b82c0b, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x754d539c, "strlen" },
	{ 0xfb7e4213, "param_ops_int" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2effab57, "kmalloc_caches" },
	{ 0x8cae5f5c, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4045bda5, "module_layout" },
};

MODULE_INFO(depends, "drm");


MODULE_INFO(srcversion, "36CEA099525BB91D92912C6");
MODULE_INFO(rhelversion, "9.7");
