#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(stm_register_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_data_write, "_gpl", "");
KSYMTAB_FUNC(stm_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_write, "_gpl", "");
KSYMTAB_FUNC(to_pdrv_policy_node, "_gpl", "");

SYMBOL_CRC(stm_register_protocol, 0xea63ae3e, "_gpl");
SYMBOL_CRC(stm_unregister_protocol, 0xb022f57b, "_gpl");
SYMBOL_CRC(stm_data_write, 0xbb1df116, "_gpl");
SYMBOL_CRC(stm_register_device, 0xd80cd84f, "_gpl");
SYMBOL_CRC(stm_unregister_device, 0xbbb1ca18, "_gpl");
SYMBOL_CRC(stm_source_register_device, 0xaa5f5d06, "_gpl");
SYMBOL_CRC(stm_source_unregister_device, 0x0dbec418, "_gpl");
SYMBOL_CRC(stm_source_write, 0xa319dff1, "_gpl");
SYMBOL_CRC(to_pdrv_policy_node, 0x7dc6b54d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x67804434, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6298d815, "config_group_init" },
	{ 0xd64ed259, "__memcat_p" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xebb0216a, "device_unregister" },
	{ 0x13f06dd5, "pm_runtime_set_autosuspend_delay" },
	{ 0x4167adb3, "rt_mutex_base_init" },
	{ 0xeba06584, "vm_iomap_memory" },
	{ 0x4512d7c6, "config_item_get" },
	{ 0x99014b35, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0xae9c2f1d, "pcpu_hot" },
	{ 0xc88c4cf6, "synchronize_srcu" },
	{ 0xb9eca6bf, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb2d108d1, "configfs_unregister_subsystem" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4dfb6bcf, "__pm_runtime_set_status" },
	{ 0x574c2e74, "bitmap_release_region" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x60ac84cc, "put_device" },
	{ 0x2a381cf0, "pm_runtime_enable" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x9f984513, "strrchr" },
	{ 0xf75c2811, "module_put" },
	{ 0xc4de9981, "compat_ptr_ioctl" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xe9807d2e, "init_srcu_struct" },
	{ 0x959339b1, "down_write" },
	{ 0x2c59427, "up_write" },
	{ 0xb864df7e, "configfs_register_subsystem" },
	{ 0x54f0b7ce, "device_add" },
	{ 0xdac4913a, "bitmap_allocate_region" },
	{ 0xf7a67c82, "__srcu_read_lock" },
	{ 0x95a30b60, "config_group_init_type_name" },
	{ 0x499e043c, "mutex_lock" },
	{ 0x3baad6a7, "class_unregister" },
	{ 0x3c876e78, "cleanup_srcu_struct" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xc9f0e94b, "__get_task_comm" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x166ed2c8, "rt_spin_unlock" },
	{ 0x97ed113e, "pm_runtime_no_callbacks" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4e7a420c, "rt_spin_lock" },
	{ 0x5c887ed4, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x51b1600c, "pm_runtime_forbid" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xd21678ba, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x13ea7980, "mutex_unlock" },
	{ 0xc4c95679, "config_item_put" },
	{ 0x8d2663ae, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x3766f29f, "kobject_set_name" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x25945812, "device_match_name" },
	{ 0x27039aab, "__srcu_read_unlock" },
	{ 0xdc73af9, "boot_cpu_data" },
	{ 0xe3b82c0b, "kmalloc_trace" },
	{ 0x819e7292, "__pm_runtime_suspend" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0xb971ffcb, "__pm_runtime_use_autosuspend" },
	{ 0xc37197f6, "__pm_runtime_disable" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xa049f962, "__mutex_rt_init" },
	{ 0xaec0da94, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2effab57, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x7981add1, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x4045bda5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F8F69BDCAFE2113ED1BC33F");
MODULE_INFO(rhelversion, "9.7");
