#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iommufd_device_bind, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_has_group, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_unbind, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_to_ictx, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_to_id, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_attach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_replace, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_detach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_create, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_destroy, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_detach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_attach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_replace, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_unpin_pages, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_pin_pages, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_rw, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_get, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_from_file, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_from_fd, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_put, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_vfio_compat_ioas_get_id, "_gpl", "IOMMUFD_VFIO");
KSYMTAB_FUNC(iommufd_vfio_compat_set_no_iommu, "_gpl", "IOMMUFD_VFIO");
KSYMTAB_FUNC(iommufd_vfio_compat_ioas_create, "_gpl", "IOMMUFD_VFIO");

SYMBOL_CRC(iommufd_device_bind, 0x018b4527, "_gpl");
SYMBOL_CRC(iommufd_ctx_has_group, 0x5afc95ad, "_gpl");
SYMBOL_CRC(iommufd_device_unbind, 0x9405cdd9, "_gpl");
SYMBOL_CRC(iommufd_device_to_ictx, 0x46fe5b54, "_gpl");
SYMBOL_CRC(iommufd_device_to_id, 0xa5ef2c0a, "_gpl");
SYMBOL_CRC(iommufd_device_attach, 0x621c31aa, "_gpl");
SYMBOL_CRC(iommufd_device_replace, 0x7b2d4b57, "_gpl");
SYMBOL_CRC(iommufd_device_detach, 0x2440ae9a, "_gpl");
SYMBOL_CRC(iommufd_access_create, 0x027cdb03, "_gpl");
SYMBOL_CRC(iommufd_access_destroy, 0x44870fea, "_gpl");
SYMBOL_CRC(iommufd_access_detach, 0xde0efe8b, "_gpl");
SYMBOL_CRC(iommufd_access_attach, 0x8e338f51, "_gpl");
SYMBOL_CRC(iommufd_access_replace, 0xedf7172d, "_gpl");
SYMBOL_CRC(iommufd_access_unpin_pages, 0x097212f2, "_gpl");
SYMBOL_CRC(iommufd_access_pin_pages, 0x9fad07fc, "_gpl");
SYMBOL_CRC(iommufd_access_rw, 0x27ecd74f, "_gpl");
SYMBOL_CRC(iommufd_ctx_get, 0xb5e4d1b3, "_gpl");
SYMBOL_CRC(iommufd_ctx_from_file, 0xe6df04c1, "_gpl");
SYMBOL_CRC(iommufd_ctx_from_fd, 0x56869839, "_gpl");
SYMBOL_CRC(iommufd_ctx_put, 0x27ce23ec, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_ioas_get_id, 0x14e7931d, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_set_no_iommu, 0x16012249, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_ioas_create, 0x65b5130a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2499e98b, "pin_user_pages_fast" },
	{ 0x680bea5b, "iova_bitmap_free" },
	{ 0x900d2bcd, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x227c613e, "__init_rwsem" },
	{ 0x150437b3, "misc_deregister" },
	{ 0xe4252fcb, "iommu_device_claim_dma_owner" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x19dacd79, "iopf_free_group" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8c4c358, "iommu_group_get" },
	{ 0xdf199cb, "pin_user_pages_remote" },
	{ 0xe4617d14, "iommu_iova_to_phys" },
	{ 0x4167adb3, "rt_mutex_base_init" },
	{ 0x459e6ba8, "finish_wait" },
	{ 0xce016516, "memfd_pin_folios" },
	{ 0xee594f28, "__mmap_lock_do_trace_acquire_returned" },
	{ 0xe19c45f6, "fget" },
	{ 0x6bff7d9e, "__put_task_struct" },
	{ 0x41eb58d6, "__xas_next" },
	{ 0x769ecaf6, "xas_find" },
	{ 0xc2f98c18, "iommu_dev_disable_feature" },
	{ 0xbbc89193, "unpin_user_pages" },
	{ 0xec93d8f8, "fd_install" },
	{ 0xd791b35c, "iopf_group_response" },
	{ 0xbfc1d1a, "check_zeroed_user" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5298c6da, "unpin_user_page_range_dirty_lock" },
	{ 0xae9c2f1d, "pcpu_hot" },
	{ 0xc9b57b76, "__account_locked_vm" },
	{ 0xd99fb3dc, "prepare_to_wait_event" },
	{ 0xf66b1aba, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0x8c849ef8, "__wake_up" },
	{ 0x5f3619e2, "get_device" },
	{ 0xc7a03a8, "iova_bitmap_alloc" },
	{ 0x89485687, "iommu_group_put" },
	{ 0x58e32790, "unpin_folios" },
	{ 0x62eb248c, "__tracepoint_mmap_lock_released" },
	{ 0x3e90b760, "iommu_group_replace_domain" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0x69248415, "kthread_use_mm" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x19817340, "iommu_detach_group_handle" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x2da8959d, "iommu_detach_group" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x60ac84cc, "put_device" },
	{ 0x7429297b, "interval_tree_span_iter_next" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x46576a2d, "iommu_dev_enable_feature" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc3c12291, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0x5252cba5, "fput" },
	{ 0x959339b1, "down_write" },
	{ 0xc03d9f2c, "iommu_domain_free" },
	{ 0x2c59427, "up_write" },
	{ 0x53d67291, "iommu_get_msi_cookie" },
	{ 0xfe0ffbc8, "xas_store" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x89333d75, "iommu_unmap" },
	{ 0x1027b12b, "xa_load" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0xcd2da7f4, "xas_load" },
	{ 0x499e043c, "mutex_lock" },
	{ 0x611565b4, "iova_bitmap_for_each" },
	{ 0x4afe9a2c, "iommu_attach_handle_get" },
	{ 0x1283c5ad, "iommu_replace_group_handle" },
	{ 0x591d3e04, "iommu_device_release_dma_owner" },
	{ 0xcd96f85c, "folio_add_pins" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xfb578fc5, "memset" },
	{ 0xfd8798e5, "_dev_warn" },
	{ 0xfda3f482, "misc_register" },
	{ 0x534a22e5, "unpin_user_page" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xcc366418, "iommu_paging_domain_alloc_flags" },
	{ 0x71db24e4, "__init_waitqueue_head" },
	{ 0x166ed2c8, "rt_spin_unlock" },
	{ 0x4d54f7f5, "iommu_put_resv_regions" },
	{ 0x17d9b138, "_iommufd_object_alloc" },
	{ 0xca968ca4, "down_read" },
	{ 0xa0505786, "__mmdrop" },
	{ 0x4e7a420c, "rt_spin_lock" },
	{ 0x1e2dcd39, "__xa_cmpxchg" },
	{ 0x5c887ed4, "nonseekable_open" },
	{ 0x3dc25088, "xa_erase" },
	{ 0xa587325a, "__mmap_lock_do_trace_start_locking" },
	{ 0xa32cb294, "iommu_get_resv_regions" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x6203ca7d, "pci_pri_supported" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x1a39081e, "mmput" },
	{ 0x13ea7980, "mutex_unlock" },
	{ 0xeefaea35, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xbc64673, "xa_destroy" },
	{ 0x2745dd7d, "xa_find" },
	{ 0xc1e6986e, "interval_tree_span_iter_first" },
	{ 0x48752353, "__tracepoint_mmap_lock_start_locking" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x169b5f63, "__mmap_lock_do_trace_released" },
	{ 0x909f31ea, "xa_store" },
	{ 0x14a2d013, "set_page_dirty_lock" },
	{ 0x75a445f1, "device_iommu_capable" },
	{ 0x797f1ab7, "xas_nomem" },
	{ 0xabee33ea, "iommu_map" },
	{ 0x28652f5e, "free_uid" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0x12ffa2c2, "kthread_unuse_mm" },
	{ 0x76517f03, "interval_tree_span_iter_advance" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x810ce1c8, "iommu_attach_group_handle" },
	{ 0xe3b82c0b, "kmalloc_trace" },
	{ 0x1a3dc3bf, "xa_find_after" },
	{ 0x94160518, "__put_task_struct_rcu_cb" },
	{ 0xa0766ba4, "iommu_attach_group" },
	{ 0x6d49c8ed, "iommu_group_has_isolated_msi" },
	{ 0x4ee292af, "up_read" },
	{ 0xa049f962, "__mutex_rt_init" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xab7da0, "pci_bus_type" },
	{ 0x2effab57, "kmalloc_caches" },
	{ 0x4045bda5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A4DA0A524E72CDD5769EE0B");
MODULE_INFO(rhelversion, "9.7");
