#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dm_send_uevents, "_gpl", "");
KSYMTAB_FUNC(dm_path_uevent, "_gpl", "");
KSYMTAB_FUNC(dm_report_zones, "_gpl", "");
KSYMTAB_FUNC(dm_audit_log_ti, "_gpl", "");
KSYMTAB_FUNC(dm_audit_log_bio, "_gpl", "");
KSYMTAB_FUNC(dm_per_bio_data, "_gpl", "");
KSYMTAB_FUNC(dm_bio_from_per_bio_data, "_gpl", "");
KSYMTAB_FUNC(dm_bio_get_target_bio_nr, "_gpl", "");
KSYMTAB_FUNC(dm_get_reserved_bio_based_ios, "_gpl", "");
KSYMTAB_FUNC(dm_start_time_ns_from_clone, "_gpl", "");
KSYMTAB_FUNC(dm_set_target_max_io_len, "_gpl", "");
KSYMTAB_FUNC(dm_accept_partial_bio, "_gpl", "");
KSYMTAB_FUNC(dm_submit_bio_remap, "_gpl", "");
KSYMTAB_FUNC(dm_get_md, "_gpl", "");
KSYMTAB_FUNC(dm_hold, "_gpl", "");
KSYMTAB_FUNC(dm_device_name, "_gpl", "");
KSYMTAB_FUNC(dm_put, "_gpl", "");
KSYMTAB_FUNC(dm_internal_suspend_noflush, "_gpl", "");
KSYMTAB_FUNC(dm_internal_resume, "_gpl", "");
KSYMTAB_FUNC(dm_internal_suspend_fast, "_gpl", "");
KSYMTAB_FUNC(dm_internal_resume_fast, "_gpl", "");
KSYMTAB_FUNC(dm_disk, "_gpl", "");
KSYMTAB_FUNC(dm_suspended, "_gpl", "");
KSYMTAB_FUNC(dm_post_suspending, "_gpl", "");
KSYMTAB_FUNC(dm_noflush_suspending, "_gpl", "");
KSYMTAB_FUNC(dm_devt_from_path, "", "");
KSYMTAB_FUNC(dm_get_device, "", "");
KSYMTAB_FUNC(dm_put_device, "", "");
KSYMTAB_FUNC(dm_read_arg, "", "");
KSYMTAB_FUNC(dm_read_arg_group, "", "");
KSYMTAB_FUNC(dm_shift_arg, "", "");
KSYMTAB_FUNC(dm_consume_args, "", "");
KSYMTAB_FUNC(dm_table_set_type, "_gpl", "");
KSYMTAB_FUNC(dm_table_event, "", "");
KSYMTAB_FUNC(dm_table_get_size, "", "");
KSYMTAB_FUNC(dm_table_get_mode, "", "");
KSYMTAB_FUNC(dm_table_get_md, "", "");
KSYMTAB_FUNC(dm_table_device_name, "_gpl", "");
KSYMTAB_FUNC(dm_table_run_md_queue_async, "", "");
KSYMTAB_FUNC(dm_register_target, "", "");
KSYMTAB_FUNC(dm_unregister_target, "", "");
KSYMTAB_FUNC(dm_copy_name_and_uuid, "_gpl", "");
KSYMTAB_FUNC(dm_io_client_create, "", "");
KSYMTAB_FUNC(dm_io_client_destroy, "", "");
KSYMTAB_FUNC(dm_io, "", "");
KSYMTAB_FUNC(dm_kcopyd_copy, "", "");
KSYMTAB_FUNC(dm_kcopyd_zero, "", "");
KSYMTAB_FUNC(dm_kcopyd_prepare_callback, "", "");
KSYMTAB_FUNC(dm_kcopyd_do_callback, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_create, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_destroy, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_flush, "", "");
KSYMTAB_FUNC(dm_mq_kick_requeue_list, "", "");

SYMBOL_CRC(dm_send_uevents, 0x516b2365, "_gpl");
SYMBOL_CRC(dm_path_uevent, 0x557e5e1f, "_gpl");
SYMBOL_CRC(dm_report_zones, 0xa54a972d, "_gpl");
SYMBOL_CRC(dm_audit_log_ti, 0x86521218, "_gpl");
SYMBOL_CRC(dm_audit_log_bio, 0x9080bcc9, "_gpl");
SYMBOL_CRC(dm_per_bio_data, 0x9b9b7e27, "_gpl");
SYMBOL_CRC(dm_bio_from_per_bio_data, 0xfd47c0e2, "_gpl");
SYMBOL_CRC(dm_bio_get_target_bio_nr, 0x17acae37, "_gpl");
SYMBOL_CRC(dm_get_reserved_bio_based_ios, 0x38f704de, "_gpl");
SYMBOL_CRC(dm_start_time_ns_from_clone, 0x93ff6469, "_gpl");
SYMBOL_CRC(dm_set_target_max_io_len, 0xb7d7236b, "_gpl");
SYMBOL_CRC(dm_accept_partial_bio, 0x2f19bb34, "_gpl");
SYMBOL_CRC(dm_submit_bio_remap, 0xdb172315, "_gpl");
SYMBOL_CRC(dm_get_md, 0x50e3bcae, "_gpl");
SYMBOL_CRC(dm_hold, 0x87eef5ef, "_gpl");
SYMBOL_CRC(dm_device_name, 0x8cc1f27b, "_gpl");
SYMBOL_CRC(dm_put, 0xfc72ddb6, "_gpl");
SYMBOL_CRC(dm_internal_suspend_noflush, 0x1e9d6ba9, "_gpl");
SYMBOL_CRC(dm_internal_resume, 0xcef2fff6, "_gpl");
SYMBOL_CRC(dm_internal_suspend_fast, 0xc1e4a7fd, "_gpl");
SYMBOL_CRC(dm_internal_resume_fast, 0x658b5e1f, "_gpl");
SYMBOL_CRC(dm_disk, 0xeeb739e8, "_gpl");
SYMBOL_CRC(dm_suspended, 0xb8c1535d, "_gpl");
SYMBOL_CRC(dm_post_suspending, 0x193aa8f4, "_gpl");
SYMBOL_CRC(dm_noflush_suspending, 0xad8e815a, "_gpl");
SYMBOL_CRC(dm_devt_from_path, 0x23418c7d, "");
SYMBOL_CRC(dm_get_device, 0xc4fc735b, "");
SYMBOL_CRC(dm_put_device, 0x1804cd73, "");
SYMBOL_CRC(dm_read_arg, 0x056bcf7b, "");
SYMBOL_CRC(dm_read_arg_group, 0x39c74235, "");
SYMBOL_CRC(dm_shift_arg, 0x7d27e504, "");
SYMBOL_CRC(dm_consume_args, 0x669c191b, "");
SYMBOL_CRC(dm_table_set_type, 0x67c6f5f2, "_gpl");
SYMBOL_CRC(dm_table_event, 0x458ececb, "");
SYMBOL_CRC(dm_table_get_size, 0xa54a5c61, "");
SYMBOL_CRC(dm_table_get_mode, 0x45713ffe, "");
SYMBOL_CRC(dm_table_get_md, 0x45fdf27a, "");
SYMBOL_CRC(dm_table_device_name, 0x52e4b17c, "_gpl");
SYMBOL_CRC(dm_table_run_md_queue_async, 0xc9e21f2d, "");
SYMBOL_CRC(dm_register_target, 0x0858efbe, "");
SYMBOL_CRC(dm_unregister_target, 0x2ad4abb6, "");
SYMBOL_CRC(dm_copy_name_and_uuid, 0x6f9e388c, "_gpl");
SYMBOL_CRC(dm_io_client_create, 0x601f665f, "");
SYMBOL_CRC(dm_io_client_destroy, 0x9e4faeef, "");
SYMBOL_CRC(dm_io, 0x9bc795a2, "");
SYMBOL_CRC(dm_kcopyd_copy, 0x2b611ff6, "");
SYMBOL_CRC(dm_kcopyd_zero, 0xa503d6f0, "");
SYMBOL_CRC(dm_kcopyd_prepare_callback, 0xf1f88a0e, "");
SYMBOL_CRC(dm_kcopyd_do_callback, 0xf2a8efae, "");
SYMBOL_CRC(dm_kcopyd_client_create, 0x9dd9df13, "");
SYMBOL_CRC(dm_kcopyd_client_destroy, 0x154c6338, "");
SYMBOL_CRC(dm_kcopyd_client_flush, 0x90006be6, "");
SYMBOL_CRC(dm_mq_kick_requeue_list, 0x9809d031, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x74396a21, "bio_associate_blkg" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe1dcf64a, "audit_log_format" },
	{ 0xf08f72fd, "set_disk_ro" },
	{ 0x12da473a, "__blk_alloc_disk" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x67804434, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x227c613e, "__init_rwsem" },
	{ 0x150437b3, "misc_deregister" },
	{ 0x877c43ca, "blk_start_plug" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xf783af4a, "idr_find" },
	{ 0x9a880c15, "param_ops_uint" },
	{ 0x5afeb4d3, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2a976d1c, "dax_synchronous" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8ca919af, "bio_split_to_limits" },
	{ 0x4cd5261c, "vmalloc_to_page" },
	{ 0xa504db64, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd4404350, "__SCT__tp_func_block_split" },
	{ 0xcf02ab71, "__SCT__tp_func_block_rq_remap" },
	{ 0x9d8bb00e, "set_dax_nocache" },
	{ 0xf0745e2c, "bio_poll" },
	{ 0xca9360b5, "rb_next" },
	{ 0x5775948c, "blk_mq_queue_inflight" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x4167adb3, "rt_mutex_base_init" },
	{ 0x459e6ba8, "finish_wait" },
	{ 0xeb37101c, "audit_log_end" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7de1fd59, "idr_replace" },
	{ 0xadde1616, "dm_kobject_release" },
	{ 0xcf2a6966, "up" },
	{ 0xa2a4db9c, "mempool_init" },
	{ 0xf913f4c2, "blk_rq_prep_clone" },
	{ 0x8058bc28, "blk_mq_unquiesce_queue" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xbfc3c272, "prepare_to_wait" },
	{ 0xe78fa152, "blk_mq_quiesce_queue" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xae9c2f1d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x6e505f56, "blk_mq_kick_requeue_list" },
	{ 0x138e0957, "dax_write_cache_enabled" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd99fb3dc, "prepare_to_wait_event" },
	{ 0xce246371, "blk_rq_unprep_clone" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x8c849ef8, "__wake_up" },
	{ 0xc88c4cf6, "synchronize_srcu" },
	{ 0xe8e4f1b3, "kmem_cache_create" },
	{ 0x3a832242, "blk_mq_end_request" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xe3466c1a, "bdev_thaw" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x65feded0, "mempool_free" },
	{ 0x4fb3e180, "alloc_dax" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9b7eb57e, "blk_mq_delay_kick_requeue_list" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x19f755c5, "blk_mq_alloc_tag_set" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xacf649bf, "audit_log_task_info" },
	{ 0x8c87e980, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x75d3f31d, "bioset_integrity_create" },
	{ 0x92997ed8, "_printk" },
	{ 0xbca029f6, "put_disk" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x33554c93, "bio_integrity_trim" },
	{ 0x1000e51, "schedule" },
	{ 0xf475e8a4, "__fput_sync" },
	{ 0xfad9c827, "kill_dax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x91bcd8ad, "__tracepoint_block_split" },
	{ 0xa916b694, "strnlen" },
	{ 0x1c589734, "kmalloc_node_trace" },
	{ 0x3f0b15a4, "__SCK__tp_func_block_split" },
	{ 0x5a17f5c, "mempool_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1c1a9a59, "__free_pages" },
	{ 0x4b344af6, "kmem_cache_alloc" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xe5c0fbdb, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0xd7781549, "submit_bio" },
	{ 0xf75c2811, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x4bf31948, "blk_mq_init_allocated_queue" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x5dbb1e69, "bioset_exit" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0x5739a145, "ima_measure_critical_data" },
	{ 0xb2351e8e, "idr_remove" },
	{ 0xef9c3a8c, "kobject_uevent_env" },
	{ 0x755f95d1, "bio_put" },
	{ 0xda276f85, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9e9c4f24, "set_dax_nomc" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xe9807d2e, "init_srcu_struct" },
	{ 0xf343ae87, "__SCK__tp_func_block_bio_remap" },
	{ 0x5252cba5, "fput" },
	{ 0x959339b1, "down_write" },
	{ 0x12e76f0a, "blk_revalidate_disk_zones" },
	{ 0x2c59427, "up_write" },
	{ 0x3011de77, "blk_update_request" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xf653e4b8, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0xf7a67c82, "__srcu_read_lock" },
	{ 0x78c6be6a, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x74986d91, "set_capacity" },
	{ 0x3fd6c3e, "submit_bio_noacct" },
	{ 0x93354407, "noop_llseek" },
	{ 0x6626afca, "down" },
	{ 0x5f6f1e9e, "dax_get_private" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x499e043c, "mutex_lock" },
	{ 0x6525c92f, "bdev_start_io_acct" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0xb0ce3b19, "kmem_cache_free" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xcff14cff, "bio_chain" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x2b0566e6, "bdev_freeze" },
	{ 0x392b1fea, "wait_for_completion_io" },
	{ 0xf7f546ee, "blk_stack_limits" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd71955dc, "kobject_init_and_add" },
	{ 0xe9bb1c68, "zero_fill_bio_iter" },
	{ 0x8597a121, "bio_add_page" },
	{ 0xb9eb3371, "crypto_shash_update" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xe7720ac8, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb94b5b84, "del_gendisk" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c876e78, "cleanup_srcu_struct" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xbe5493dd, "bdev_file_open_by_dev" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x10f662a, "blk_set_stacking_limits" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb44e18ea, "audit_enabled" },
	{ 0x2552325d, "idr_destroy" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x8c9530d5, "bd_unlink_disk_holder" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x30be0746, "bio_init" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x54fa845c, "bio_alloc_clone" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xfda3f482, "misc_register" },
	{ 0xaa7e4854, "__alloc_pages" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x64b2b0a9, "blk_insert_cloned_request" },
	{ 0x71db24e4, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x166ed2c8, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xca968ca4, "down_read" },
	{ 0x4e7a420c, "rt_spin_lock" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xea66b8d4, "audit_log_start" },
	{ 0x5c887ed4, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd2792fcb, "blk_mq_complete_request" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x96001fe4, "bio_uninit" },
	{ 0xdc405b47, "crypto_shash_final" },
	{ 0x13ea7980, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0xeefaea35, "param_ops_bool" },
	{ 0x11a9679b, "bioset_init" },
	{ 0xdf9297e1, "bio_trim" },
	{ 0x330f6116, "set_dax_synchronous" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x27039aab, "__srcu_read_unlock" },
	{ 0x8135613, "dax_write_cache" },
	{ 0x8dd6528e, "__tracepoint_block_bio_remap" },
	{ 0xe72638b1, "__tracepoint_block_rq_remap" },
	{ 0xf5362057, "bd_link_disk_holder" },
	{ 0x6a7b34a5, "blk_mq_start_request" },
	{ 0xdc73af9, "boot_cpu_data" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0x7242d92, "put_dax" },
	{ 0xfc82216d, "file_bdev" },
	{ 0x9d8ec7f3, "queue_limits_stack_integrity" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xc3a68cbc, "__SCK__tp_func_block_rq_remap" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xe3b82c0b, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xd9a440cb, "blk_mark_disk_dead" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x868b8b10, "blk_zone_plug_bio" },
	{ 0xfb7e4213, "param_ops_int" },
	{ 0x273aa819, "blk_mq_run_hw_queues" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0xf98bc7c9, "crypto_alloc_shash" },
	{ 0x86f6b99d, "synchronize_rcu_expedited" },
	{ 0xf94374bd, "queue_limits_set" },
	{ 0xfaf6bb6b, "bio_alloc_bioset" },
	{ 0x4ee292af, "up_read" },
	{ 0x4893d23f, "blk_mq_requeue_request" },
	{ 0xa049f962, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x8b056c99, "blkdev_report_zones" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xefa5ac6e, "bdev_end_io_acct" },
	{ 0x2effab57, "kmalloc_caches" },
	{ 0x1ec3eeae, "mempool_exit" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x8cae5f5c, "kmem_cache_destroy" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xcb78591c, "kobject_put" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x4045bda5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "60BB920486315B9C11B813E");
MODULE_INFO(rhelversion, "9.7");
