#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa4876d81, "genphy_c37_read_status" },
	{ 0xa3adc3f1, "genphy_read_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5e0654b6, "bcm_phy_get_sset_count" },
	{ 0x198dd146, "bcm_ptp_probe" },
	{ 0x40d05bb0, "devm_gpiod_get" },
	{ 0xb5bb9609, "gpiod_to_irq" },
	{ 0xa0f0ddfd, "bcm_phy_wol_isr" },
	{ 0xe88d2e0, "devm_request_threaded_irq" },
	{ 0x516e297b, "device_set_wakeup_capable" },
	{ 0x607022, "device_wakeup_enable" },
	{ 0x7d556227, "phy_resolve_aneg_linkmode" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xe54c4503, "bcm_ptp_stop" },
	{ 0x958882e3, "bcm_ptp_config_init" },
	{ 0xb27fdc3c, "pm_wakeup_dev_event" },
	{ 0x6aac8c72, "genphy_resume" },
	{ 0xfbfddfab, "genphy_soft_reset" },
	{ 0xd690a40e, "bcm_phy_config_intr" },
	{ 0xaff954b4, "bcm_phy_handle_interrupt" },
	{ 0xa2e16e71, "bcm_phy_get_strings" },
	{ 0x5e48d3f9, "bcm_phy_led_brightness_set" },
	{ 0x67a3ae49, "genphy_suspend" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x69983064, "phy_drivers_register" },
	{ 0x701e8b6, "mdiobus_read" },
	{ 0xab4f7808, "phy_trigger_machine" },
	{ 0x396f49b, "phy_error" },
	{ 0x540537f8, "bcm54xx_auxctl_read" },
	{ 0x8777c190, "bcm54xx_auxctl_write" },
	{ 0x2dac9abc, "bcm_phy_read_shadow" },
	{ 0x1aa6ee1, "bcm_phy_write_shadow" },
	{ 0x7c05a317, "bcm_config_lre_aneg" },
	{ 0xcaa85143, "__genphy_config_aneg" },
	{ 0x6593aa55, "phy_modify" },
	{ 0xa44f6b70, "genphy_c37_config_aneg" },
	{ 0x9ad80fd0, "devm_kmalloc" },
	{ 0x6bdf35ee, "bcm_phy_get_wol" },
	{ 0x98c0c401, "bcm_phy_set_wol" },
	{ 0xc96a029b, "bcm_phy_get_stats" },
	{ 0xf705cdcc, "phy_drivers_unregister" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xefcbd7b6, "mdiobus_write" },
	{ 0x174c10ea, "bcm_phy_read_exp" },
	{ 0xa8981b65, "bcm_phy_write_exp" },
	{ 0x690f585e, "phy_basic_ports_array" },
	{ 0xb9f914fd, "genphy_read_abilities" },
	{ 0x4045bda5, "module_layout" },
};

MODULE_INFO(depends, "bcm-phy-lib,bcm-phy-ptp");

MODULE_ALIAS("mdio:0000000000100000011000000111????");
MODULE_ALIAS("mdio:0000000000100000011000001110????");
MODULE_ALIAS("mdio:0110000000001101100001001010????");
MODULE_ALIAS("mdio:0000000000100000011000001100????");
MODULE_ALIAS("mdio:0000001101100010010111100110????");
MODULE_ALIAS("mdio:0000001101100010010111010001????");
MODULE_ALIAS("mdio:0000000000100000011000001011????");
MODULE_ALIAS("mdio:0000000101000011101111001010????");
MODULE_ALIAS("mdio:0000001101100010010111010000????");
MODULE_ALIAS("mdio:0000001101100010010111001100????");
MODULE_ALIAS("mdio:0000000101000011101111001011????");
MODULE_ALIAS("mdio:0000000101000011101111010110????");
MODULE_ALIAS("mdio:0000000101000011101111010111????");
MODULE_ALIAS("mdio:0000001101100010010111011001????");
MODULE_ALIAS("mdio:0000000101000011101111000111????");
MODULE_ALIAS("mdio:0000000101000011101111000011????");
MODULE_ALIAS("mdio:0000000101000011101111001111????");
MODULE_ALIAS("mdio:0000001101100010010111110010????");
MODULE_ALIAS("mdio:0000001101100010010111100001????");
MODULE_ALIAS("mdio:0000001101100010010111001101????");

MODULE_INFO(srcversion, "396EFF9154C30096E313E3D");
MODULE_INFO(rhelversion, "9.7");
