#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0xd2f87cb5, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0x1ca75b23, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0x22966c4d, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0x7c766ae4, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0xe133cda8, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0x643fe3e7, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0x296e0029, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0xb4ebdf9b, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0xb9ed401c, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0x9a26bff1, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0x54a686db, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0x5b1804a8, "_gpl");
SYMBOL_CRC(usbnet_stop, 0x946d3b1e, "_gpl");
SYMBOL_CRC(usbnet_open, 0xd32984ac, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0x300387c4, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0x2b067c87, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0xf9bf9701, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0x9c6de747, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0x5449ebe3, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0x2356f31c, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0x85e4d537, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0x9d448f77, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0xa52adffd, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0x7543ac4f, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0xd3fafe10, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0x947da034, "_gpl");
SYMBOL_CRC(usbnet_probe, 0x21d936d1, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0x9fc3c2e8, "_gpl");
SYMBOL_CRC(usbnet_resume, 0x1315bce5, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0x031d1ef8, "");
SYMBOL_CRC(usbnet_manage_power, 0xef58362d, "");
SYMBOL_CRC(usbnet_link_change, 0x25f5f9fd, "");
SYMBOL_CRC(usbnet_read_cmd, 0x35d01abf, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0x00daff6e, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0x6b148d93, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0xe2ead43d, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0x7d4f400c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1317cfd4, "usb_set_interface" },
	{ 0xe7d314f7, "usb_string" },
	{ 0xb9eca6bf, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x24a3d57f, "skb_defer_rx_timestamp" },
	{ 0x39178a46, "netif_rx" },
	{ 0x7ebda8a3, "eth_type_trans" },
	{ 0x6dfebbf3, "skb_queue_tail" },
	{ 0x6367f2e6, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x2d0aca89, "skb_queue_purge_reason" },
	{ 0x4e7a420c, "rt_spin_lock" },
	{ 0x166ed2c8, "rt_spin_unlock" },
	{ 0xdaf360a8, "usb_get_urb" },
	{ 0xdfe2d174, "usb_unlink_urb" },
	{ 0x8e6f0ab6, "usb_free_urb" },
	{ 0xae9c2f1d, "pcpu_hot" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x6408a7a7, "__tracepoint_sched_set_state_tp" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xb589fb31, "add_wait_queue" },
	{ 0xca6204cd, "remove_wait_queue" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9d2b07d, "usb_submit_urb" },
	{ 0x3d5f2bd8, "netdev_err" },
	{ 0x4eec5842, "mii_ethtool_get_link_ksettings" },
	{ 0x978955cf, "mii_ethtool_set_link_ksettings" },
	{ 0x8da7c168, "mii_nway_restart" },
	{ 0x37a0cba, "kfree" },
	{ 0xc6c3a882, "unregister_netdev" },
	{ 0xd2246942, "usb_scuttle_anchored_urbs" },
	{ 0x1fff36ba, "usb_kill_urb" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x1e73243f, "free_netdev" },
	{ 0x7260415d, "netdev_info" },
	{ 0x1174f247, "netif_device_detach" },
	{ 0x499e043c, "mutex_lock" },
	{ 0x13ea7980, "mutex_unlock" },
	{ 0x73465f76, "netif_device_attach" },
	{ 0xbd58c528, "netif_carrier_on" },
	{ 0x187efd48, "netif_carrier_off" },
	{ 0xbe98c495, "usb_control_msg" },
	{ 0x69acdf38, "memcpy" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb7f562b2, "usb_autopm_get_interface" },
	{ 0x45052b83, "usb_autopm_put_interface" },
	{ 0x57968455, "usb_alloc_urb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2effab57, "kmalloc_caches" },
	{ 0xe3b82c0b, "kmalloc_trace" },
	{ 0x921c83fd, "mii_link_ok" },
	{ 0x9188c620, "ethtool_op_get_link" },
	{ 0xddafa16e, "usb_autopm_put_interface_async" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x3a364d46, "skb_dequeue" },
	{ 0x2c7e8a50, "alloc_etherdev_mqs" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x71db24e4, "__init_waitqueue_head" },
	{ 0x4167adb3, "rt_mutex_base_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xa049f962, "__mutex_rt_init" },
	{ 0x76b59481, "register_netdev" },
	{ 0x2a381cf0, "pm_runtime_enable" },
	{ 0xc97c6c66, "skb_clone_tx_timestamp" },
	{ 0x774cfe47, "usb_autopm_get_interface_async" },
	{ 0x36350089, "dev_kfree_skb_any_reason" },
	{ 0x7066791, "skb_tstamp_tx" },
	{ 0x9a72db2, "usb_anchor_urb" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x541438f5, "__netdev_alloc_skb" },
	{ 0xe6ba56fc, "consume_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8c849ef8, "__wake_up" },
	{ 0xa89b7154, "netif_tx_wake_queue" },
	{ 0xe01c4a80, "usb_get_from_anchor" },
	{ 0x4c3ff005, "usb_autopm_get_interface_no_resume" },
	{ 0x8fdc9883, "skb_put" },
	{ 0xc893112, "usb_clear_halt" },
	{ 0xaba0ca10, "eth_mac_addr" },
	{ 0x9d0b8b1, "eth_validate_addr" },
	{ 0x82eb03d, "dev_get_tstats64" },
	{ 0x77615d48, "ethtool_op_get_ts_info" },
	{ 0xfb7e4213, "param_ops_int" },
	{ 0x4045bda5, "module_layout" },
};

MODULE_INFO(depends, "mii");


MODULE_INFO(srcversion, "A12581BF32F5EC08990C3D3");
MODULE_INFO(rhelversion, "9.7");
