#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wwan_get_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_put_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_create_port, "_gpl", "");
KSYMTAB_FUNC(wwan_remove_port, "_gpl", "");
KSYMTAB_FUNC(wwan_port_rx, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txon, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txoff, "_gpl", "");
KSYMTAB_FUNC(wwan_port_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(wwan_register_ops, "_gpl", "");
KSYMTAB_FUNC(wwan_unregister_ops, "_gpl", "");

SYMBOL_CRC(wwan_get_debugfs_dir, 0xf1f8deee, "_gpl");
SYMBOL_CRC(wwan_put_debugfs_dir, 0x62024f1c, "_gpl");
SYMBOL_CRC(wwan_create_port, 0xaf185e64, "_gpl");
SYMBOL_CRC(wwan_remove_port, 0xb74c31cd, "_gpl");
SYMBOL_CRC(wwan_port_rx, 0x39930510, "_gpl");
SYMBOL_CRC(wwan_port_txon, 0x3d9bbf75, "_gpl");
SYMBOL_CRC(wwan_port_txoff, 0x4dff61e5, "_gpl");
SYMBOL_CRC(wwan_port_get_drvdata, 0x526bcf2a, "_gpl");
SYMBOL_CRC(wwan_register_ops, 0x8426fa27, "_gpl");
SYMBOL_CRC(wwan_unregister_ops, 0x27fc31c5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x227e1934, "ida_alloc_range" },
	{ 0x451405ce, "class_dev_iter_next" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd002b84, "__nlmsg_put" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8fdc9883, "skb_put" },
	{ 0x2cad5b9b, "dev_set_name" },
	{ 0xe6ba56fc, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xebb0216a, "device_unregister" },
	{ 0x3a364d46, "skb_dequeue" },
	{ 0x4167adb3, "rt_mutex_base_init" },
	{ 0x459e6ba8, "finish_wait" },
	{ 0x4fadc276, "rtnl_link_register" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x37a0cba, "kfree" },
	{ 0x7ad8f256, "device_for_each_child" },
	{ 0xd99fb3dc, "prepare_to_wait_event" },
	{ 0x8c849ef8, "__wake_up" },
	{ 0xf2cabad4, "rtnl_create_link" },
	{ 0x3c501ce5, "unregister_netdevice_queue" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2d0aca89, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xeaefbb9f, "alloc_netdev_mqs" },
	{ 0xb5b21538, "class_dev_iter_exit" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x60ac84cc, "put_device" },
	{ 0x22a171b7, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x696ee216, "_dev_info" },
	{ 0x6dfebbf3, "skb_queue_tail" },
	{ 0xc8669a5c, "rtnl_configure_link" },
	{ 0xc4de9981, "compat_ptr_ioctl" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xcca97cc, "rtnl_link_unregister" },
	{ 0x8e436010, "init_net" },
	{ 0xcb30507b, "skb_pull" },
	{ 0x9363d468, "sk_skb_reason_drop" },
	{ 0x93354407, "noop_llseek" },
	{ 0x499e043c, "mutex_lock" },
	{ 0x31dd266d, "debugfs_remove" },
	{ 0x6e2b5444, "nla_put" },
	{ 0x7c529d87, "ida_free" },
	{ 0x1e73243f, "free_netdev" },
	{ 0x3baad6a7, "class_unregister" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xc5e5ce8f, "class_dev_iter_init" },
	{ 0xc5b5ffe, "device_register" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x71db24e4, "__init_waitqueue_head" },
	{ 0x166ed2c8, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4e7a420c, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x13ea7980, "mutex_unlock" },
	{ 0x8d2663ae, "__register_chrdev" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x39c38d09, "stream_open" },
	{ 0xe3b82c0b, "kmalloc_trace" },
	{ 0x55cb0e23, "device_find_child_by_name" },
	{ 0x754d539c, "strlen" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x4aeaee16, "debugfs_create_dir" },
	{ 0xa049f962, "__mutex_rt_init" },
	{ 0xaec0da94, "class_register" },
	{ 0x2effab57, "kmalloc_caches" },
	{ 0xe190a1e7, "skb_queue_head" },
	{ 0x7981add1, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xa9332609, "register_netdevice" },
	{ 0x4045bda5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3549841979CC29F5D1EEDEF");
MODULE_INFO(rhelversion, "9.7");
