#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ntb_register_client, "", "");
KSYMTAB_FUNC(ntb_unregister_client, "", "");
KSYMTAB_FUNC(ntb_register_device, "", "");
KSYMTAB_FUNC(ntb_unregister_device, "", "");
KSYMTAB_FUNC(ntb_set_ctx, "", "");
KSYMTAB_FUNC(ntb_clear_ctx, "", "");
KSYMTAB_FUNC(ntb_link_event, "", "");
KSYMTAB_FUNC(ntb_db_event, "", "");
KSYMTAB_FUNC(ntb_msg_event, "", "");
KSYMTAB_FUNC(ntb_default_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_count, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_idx, "", "");
KSYMTAB_FUNC(ntb_msi_init, "", "");
KSYMTAB_FUNC(ntb_msi_setup_mws, "", "");
KSYMTAB_FUNC(ntb_msi_clear_mws, "", "");
KSYMTAB_FUNC(ntbm_msi_request_threaded_irq, "", "");
KSYMTAB_FUNC(ntbm_msi_free_irq, "", "");
KSYMTAB_FUNC(ntb_msi_peer_trigger, "", "");
KSYMTAB_FUNC(ntb_msi_peer_addr, "", "");

SYMBOL_CRC(__ntb_register_client, 0x056e7a0e, "");
SYMBOL_CRC(ntb_unregister_client, 0xfceff2f1, "");
SYMBOL_CRC(ntb_register_device, 0x5357a0a0, "");
SYMBOL_CRC(ntb_unregister_device, 0x5a385181, "");
SYMBOL_CRC(ntb_set_ctx, 0x2305df28, "");
SYMBOL_CRC(ntb_clear_ctx, 0xb86aee98, "");
SYMBOL_CRC(ntb_link_event, 0x40b7e271, "");
SYMBOL_CRC(ntb_db_event, 0x83345b23, "");
SYMBOL_CRC(ntb_msg_event, 0xdb4638fa, "");
SYMBOL_CRC(ntb_default_port_number, 0xf9116b93, "");
SYMBOL_CRC(ntb_default_peer_port_count, 0x5f0cd762, "");
SYMBOL_CRC(ntb_default_peer_port_number, 0x84232778, "");
SYMBOL_CRC(ntb_default_peer_port_idx, 0xfe2bbf43, "");
SYMBOL_CRC(ntb_msi_init, 0xa6ff8ae9, "");
SYMBOL_CRC(ntb_msi_setup_mws, 0x0f25f764, "");
SYMBOL_CRC(ntb_msi_clear_mws, 0xbccd815f, "");
SYMBOL_CRC(ntbm_msi_request_threaded_irq, 0x83b1a166, "");
SYMBOL_CRC(ntbm_msi_free_irq, 0x61300f0b, "");
SYMBOL_CRC(ntb_msi_peer_trigger, 0x4d258fa2, "");
SYMBOL_CRC(ntb_msi_peer_addr, 0xf342b911, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6f7e6040, "irq_has_action" },
	{ 0xe88d2e0, "devm_request_threaded_irq" },
	{ 0x9ad80fd0, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x2cad5b9b, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0x9c42e391, "devm_iounmap" },
	{ 0xebb0216a, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x4167adb3, "rt_mutex_base_init" },
	{ 0xa556c674, "devres_destroy" },
	{ 0x59403bd5, "msi_unlock_descs" },
	{ 0x9ec5c257, "devm_ioremap" },
	{ 0x5f3619e2, "get_device" },
	{ 0xfd740e54, "msi_lock_descs" },
	{ 0xadd33bd7, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x60ac84cc, "put_device" },
	{ 0x6c67f302, "devm_free_irq" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x83cde301, "bus_unregister" },
	{ 0xb317d241, "devm_kfree" },
	{ 0xcda09a3c, "irq_get_irq_data" },
	{ 0x68d01e76, "__devres_alloc_node" },
	{ 0x5a840436, "driver_unregister" },
	{ 0xc5b5ffe, "device_register" },
	{ 0xfd8798e5, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x166ed2c8, "rt_spin_unlock" },
	{ 0x4e7a420c, "rt_spin_lock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x3fcc85b3, "msi_domain_first_desc" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd522d89b, "msi_next_desc" },
	{ 0xa74cea35, "driver_register" },
	{ 0xa96464a1, "bus_register" },
	{ 0x4045bda5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "026457906ECEF839D1F4A06");
MODULE_INFO(rhelversion, "9.7");
