#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvme_fc_register_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_register_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rescan_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_set_remoteport_devloss, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rcv_ls_req, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_io_getuuid, "_gpl", "");

SYMBOL_CRC(nvme_fc_register_localport, 0xb2c69727, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_localport, 0x3884f8b8, "_gpl");
SYMBOL_CRC(nvme_fc_register_remoteport, 0x0d12e564, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_remoteport, 0xfca9dc99, "_gpl");
SYMBOL_CRC(nvme_fc_rescan_remoteport, 0x3e33ac54, "_gpl");
SYMBOL_CRC(nvme_fc_set_remoteport_devloss, 0x8a9cf5a7, "_gpl");
SYMBOL_CRC(nvme_fc_rcv_ls_req, 0xbb0e18a6, "_gpl");
SYMBOL_CRC(nvme_fc_io_getuuid, 0xcc8a2d78, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9e56cda0, "nvme_remove_admin_tag_set" },
	{ 0xeaf5bb0d, "nvme_sync_io_queues" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x227e1934, "ida_alloc_range" },
	{ 0x8325dba2, "nvme_uninit_ctrl" },
	{ 0x901a14c1, "ida_destroy" },
	{ 0x4986faa3, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xedb8efd2, "nvme_get_opcode_str" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd3624c89, "nvmf_free_options" },
	{ 0x607e2820, "nvmf_subsystem_reset" },
	{ 0x86db8b4b, "blk_mq_tagset_wait_completed_request" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x4167adb3, "rt_mutex_base_init" },
	{ 0x459e6ba8, "finish_wait" },
	{ 0x28a31f6, "nvme_stop_keep_alive" },
	{ 0xf703bfb3, "blk_mq_complete_request_remote" },
	{ 0x1988d8b6, "dma_unmap_page_attrs" },
	{ 0x49342fb2, "nvme_setup_cmd" },
	{ 0xbfeb607a, "nvme_start_ctrl" },
	{ 0xe1edd5b5, "nvme_get_admin_opcode_str" },
	{ 0xf9712ef6, "nvme_alloc_admin_tag_set" },
	{ 0x5e5bc889, "nvmf_connect_io_queue" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x37a0cba, "kfree" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0xd99fb3dc, "prepare_to_wait_event" },
	{ 0x64b62862, "nvme_wq" },
	{ 0x26e3c975, "nvmf_reg_read32" },
	{ 0x8c849ef8, "__wake_up" },
	{ 0x4480f448, "nvme_delete_ctrl" },
	{ 0x5f3619e2, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xaa0a2631, "dev_driver_string" },
	{ 0x3cc46066, "nvmf_get_address" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5e0d0577, "dma_map_page_attrs" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x774f0a8d, "nvme_remove_io_tag_set" },
	{ 0x6ea3682, "nvme_cleanup_cmd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x14eaaf96, "nvme_mpath_start_request" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x56601ef6, "nvmf_unregister_transport" },
	{ 0x3e957537, "blkcg_get_fc_appid" },
	{ 0x60ac84cc, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x82e0013e, "nvme_change_ctrl_state" },
	{ 0x696ee216, "_dev_info" },
	{ 0x42418d16, "nvme_init_ctrl" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x53d4e1db, "nvme_alloc_io_tag_set" },
	{ 0xc5aa3f59, "nvme_fail_nonready_command" },
	{ 0xef9c3a8c, "kobject_uevent_env" },
	{ 0x15dd068f, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x7343bbb1, "_dev_err" },
	{ 0xa7b9633b, "nvme_get_fabrics_opcode_str" },
	{ 0x9b7de216, "device_create" },
	{ 0xd3736d0, "blk_sync_queue" },
	{ 0x5a921311, "strncmp" },
	{ 0x68460527, "blkcg_set_fc_appid" },
	{ 0x7d322ed9, "__blk_rq_map_sg" },
	{ 0x7c529d87, "ida_free" },
	{ 0x275657ce, "nvmf_reg_read64" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x3baad6a7, "class_unregister" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xd18ff95d, "nvmf_connect_admin_queue" },
	{ 0xbe793a6, "nvme_enable_ctrl" },
	{ 0x8f8c04a3, "nvme_unquiesce_admin_queue" },
	{ 0xfd8798e5, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x71db24e4, "__init_waitqueue_head" },
	{ 0x166ed2c8, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4e7a420c, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xabbf1556, "nvme_unquiesce_io_queues" },
	{ 0xdd0733f8, "blk_mq_update_nr_hw_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9b980284, "nvmf_reg_write32" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xbbcdd8cc, "nvmf_should_reconnect" },
	{ 0x3c5a24d3, "__dma_sync_single_for_device" },
	{ 0xe112eb6b, "nvme_complete_async_event" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb655a808, "device_destroy" },
	{ 0xea985faf, "nvme_set_queue_count" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xd531662f, "nvmf_register_transport" },
	{ 0x6a7b34a5, "blk_mq_start_request" },
	{ 0xb519f4ba, "nvme_quiesce_io_queues" },
	{ 0xd0645ffc, "blk_mq_tagset_busy_iter" },
	{ 0x8fcb2138, "nvme_stop_ctrl" },
	{ 0x146d1b6e, "dma_unmap_sg_attrs" },
	{ 0xe3b82c0b, "kmalloc_trace" },
	{ 0xe501b876, "nvme_init_ctrl_finish" },
	{ 0x349cba85, "strchr" },
	{ 0x11d4572e, "nvme_reset_ctrl" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0xaa4a740b, "nvme_quiesce_admin_queue" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xaec0da94, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xabce88fe, "__nvme_check_ready" },
	{ 0x2effab57, "kmalloc_caches" },
	{ 0xc3813505, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xcd6788b6, "nvme_add_ctrl" },
	{ 0x4045bda5, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics");


MODULE_INFO(srcversion, "E9658AAA34FF88932A60A80");
MODULE_INFO(rhelversion, "9.7");
