#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ptp_clock_register, "", "");
KSYMTAB_FUNC(ptp_clock_unregister, "", "");
KSYMTAB_FUNC(ptp_clock_event, "", "");
KSYMTAB_FUNC(ptp_clock_index, "", "");
KSYMTAB_FUNC(ptp_find_pin, "", "");
KSYMTAB_FUNC(ptp_find_pin_unlocked, "", "");
KSYMTAB_FUNC(ptp_schedule_worker, "", "");
KSYMTAB_FUNC(ptp_cancel_worker_sync, "", "");

SYMBOL_CRC(ptp_clock_register, 0x8ca081b4, "");
SYMBOL_CRC(ptp_clock_unregister, 0xc27bd2a6, "");
SYMBOL_CRC(ptp_clock_event, 0x54b623e6, "");
SYMBOL_CRC(ptp_clock_index, 0x1ad9ab7b, "");
SYMBOL_CRC(ptp_find_pin, 0x0ed46321, "");
SYMBOL_CRC(ptp_find_pin_unlocked, 0x1df245e9, "");
SYMBOL_CRC(ptp_schedule_worker, 0x2934d4e4, "");
SYMBOL_CRC(ptp_cancel_worker_sync, 0x293e99de, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x227e1934, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xf9809b80, "kthread_create_worker" },
	{ 0x901a14c1, "ida_destroy" },
	{ 0x7b45817a, "kthread_cancel_delayed_work_sync" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2cad5b9b, "dev_set_name" },
	{ 0x2903010c, "kthread_delayed_work_timer_fn" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x4167adb3, "rt_mutex_base_init" },
	{ 0xd68dbec, "pps_register_source" },
	{ 0x459e6ba8, "finish_wait" },
	{ 0x99014b35, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xae9c2f1d, "pcpu_hot" },
	{ 0x7ad8f256, "device_for_each_child" },
	{ 0xd99fb3dc, "prepare_to_wait_event" },
	{ 0x8c849ef8, "__wake_up" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x60ac84cc, "put_device" },
	{ 0x6b85a640, "device_for_each_child_reverse" },
	{ 0x696ee216, "_dev_info" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7902f405, "kthread_mod_delayed_work" },
	{ 0x7343bbb1, "_dev_err" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x618df20b, "pps_event" },
	{ 0x499e043c, "mutex_lock" },
	{ 0x7c529d87, "ida_free" },
	{ 0x3baad6a7, "class_unregister" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xa7480d5c, "mutex_lock_interruptible" },
	{ 0x1e1e140e, "ns_to_timespec64" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x71db24e4, "__init_waitqueue_head" },
	{ 0x5d1bf57c, "pps_unregister_source" },
	{ 0x166ed2c8, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4e7a420c, "rt_spin_lock" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x86214482, "kthread_destroy_worker" },
	{ 0x13ea7980, "mutex_unlock" },
	{ 0x6f023265, "posix_clock_register" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xe048f3f2, "kthread_queue_delayed_work" },
	{ 0xc32874e4, "ktime_get_snapshot" },
	{ 0x77b00b4, "posix_clock_unregister" },
	{ 0xe3b82c0b, "kmalloc_trace" },
	{ 0xa049f962, "__mutex_rt_init" },
	{ 0xaec0da94, "class_register" },
	{ 0x862258db, "timecounter_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2effab57, "kmalloc_caches" },
	{ 0x4045bda5, "module_layout" },
};

MODULE_INFO(depends, "pps_core");


MODULE_INFO(srcversion, "A051E671083E2DE2ADF425F");
MODULE_INFO(rhelversion, "9.7");
