#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vhost_work_init, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_init, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_start, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_stop, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_flush, "_gpl", "");
KSYMTAB_FUNC(vhost_work_queue, "_gpl", "");
KSYMTAB_FUNC(vhost_has_work, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_queue, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_is_setup, "_gpl", "");
KSYMTAB_FUNC(vhost_exceeds_weight, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_init, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_check_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_has_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_set_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_reset_owner_prepare, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_reset_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_stop, "_gpl", "");
KSYMTAB_FUNC(vhost_clear_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_cleanup, "_gpl", "");
KSYMTAB_FUNC(vhost_chr_write_iter, "", "");
KSYMTAB_FUNC(vhost_chr_poll, "", "");
KSYMTAB_FUNC(vhost_chr_read_iter, "_gpl", "");
KSYMTAB_FUNC(vq_meta_prefetch, "_gpl", "");
KSYMTAB_FUNC(vhost_log_access_ok, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_access_ok, "_gpl", "");
KSYMTAB_FUNC(vhost_vring_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_init_device_iotlb, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_log_write, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_init_access, "_gpl", "");
KSYMTAB_FUNC(vhost_get_vq_desc, "_gpl", "");
KSYMTAB_FUNC(vhost_discard_vq_desc, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_n, "_gpl", "");
KSYMTAB_FUNC(vhost_signal, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_and_signal, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_and_signal_n, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_avail_empty, "_gpl", "");
KSYMTAB_FUNC(vhost_enable_notify, "_gpl", "");
KSYMTAB_FUNC(vhost_disable_notify, "_gpl", "");
KSYMTAB_FUNC(vhost_new_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_enqueue_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_dequeue_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_set_backend_features, "_gpl", "");

SYMBOL_CRC(vhost_work_init, 0xa909cfc5, "_gpl");
SYMBOL_CRC(vhost_poll_init, 0x21365145, "_gpl");
SYMBOL_CRC(vhost_poll_start, 0xa3e0205b, "_gpl");
SYMBOL_CRC(vhost_poll_stop, 0x77e4fb20, "_gpl");
SYMBOL_CRC(vhost_dev_flush, 0x7ea5c67d, "_gpl");
SYMBOL_CRC(vhost_work_queue, 0x97e0546d, "_gpl");
SYMBOL_CRC(vhost_has_work, 0xce273edc, "_gpl");
SYMBOL_CRC(vhost_poll_queue, 0x3c569ea2, "_gpl");
SYMBOL_CRC(vhost_vq_is_setup, 0xde228c43, "_gpl");
SYMBOL_CRC(vhost_exceeds_weight, 0xcd4151f3, "_gpl");
SYMBOL_CRC(vhost_dev_init, 0x94e7cf83, "_gpl");
SYMBOL_CRC(vhost_dev_check_owner, 0xf5f73358, "_gpl");
SYMBOL_CRC(vhost_dev_has_owner, 0x5b288383, "_gpl");
SYMBOL_CRC(vhost_dev_set_owner, 0x2e9db57f, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner_prepare, 0xfd2b3e45, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner, 0xd8bf6fa9, "_gpl");
SYMBOL_CRC(vhost_dev_stop, 0xd0d7daa3, "_gpl");
SYMBOL_CRC(vhost_clear_msg, 0x46330c83, "_gpl");
SYMBOL_CRC(vhost_dev_cleanup, 0x0b5909ef, "_gpl");
SYMBOL_CRC(vhost_chr_write_iter, 0xf8f05b8c, "");
SYMBOL_CRC(vhost_chr_poll, 0xb1edbcd4, "");
SYMBOL_CRC(vhost_chr_read_iter, 0x0fd20a46, "_gpl");
SYMBOL_CRC(vq_meta_prefetch, 0x44559e62, "_gpl");
SYMBOL_CRC(vhost_log_access_ok, 0x59e5b334, "_gpl");
SYMBOL_CRC(vhost_vq_access_ok, 0xf4dd6a98, "_gpl");
SYMBOL_CRC(vhost_vring_ioctl, 0x0602a764, "_gpl");
SYMBOL_CRC(vhost_init_device_iotlb, 0xb2670b5d, "_gpl");
SYMBOL_CRC(vhost_dev_ioctl, 0x148e8eca, "_gpl");
SYMBOL_CRC(vhost_log_write, 0xe19eebc0, "_gpl");
SYMBOL_CRC(vhost_vq_init_access, 0x058692b7, "_gpl");
SYMBOL_CRC(vhost_get_vq_desc, 0x91944bf3, "_gpl");
SYMBOL_CRC(vhost_discard_vq_desc, 0x019150c7, "_gpl");
SYMBOL_CRC(vhost_add_used, 0x0f6093a2, "_gpl");
SYMBOL_CRC(vhost_add_used_n, 0x0a9c9069, "_gpl");
SYMBOL_CRC(vhost_signal, 0xa1bb0335, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal, 0xefbee48b, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal_n, 0xfd65d84c, "_gpl");
SYMBOL_CRC(vhost_vq_avail_empty, 0x5e819df0, "_gpl");
SYMBOL_CRC(vhost_enable_notify, 0x8e1dbafc, "_gpl");
SYMBOL_CRC(vhost_disable_notify, 0xe268ed04, "_gpl");
SYMBOL_CRC(vhost_new_msg, 0xf9f74085, "_gpl");
SYMBOL_CRC(vhost_enqueue_msg, 0xbc01aeff, "_gpl");
SYMBOL_CRC(vhost_dequeue_msg, 0x6751cd5a, "_gpl");
SYMBOL_CRC(vhost_set_backend_features, 0x372f513c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xae9c2f1d, "pcpu_hot" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb589fb31, "add_wait_queue" },
	{ 0xca6204cd, "remove_wait_queue" },
	{ 0xa6257a2f, "complete" },
	{ 0x6c9005b1, "cgroup_attach_task_all" },
	{ 0x1a39081e, "mmput" },
	{ 0xa0505786, "__mmdrop" },
	{ 0xc577832d, "vhost_iotlb_alloc" },
	{ 0x499e043c, "mutex_lock" },
	{ 0x13ea7980, "mutex_unlock" },
	{ 0xa24517eb, "vhost_iotlb_free" },
	{ 0x4e7a420c, "rt_spin_lock" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x166ed2c8, "rt_spin_unlock" },
	{ 0x8c849ef8, "__wake_up" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xe55ad329, "wake_up_process" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x49608959, "migrate_disable" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xf32fb89d, "unpin_user_pages_dirty_lock" },
	{ 0x2499e98b, "pin_user_pages_fast" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x69248415, "kthread_use_mm" },
	{ 0x6408a7a7, "__tracepoint_sched_set_state_tp" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x1000e51, "schedule" },
	{ 0x12ffa2c2, "kthread_unuse_mm" },
	{ 0x2effab57, "kmalloc_caches" },
	{ 0xe3b82c0b, "kmalloc_trace" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x37a0cba, "kfree" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x5252cba5, "fput" },
	{ 0xc6f8404b, "kthread_stop" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x38ff875f, "vhost_iotlb_add_range" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x69e872f9, "vhost_iotlb_itree_first" },
	{ 0xa30e8934, "iov_iter_init" },
	{ 0x872bbb4c, "_copy_from_iter" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2bb2f063, "iov_iter_revert" },
	{ 0x68a12ab8, "rep_movs_alternative" },
	{ 0x93b2101d, "_copy_to_iter" },
	{ 0x4167adb3, "rt_mutex_base_init" },
	{ 0xa049f962, "__mutex_rt_init" },
	{ 0x71db24e4, "__init_waitqueue_head" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xbfc3c272, "prepare_to_wait" },
	{ 0x459e6ba8, "finish_wait" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8909e04f, "get_task_mm" },
	{ 0xfce28d9, "kthread_create_on_node" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x6bec0e66, "vhost_iotlb_del_range" },
	{ 0xfa6c29a9, "iov_iter_advance" },
	{ 0x65df35ca, "__put_user_nocheck_2" },
	{ 0xd2bc5c46, "__get_user_nocheck_2" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x971b4f1f, "eventfd_fget" },
	{ 0xfb7e4213, "param_ops_int" },
	{ 0xcaca406f, "param_ops_ushort" },
	{ 0x4045bda5, "module_layout" },
};

MODULE_INFO(depends, "vhost_iotlb");


MODULE_INFO(srcversion, "A06B65E43EBA4F51635802B");
MODULE_INFO(rhelversion, "9.7");
