#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(flow_offload_alloc, "_gpl", "");
KSYMTAB_FUNC(flow_offload_route_init, "_gpl", "");
KSYMTAB_FUNC(flow_offload_free, "_gpl", "");
KSYMTAB_FUNC(flow_offload_add, "_gpl", "");
KSYMTAB_FUNC(flow_offload_refresh, "_gpl", "");
KSYMTAB_FUNC(flow_offload_teardown, "_gpl", "");
KSYMTAB_FUNC(flow_offload_lookup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_snat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_dnat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_init, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_cleanup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_free, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ip_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ipv6_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_offload_setup, "_gpl", "");

SYMBOL_CRC(flow_offload_alloc, 0x8b973be3, "_gpl");
SYMBOL_CRC(flow_offload_route_init, 0x25c7df6b, "_gpl");
SYMBOL_CRC(flow_offload_free, 0x2230226c, "_gpl");
SYMBOL_CRC(flow_offload_add, 0xb35b4f8c, "_gpl");
SYMBOL_CRC(flow_offload_refresh, 0x65684d57, "_gpl");
SYMBOL_CRC(flow_offload_teardown, 0x8b5c5268, "_gpl");
SYMBOL_CRC(flow_offload_lookup, 0x9210e4bd, "_gpl");
SYMBOL_CRC(nf_flow_snat_port, 0x71d8e2b4, "_gpl");
SYMBOL_CRC(nf_flow_dnat_port, 0xb380f53e, "_gpl");
SYMBOL_CRC(nf_flow_table_init, 0x9aa52869, "_gpl");
SYMBOL_CRC(nf_flow_table_cleanup, 0x2c1f58d5, "_gpl");
SYMBOL_CRC(nf_flow_table_free, 0xea98c22a, "_gpl");
SYMBOL_CRC(nf_flow_offload_ip_hook, 0x447853f6, "_gpl");
SYMBOL_CRC(nf_flow_offload_ipv6_hook, 0xc02c6c9b, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv4, 0x1c7500e3, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv6, 0x0e690f37, "_gpl");
SYMBOL_CRC(nf_flow_table_offload_setup, 0x1208c9bc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x7869d1c2, "flow_rule_alloc" },
	{ 0x227c613e, "__init_rwsem" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x23287727, "skb_gso_validate_network_len" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xda7d8c66, "ip_output" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7bc7ecde, "neigh_xmit" },
	{ 0xb1a74790, "flow_block_cb_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xae9c2f1d, "pcpu_hot" },
	{ 0x3a2f6082, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xf08c82fd, "rhashtable_walk_enter" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x9a4e0ffd, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x227083f0, "pskb_expand_head" },
	{ 0x49c63659, "register_pernet_subsys" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x959339b1, "down_write" },
	{ 0x2c59427, "up_write" },
	{ 0xcb30507b, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x69ae552a, "dev_get_by_index" },
	{ 0xff4515f2, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x499e043c, "mutex_lock" },
	{ 0x242afbb6, "rhashtable_walk_start_check" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x419fdef6, "flow_indr_dev_setup_offload" },
	{ 0xd6db0eba, "rhashtable_walk_stop" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xe185dfec, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x44409292, "rht_bucket_nested_insert" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x8e7e8742, "__pskb_pull_tail" },
	{ 0xd3d58458, "rhashtable_destroy" },
	{ 0x166ed2c8, "rt_spin_unlock" },
	{ 0xca968ca4, "down_read" },
	{ 0xf7cdb97a, "inet_proto_csum_replace16" },
	{ 0x4e7a420c, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xef3d96db, "rhashtable_insert_slow" },
	{ 0xe48b55b, "rt_read_lock" },
	{ 0x53ba3905, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xa9daf061, "ipv4_mtu" },
	{ 0x7a324c98, "neigh_destroy" },
	{ 0x13ea7980, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x1681a95e, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x68edab8c, "rt_read_unlock" },
	{ 0x9b5fa6fb, "remove_proc_entry" },
	{ 0xb791e213, "nf_ct_acct_add" },
	{ 0x8b279378, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x2afc80ea, "dst_release" },
	{ 0x30f814e6, "nf_ct_l4proto_find" },
	{ 0xa8b14dd3, "seq_puts" },
	{ 0x19e78b3e, "rhashtable_walk_next" },
	{ 0xe3b82c0b, "kmalloc_trace" },
	{ 0xd2a3b8cf, "ipv4_dst_check" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x4ee292af, "up_read" },
	{ 0x35d2eae3, "rhashtable_walk_exit" },
	{ 0x2effab57, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4045bda5, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "95D507375C32960FF3A1DA6");
MODULE_INFO(rhelversion, "9.7");
