#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nf_ct_nat_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_nat_setup_info, "", "");
KSYMTAB_FUNC(nf_nat_alloc_null_binding, "_gpl", "");
KSYMTAB_FUNC(nf_nat_packet, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmp_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmpv6_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(__nf_nat_mangle_tcp_packet, "", "");
KSYMTAB_FUNC(nf_nat_mangle_udp_packet, "", "");
KSYMTAB_FUNC(nf_nat_follow_master, "", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_register_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_unregister_notifiers, "_gpl", "");

SYMBOL_CRC(nf_ct_nat_ext_add, 0x5480afc5, "_gpl");
SYMBOL_CRC(nf_nat_setup_info, 0x02b882c0, "");
SYMBOL_CRC(nf_nat_alloc_null_binding, 0xf5497a9f, "_gpl");
SYMBOL_CRC(nf_nat_packet, 0x4a318c31, "_gpl");
SYMBOL_CRC(nf_nat_inet_fn, 0x63d60d89, "_gpl");
SYMBOL_CRC(nf_nat_icmp_reply_translation, 0x2209ce52, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_register_fn, 0xbc040339, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_unregister_fn, 0x41326d39, "_gpl");
SYMBOL_CRC(nf_nat_icmpv6_reply_translation, 0x8245135e, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_register_fn, 0xf1d73707, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_unregister_fn, 0x2143cf22, "_gpl");
SYMBOL_CRC(nf_nat_inet_register_fn, 0x0cb59ae2, "_gpl");
SYMBOL_CRC(nf_nat_inet_unregister_fn, 0xaa2deabc, "_gpl");
SYMBOL_CRC(__nf_nat_mangle_tcp_packet, 0x0317dbdd, "");
SYMBOL_CRC(nf_nat_mangle_udp_packet, 0xd7a84331, "");
SYMBOL_CRC(nf_nat_follow_master, 0x64146a35, "");
SYMBOL_CRC(nf_nat_redirect_ipv4, 0x3467f802, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv6, 0xbe3c9acb, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv4, 0x6695768f, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv6, 0x645583fc, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_register_notifiers, 0x3bc17c49, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_unregister_notifiers, 0xd9c25654, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdf4aab5, "nf_ct_ext_add" },
	{ 0x6712a6bd, "__do_once_done" },
	{ 0x5f7be8c, "nf_conntrack_find_get" },
	{ 0x67804434, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x6432627c, "nf_ip6_checksum" },
	{ 0x6c5c347d, "nf_hook_entries_insert_raw" },
	{ 0x1f9bf237, "nf_ct_seqadj_set" },
	{ 0x8fdc9883, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc840c56b, "nf_ct_helper_expectfn_unregister" },
	{ 0x4167adb3, "rt_mutex_base_init" },
	{ 0x4df34c83, "__nf_ct_ext_find" },
	{ 0x177f9829, "nf_ct_helper_expectfn_register" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x227083f0, "pskb_expand_head" },
	{ 0x49c63659, "register_pernet_subsys" },
	{ 0xb7eeadb6, "nf_conntrack_tuple_taken" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xcc6f70f7, "nf_ct_iterate_cleanup_net" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x898c24a4, "ipv6_skip_exthdr" },
	{ 0x883b6e50, "nf_register_net_hooks" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xf2d65e0e, "nf_ipv6_ops" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf75c2811, "module_put" },
	{ 0x8ffe7e89, "nf_conntrack_htable_size" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9e950ad9, "nf_conntrack_alter_reply" },
	{ 0xfa6a80ff, "ip_route_me_harder" },
	{ 0x499e043c, "mutex_lock" },
	{ 0x6d0ca5ed, "nf_hook_entries_delete_raw" },
	{ 0x5dec626, "skb_ensure_writable" },
	{ 0xf56d6cf1, "nf_unregister_net_hooks" },
	{ 0x36746f1a, "inet_select_addr" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfe731af8, "nf_ct_invert_tuple" },
	{ 0xe185dfec, "unregister_pernet_subsys" },
	{ 0xd963b065, "skb_checksum" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xe68c517, "nf_ct_delete" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x2d5ff5d1, "nf_ip_checksum" },
	{ 0x166ed2c8, "rt_spin_unlock" },
	{ 0xec037372, "register_btf_kfunc_id_set" },
	{ 0x78c11a70, "nf_ct_iterate_destroy" },
	{ 0xf7cdb97a, "inet_proto_csum_replace16" },
	{ 0x4e7a420c, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb5de5a2f, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xe48b55b, "rt_read_lock" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x2f8f88b7, "__skb_checksum" },
	{ 0x13ea7980, "mutex_unlock" },
	{ 0x1681a95e, "inet_proto_csum_replace4" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x68edab8c, "rt_read_unlock" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x2afc80ea, "dst_release" },
	{ 0x5648cc08, "nf_ct_kill_acct" },
	{ 0x289c3714, "nf_ct_alloc_hashtable" },
	{ 0xc615df48, "nf_nat_hook" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xe3b82c0b, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x2effab57, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x4045bda5, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "22D68F48D1955235F633073");
MODULE_INFO(rhelversion, "9.7");
