#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_timer_instance_new, "", "");
KSYMTAB_FUNC(snd_timer_instance_free, "", "");
KSYMTAB_FUNC(snd_timer_open, "", "");
KSYMTAB_FUNC(snd_timer_close, "", "");
KSYMTAB_FUNC(snd_timer_resolution, "", "");
KSYMTAB_FUNC(snd_timer_start, "", "");
KSYMTAB_FUNC(snd_timer_stop, "", "");
KSYMTAB_FUNC(snd_timer_continue, "", "");
KSYMTAB_FUNC(snd_timer_pause, "", "");
KSYMTAB_FUNC(snd_timer_interrupt, "", "");
KSYMTAB_FUNC(snd_timer_new, "", "");
KSYMTAB_FUNC(snd_timer_notify, "", "");
KSYMTAB_FUNC(snd_timer_global_new, "", "");
KSYMTAB_FUNC(snd_timer_global_free, "", "");
KSYMTAB_FUNC(snd_timer_global_register, "", "");

SYMBOL_CRC(snd_timer_instance_new, 0x3fe39c5c, "");
SYMBOL_CRC(snd_timer_instance_free, 0x666c0afe, "");
SYMBOL_CRC(snd_timer_open, 0xf468f6ca, "");
SYMBOL_CRC(snd_timer_close, 0x10d19b26, "");
SYMBOL_CRC(snd_timer_resolution, 0x846eb1a2, "");
SYMBOL_CRC(snd_timer_start, 0x8443de4c, "");
SYMBOL_CRC(snd_timer_stop, 0xd33d104a, "");
SYMBOL_CRC(snd_timer_continue, 0x9e2588ab, "");
SYMBOL_CRC(snd_timer_pause, 0xa3ce78bf, "");
SYMBOL_CRC(snd_timer_interrupt, 0x31535d4b, "");
SYMBOL_CRC(snd_timer_new, 0x0d069751, "");
SYMBOL_CRC(snd_timer_notify, 0xa8c727c1, "");
SYMBOL_CRC(snd_timer_global_new, 0x641468e4, "");
SYMBOL_CRC(snd_timer_global_free, 0x128aad5c, "");
SYMBOL_CRC(snd_timer_global_register, 0x7693ae22, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x227e1934, "ida_alloc_range" },
	{ 0x67804434, "try_module_get" },
	{ 0x2027e235, "snd_info_register" },
	{ 0xd4d38bf4, "snd_info_create_module_entry" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x2cad5b9b, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x4167adb3, "rt_mutex_base_init" },
	{ 0x89d6c083, "snd_info_free_entry" },
	{ 0x37a0cba, "kfree" },
	{ 0xae9c2f1d, "pcpu_hot" },
	{ 0xb589fb31, "add_wait_queue" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x3449f803, "snd_fasync_helper" },
	{ 0x8c849ef8, "__wake_up" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x5f3619e2, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xe72a27c7, "anon_inode_getfd" },
	{ 0x6408a7a7, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x60ac84cc, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xf75c2811, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x93354407, "noop_llseek" },
	{ 0x499e043c, "mutex_lock" },
	{ 0x3971b4df, "snd_ecards_limit" },
	{ 0x7c529d87, "ida_free" },
	{ 0x8df3789f, "snd_oss_info_register" },
	{ 0x510c7fc6, "snd_unregister_device" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xa5cba817, "snd_device_alloc" },
	{ 0x553199b9, "snd_device_new" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x71db24e4, "__init_waitqueue_head" },
	{ 0x166ed2c8, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x4e7a420c, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x5af762f1, "snd_fasync_free" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x13ea7980, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8b279378, "seq_printf" },
	{ 0xca6204cd, "remove_wait_queue" },
	{ 0x39c38d09, "stream_open" },
	{ 0xf8f2a4eb, "snd_kill_fasync" },
	{ 0xe3b82c0b, "kmalloc_trace" },
	{ 0xfb7e4213, "param_ops_int" },
	{ 0xa280d0d7, "snd_register_device" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xa049f962, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2effab57, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x4045bda5, "module_layout" },
};

MODULE_INFO(depends, "snd");


MODULE_INFO(srcversion, "A02D128E220BAF278040FC0");
MODULE_INFO(rhelversion, "9.7");
