#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l56_system_suspend, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_suspend_late, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_suspend_no_irq, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume_no_irq, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume_early, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume, "_gpl", "");
KSYMTAB_FUNC(cs35l56_common_probe, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_FUNC(cs35l56_init, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_FUNC(cs35l56_remove, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_DATA(cs35l56_pm_ops_i2c_spi, "_gpl", "SND_SOC_CS35L56_CORE");

SYMBOL_CRC(cs35l56_system_suspend, 0x9cb675c2, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_late, 0xc5a90b75, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_no_irq, 0xb3d6fb61, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_no_irq, 0xace4da64, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_early, 0x2e38aa8d, "_gpl");
SYMBOL_CRC(cs35l56_system_resume, 0xd5ebea9d, "_gpl");
SYMBOL_CRC(cs35l56_common_probe, 0x496e9e4e, "_gpl");
SYMBOL_CRC(cs35l56_init, 0x03187f4e, "_gpl");
SYMBOL_CRC(cs35l56_remove, 0x72b13736, "_gpl");
SYMBOL_CRC(cs35l56_pm_ops_i2c_spi, 0xb58eb9ae, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xee3fd010, "snd_soc_dapm_put_enum_double" },
	{ 0x15e0e5c8, "gpiod_get_value_cansleep" },
	{ 0xc626287f, "regcache_cache_only" },
	{ 0xc4dade48, "is_acpi_device_node" },
	{ 0x1347a8fd, "gpiod_put" },
	{ 0x88263265, "regcache_sync" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x55f927d3, "regmap_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x810124fe, "cs35l56_wait_min_reset_pulse" },
	{ 0x88762c92, "cs35l56_get_bclk_freq_id" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x13f06dd5, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x4167adb3, "rt_mutex_base_init" },
	{ 0xb09eca35, "gpiod_set_value_cansleep" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xab8113c2, "acpi_dev_add_driver_gpios" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x9bf66e40, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x9c074908, "devm_gpiod_get_optional" },
	{ 0x5b8fdc79, "wm_adsp_stop" },
	{ 0xb9eca6bf, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdd494fd6, "cs35l56_get_calibration" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4dfb6bcf, "__pm_runtime_set_status" },
	{ 0x8445519c, "devm_snd_soc_register_component" },
	{ 0xbc8c03be, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xade5bd62, "sdw_write_no_pm" },
	{ 0x6c67f302, "devm_free_irq" },
	{ 0x2a381cf0, "pm_runtime_enable" },
	{ 0xbc685637, "fwnode_gpiod_get_index" },
	{ 0x696ee216, "_dev_info" },
	{ 0x6c414d0a, "acpi_dev_remove_driver_gpios" },
	{ 0x5e864936, "snd_soc_info_volsw" },
	{ 0x7dfa8793, "cs35l56_init_cs_dsp" },
	{ 0x4f2772f0, "wm_adsp_power_down" },
	{ 0x7343bbb1, "_dev_err" },
	{ 0xd20f8ae2, "debugfs_create_bool" },
	{ 0x8972fe1c, "wm_adsp_event" },
	{ 0x5c2529e, "cs35l56_tx_input_values" },
	{ 0x64e759e4, "cs35l56_tx_input_texts" },
	{ 0x189689ed, "device_property_read_string" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xfa4d22d, "cs35l56_calibration_controls" },
	{ 0x499e043c, "mutex_lock" },
	{ 0x5de57849, "cs35l56_runtime_suspend_common" },
	{ 0x87f15799, "sdw_read_no_pm" },
	{ 0xfce3052e, "cs35l56_mbox_send" },
	{ 0x95bc84e6, "cs35l56_hw_init" },
	{ 0xfd8798e5, "_dev_warn" },
	{ 0xbdc5913c, "wm_adsp2_component_probe" },
	{ 0xf4da9ef6, "cs35l56_read_prot_status" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x59e4605, "cs35l56_system_reset" },
	{ 0xa97c69f4, "snd_soc_info_enum_double" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x9d0ec734, "wm_adsp2_component_remove" },
	{ 0xd6c13e77, "cs35l56_wait_for_firmware_boot" },
	{ 0x92e98b3c, "devm_kasprintf" },
	{ 0xc6c73d3d, "snd_soc_get_volsw" },
	{ 0x3354fcff, "cs35l56_set_patch" },
	{ 0xad591ce8, "cs35l56_wait_control_port_ready" },
	{ 0x697f3a90, "fwnode_property_present" },
	{ 0x54a17d4a, "cs35l56_is_fw_reload_needed" },
	{ 0x25784557, "regmap_read" },
	{ 0x1bb9397a, "snd_soc_put_volsw" },
	{ 0xd21678ba, "__pm_runtime_resume" },
	{ 0x13ea7980, "mutex_unlock" },
	{ 0x9223bfd3, "cs_amp_write_cal_coeffs" },
	{ 0xf9ede71b, "device_get_named_child_node" },
	{ 0x2edfed9e, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x35db0e6, "sdw_stream_remove_slave" },
	{ 0x65bde118, "cs35l56_runtime_resume_common" },
	{ 0x5a38b1b9, "dapm_regulator_event" },
	{ 0x5aab1f46, "cs35l56_get_speaker_id" },
	{ 0xf389cb2, "wm_adsp_run" },
	{ 0xe5620638, "regmap_update_bits_base" },
	{ 0x3886c139, "acpi_dev_get_property" },
	{ 0xb3ebe877, "dev_err_probe" },
	{ 0x819e7292, "__pm_runtime_suspend" },
	{ 0xcd5438ad, "cs35l56_fill_supply_names" },
	{ 0xd1e17fc, "__devm_add_action" },
	{ 0x8e1924b, "snd_soc_dapm_get_enum_double" },
	{ 0xb971ffcb, "__pm_runtime_use_autosuspend" },
	{ 0xe6f59448, "wm_halo_init" },
	{ 0xc37197f6, "__pm_runtime_disable" },
	{ 0x97150a52, "cs35l56_firmware_shutdown" },
	{ 0x38ffbcfd, "sdw_stream_add_slave" },
	{ 0x7bc49c4e, "pm_runtime_force_suspend" },
	{ 0xa049f962, "__mutex_rt_init" },
	{ 0x6a556c8, "wm_adsp_power_up" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x4045bda5, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-cs35l56-shared,snd-soc-wm-adsp,soundwire-bus,snd-soc-cs-amp-lib,snd-pcm");


MODULE_INFO(srcversion, "FF33D1AD1F5B645A51FA6C2");
MODULE_INFO(rhelversion, "9.7");
