#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ahci_ignore_sss, "_gpl", "");
KSYMTAB_DATA(ahci_shost_attrs, "_gpl", "");
KSYMTAB_DATA(ahci_sdev_attrs, "_gpl", "");
KSYMTAB_DATA(ahci_ops, "_gpl", "");
KSYMTAB_DATA(ahci_pmp_retry_srst_ops, "_gpl", "");
KSYMTAB_FUNC(ahci_save_initial_config, "_gpl", "");
KSYMTAB_FUNC(ahci_start_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_stop_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_start_fis_rx, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_em, "_gpl", "");
KSYMTAB_FUNC(ahci_init_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ahci_fill_cmd_slot, "_gpl", "");
KSYMTAB_FUNC(ahci_kick_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_check_ready, "_gpl", "");
KSYMTAB_FUNC(ahci_do_softreset, "_gpl", "");
KSYMTAB_FUNC(ahci_do_hardreset, "_gpl", "");
KSYMTAB_FUNC(ahci_handle_port_intr, "_gpl", "");
KSYMTAB_FUNC(ahci_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ahci_error_handler, "_gpl", "");
KSYMTAB_FUNC(ahci_port_resume, "_gpl", "");
KSYMTAB_FUNC(ahci_print_info, "_gpl", "");
KSYMTAB_FUNC(ahci_set_em_messages, "_gpl", "");
KSYMTAB_FUNC(ahci_host_activate, "_gpl", "");

SYMBOL_CRC(ahci_ignore_sss, 0xea50dad3, "_gpl");
SYMBOL_CRC(ahci_shost_attrs, 0x1281d71d, "_gpl");
SYMBOL_CRC(ahci_sdev_attrs, 0x030df9f0, "_gpl");
SYMBOL_CRC(ahci_ops, 0x1cf9f4d1, "_gpl");
SYMBOL_CRC(ahci_pmp_retry_srst_ops, 0xc4575e61, "_gpl");
SYMBOL_CRC(ahci_save_initial_config, 0xac0f70da, "_gpl");
SYMBOL_CRC(ahci_start_engine, 0x968867f2, "_gpl");
SYMBOL_CRC(ahci_stop_engine, 0x008d6552, "_gpl");
SYMBOL_CRC(ahci_start_fis_rx, 0xd4c0be2f, "_gpl");
SYMBOL_CRC(ahci_reset_controller, 0x29c1d69e, "_gpl");
SYMBOL_CRC(ahci_reset_em, 0x418ef930, "_gpl");
SYMBOL_CRC(ahci_init_controller, 0x2bd5f523, "_gpl");
SYMBOL_CRC(ahci_dev_classify, 0xe30ac5a2, "_gpl");
SYMBOL_CRC(ahci_fill_cmd_slot, 0x4cf1c39e, "_gpl");
SYMBOL_CRC(ahci_kick_engine, 0x1ef947b8, "_gpl");
SYMBOL_CRC(ahci_check_ready, 0x9be598f4, "_gpl");
SYMBOL_CRC(ahci_do_softreset, 0x71885ae7, "_gpl");
SYMBOL_CRC(ahci_do_hardreset, 0x3d2fd2d4, "_gpl");
SYMBOL_CRC(ahci_handle_port_intr, 0xdc6d16bf, "_gpl");
SYMBOL_CRC(ahci_qc_issue, 0x8629a3a7, "_gpl");
SYMBOL_CRC(ahci_error_handler, 0x3961b2bc, "_gpl");
SYMBOL_CRC(ahci_port_resume, 0xde880b66, "_gpl");
SYMBOL_CRC(ahci_print_info, 0x518569a5, "_gpl");
SYMBOL_CRC(ahci_set_em_messages, 0xc0717427, "_gpl");
SYMBOL_CRC(ahci_host_activate, 0x5036f6ee, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x1a9bd6b5, "ata_std_qc_defer" },
	{ 0xd43e16e2, "sata_pmp_qc_defer_cmd_switch" },
	{ 0xb9eca6bf, "__dynamic_dev_dbg" },
	{ 0x19c094a6, "ata_port_classify" },
	{ 0x16cba568, "ata_qc_complete_multiple" },
	{ 0x11f066a1, "ata_port_freeze" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xb4daa38b, "sata_pmp_error_handler" },
	{ 0xf9a482f9, "msleep" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xb92ac28c, "ata_host_start" },
	{ 0xe88d2e0, "devm_request_threaded_irq" },
	{ 0x749eea1d, "ata_port_desc" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xc9a423f9, "ata_host_register" },
	{ 0xebfd9f3d, "ata_host_activate" },
	{ 0xfd8798e5, "_dev_warn" },
	{ 0x639aafd8, "ata_dummy_port_ops" },
	{ 0x693488b0, "acpi_storage_d3" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0x9ad80fd0, "devm_kmalloc" },
	{ 0x5391759c, "dmam_alloc_attrs" },
	{ 0xaa0a2631, "dev_driver_string" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4167adb3, "rt_mutex_base_init" },
	{ 0xb317d241, "devm_kfree" },
	{ 0xbc79eb0b, "sata_deb_timing_hotplug" },
	{ 0x9371ea58, "sata_deb_timing_normal" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xbb873699, "sata_link_hardreset" },
	{ 0x1849f2a5, "ata_wait_after_reset" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x91c8673f, "ata_ehi_clear_desc" },
	{ 0x9a173015, "ata_ehi_push_desc" },
	{ 0x4f4f0b88, "ata_link_abort" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x5acc9e0a, "ata_port_abort" },
	{ 0x154e12cd, "sata_lpm_ignore_phy_events" },
	{ 0x9b81c2ce, "sata_async_notification" },
	{ 0xf8f3a0fb, "ata_ratelimit" },
	{ 0xfb7e4213, "param_ops_int" },
	{ 0xeefaea35, "param_ops_bool" },
	{ 0xa979b826, "sata_pmp_port_ops" },
	{ 0x18468a34, "dev_attr_sw_activity" },
	{ 0xb9eb2bbd, "dev_attr_unload_heads" },
	{ 0x28117f6e, "dev_attr_ncq_prio_supported" },
	{ 0x44ee299c, "dev_attr_ncq_prio_enable" },
	{ 0x6b74c63b, "dev_attr_link_power_management_policy" },
	{ 0x9ccdee4f, "dev_attr_em_message_type" },
	{ 0xd7c3bfa, "dev_attr_em_message" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd21678ba, "__pm_runtime_resume" },
	{ 0x4ef2dbfe, "__pm_runtime_idle" },
	{ 0x4e7a420c, "rt_spin_lock" },
	{ 0x166ed2c8, "rt_spin_unlock" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x49b625a, "ata_link_next" },
	{ 0xe15e2aef, "ata_wait_register" },
	{ 0x92fa37e3, "ata_dev_set_feature" },
	{ 0x696ee216, "_dev_info" },
	{ 0xe673d410, "sata_link_scr_lpm" },
	{ 0xa53f2343, "ata_msleep" },
	{ 0x7343bbb1, "_dev_err" },
	{ 0x19cc4afa, "ata_std_postreset" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x4045bda5, "module_layout" },
};

MODULE_INFO(depends, "libata");


MODULE_INFO(srcversion, "8DB59F85651914E62049B39");
MODULE_INFO(rhelversion, "9.7");
