#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(devm_aperture_acquire_from_firmware, "", "");
KSYMTAB_FUNC(drm_aperture_remove_conflicting_framebuffers, "", "");
KSYMTAB_FUNC(drm_aperture_remove_conflicting_pci_framebuffers, "", "");
KSYMTAB_FUNC(__drm_crtc_commit_free, "", "");
KSYMTAB_FUNC(drm_crtc_commit_wait, "", "");
KSYMTAB_FUNC(drm_atomic_state_default_release, "", "");
KSYMTAB_FUNC(drm_atomic_state_init, "", "");
KSYMTAB_FUNC(drm_atomic_state_alloc, "", "");
KSYMTAB_FUNC(drm_atomic_state_default_clear, "", "");
KSYMTAB_FUNC(drm_atomic_state_clear, "", "");
KSYMTAB_FUNC(__drm_atomic_state_free, "", "");
KSYMTAB_FUNC(drm_atomic_get_crtc_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_private_obj_init, "", "");
KSYMTAB_FUNC(drm_atomic_private_obj_fini, "", "");
KSYMTAB_FUNC(drm_atomic_get_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_connector_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_connector_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_crtc_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_crtc_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_add_encoder_bridges, "", "");
KSYMTAB_FUNC(drm_atomic_add_affected_connectors, "", "");
KSYMTAB_FUNC(drm_atomic_add_affected_planes, "", "");
KSYMTAB_FUNC(drm_atomic_check_only, "", "");
KSYMTAB_FUNC(drm_atomic_commit, "", "");
KSYMTAB_FUNC(drm_atomic_nonblocking_commit, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_print_new_state, "", "");
KSYMTAB_FUNC(drm_state_dump, "", "");
KSYMTAB_FUNC(drm_atomic_set_mode_for_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_set_mode_prop_for_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_set_crtc_for_plane, "", "");
KSYMTAB_FUNC(drm_atomic_set_fb_for_plane, "", "");
KSYMTAB_FUNC(drm_atomic_set_crtc_for_connector, "", "");
KSYMTAB_FUNC(drm_is_current_master, "", "");
KSYMTAB_FUNC(drm_master_get, "", "");
KSYMTAB_FUNC(drm_file_get_master, "", "");
KSYMTAB_FUNC(drm_master_put, "", "");
KSYMTAB_FUNC(drm_master_internal_acquire, "", "");
KSYMTAB_FUNC(drm_master_internal_release, "", "");
KSYMTAB_FUNC(drm_plane_create_alpha_property, "", "");
KSYMTAB_FUNC(drm_plane_create_rotation_property, "", "");
KSYMTAB_FUNC(drm_rotation_simplify, "", "");
KSYMTAB_FUNC(drm_plane_create_zpos_property, "", "");
KSYMTAB_FUNC(drm_plane_create_zpos_immutable_property, "", "");
KSYMTAB_FUNC(drm_atomic_normalize_zpos, "", "");
KSYMTAB_FUNC(drm_plane_create_blend_mode_property, "", "");
KSYMTAB_FUNC(drm_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_bridge_add, "", "");
KSYMTAB_FUNC(drm_bridge_remove, "", "");
KSYMTAB_FUNC(drm_bridge_attach, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_valid, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_set, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_disable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_post_disable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_pre_enable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_enable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_check, "", "");
KSYMTAB_FUNC(drm_bridge_detect, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_get_modes, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_edid_read, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_enable, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_disable, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_notify, "_gpl", "");
KSYMTAB_FUNC(drm_clflush_pages, "", "");
KSYMTAB_FUNC(drm_clflush_sg, "", "");
KSYMTAB_FUNC(drm_clflush_virt_range, "", "");
KSYMTAB_FUNC(drm_need_swiotlb, "", "");
KSYMTAB_FUNC(drm_memcpy_from_wc, "", "");
KSYMTAB_FUNC(drm_client_init, "", "");
KSYMTAB_FUNC(drm_client_register, "", "");
KSYMTAB_FUNC(drm_client_release, "", "");
KSYMTAB_FUNC(drm_client_dev_unregister, "", "");
KSYMTAB_FUNC(drm_client_dev_hotplug, "", "");
KSYMTAB_FUNC(drm_client_buffer_vmap_local, "", "");
KSYMTAB_FUNC(drm_client_buffer_vunmap_local, "", "");
KSYMTAB_FUNC(drm_client_buffer_vmap, "", "");
KSYMTAB_FUNC(drm_client_buffer_vunmap, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_create, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_delete, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_flush, "", "");
KSYMTAB_FUNC(drm_client_modeset_probe, "", "");
KSYMTAB_FUNC(drm_client_rotation, "", "");
KSYMTAB_FUNC(drm_client_modeset_check, "", "");
KSYMTAB_FUNC(drm_client_modeset_commit_locked, "", "");
KSYMTAB_FUNC(drm_client_modeset_commit, "", "");
KSYMTAB_FUNC(drm_client_modeset_dpms, "", "");
KSYMTAB_FUNC(drm_color_ctm_s31_32_to_qm_n, "", "");
KSYMTAB_FUNC(drm_crtc_enable_color_mgmt, "", "");
KSYMTAB_FUNC(drm_mode_crtc_set_gamma_size, "", "");
KSYMTAB_FUNC(drm_plane_create_color_properties, "", "");
KSYMTAB_FUNC(drm_color_lut_check, "", "");
KSYMTAB_FUNC(drm_get_connector_type_name, "", "");
KSYMTAB_FUNC(drm_connector_init, "", "");
KSYMTAB_FUNC(drm_connector_init_with_ddc, "", "");
KSYMTAB_FUNC(drmm_connector_init, "", "");
KSYMTAB_FUNC(drmm_connector_hdmi_init, "", "");
KSYMTAB_FUNC(drm_connector_attach_edid_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_encoder, "", "");
KSYMTAB_FUNC(drm_connector_has_possible_encoder, "", "");
KSYMTAB_FUNC(drm_connector_cleanup, "", "");
KSYMTAB_FUNC(drm_connector_register, "", "");
KSYMTAB_FUNC(drm_connector_unregister, "", "");
KSYMTAB_FUNC(drm_get_connector_status_name, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_begin, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_next, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_end, "", "");
KSYMTAB_FUNC(drm_get_subpixel_order_name, "", "");
KSYMTAB_FUNC(drm_display_info_set_bus_formats, "", "");
KSYMTAB_FUNC(drm_get_tv_mode_from_name, "", "");
KSYMTAB_FUNC(drm_hdmi_connector_get_broadcast_rgb_name, "", "");
KSYMTAB_FUNC(drm_hdmi_connector_get_output_format_name, "", "");
KSYMTAB_FUNC(drm_mode_create_dvi_i_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_dp_subconnector_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_content_type_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_tv_margin_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_margin_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_properties_legacy, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_scaling_mode_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_vrr_capable_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_scaling_mode_property, "", "");
KSYMTAB_FUNC(drm_mode_create_aspect_ratio_property, "", "");
KSYMTAB_FUNC(drm_mode_create_hdmi_colorspace_property, "", "");
KSYMTAB_FUNC(drm_mode_create_dp_colorspace_property, "", "");
KSYMTAB_FUNC(drm_mode_create_content_type_property, "", "");
KSYMTAB_FUNC(drm_mode_create_suggested_offset_properties, "", "");
KSYMTAB_FUNC(drm_connector_set_path_property, "", "");
KSYMTAB_FUNC(drm_connector_set_tile_property, "", "");
KSYMTAB_FUNC(drm_connector_set_link_status_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_max_bpc_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_hdr_output_metadata_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_broadcast_rgb_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_colorspace_property, "", "");
KSYMTAB_FUNC(drm_connector_atomic_hdr_metadata_equal, "", "");
KSYMTAB_FUNC(drm_connector_set_vrr_capable_property, "", "");
KSYMTAB_FUNC(drm_connector_set_panel_orientation, "", "");
KSYMTAB_FUNC(drm_connector_set_panel_orientation_with_quirk, "", "");
KSYMTAB_FUNC(drm_connector_set_orientation_from_panel, "", "");
KSYMTAB_FUNC(drm_connector_create_privacy_screen_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_privacy_screen_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_privacy_screen_provider, "", "");
KSYMTAB_FUNC(drm_connector_update_privacy_screen, "", "");
KSYMTAB_FUNC(drm_connector_oob_hotplug_event, "", "");
KSYMTAB_FUNC(drm_mode_put_tile_group, "", "");
KSYMTAB_FUNC(drm_mode_get_tile_group, "", "");
KSYMTAB_FUNC(drm_mode_create_tile_group, "", "");
KSYMTAB_FUNC(drm_crtc_from_index, "", "");
KSYMTAB_FUNC(drm_crtc_init_with_planes, "", "");
KSYMTAB_FUNC(drmm_crtc_init_with_planes, "", "");
KSYMTAB_FUNC(__drmm_crtc_alloc_with_planes, "", "");
KSYMTAB_FUNC(drm_crtc_cleanup, "", "");
KSYMTAB_FUNC(drm_mode_set_config_internal, "", "");
KSYMTAB_FUNC(drm_crtc_check_viewport, "", "");
KSYMTAB_FUNC(drm_crtc_create_scaling_filter_property, "", "");
KSYMTAB_FUNC(drm_put_dev, "", "");
KSYMTAB_FUNC(drm_dev_enter, "", "");
KSYMTAB_FUNC(drm_dev_exit, "", "");
KSYMTAB_FUNC(drm_dev_unplug, "", "");
KSYMTAB_FUNC(__devm_drm_dev_alloc, "", "");
KSYMTAB_FUNC(drm_dev_alloc, "", "");
KSYMTAB_FUNC(drm_dev_get, "", "");
KSYMTAB_FUNC(drm_dev_put, "", "");
KSYMTAB_FUNC(drm_dev_register, "", "");
KSYMTAB_FUNC(drm_dev_unregister, "", "");
KSYMTAB_FUNC(drm_edid_header_is_valid, "", "");
KSYMTAB_FUNC(drm_edid_is_valid, "", "");
KSYMTAB_FUNC(drm_edid_valid, "", "");
KSYMTAB_FUNC(drm_edid_override_connector_update, "", "");
KSYMTAB_FUNC(drm_edid_raw, "", "");
KSYMTAB_FUNC(drm_edid_alloc, "", "");
KSYMTAB_FUNC(drm_edid_dup, "", "");
KSYMTAB_FUNC(drm_edid_free, "", "");
KSYMTAB_FUNC(drm_probe_ddc, "", "");
KSYMTAB_FUNC(drm_get_edid, "", "");
KSYMTAB_FUNC(drm_edid_read_custom, "", "");
KSYMTAB_FUNC(drm_edid_read_ddc, "", "");
KSYMTAB_FUNC(drm_edid_read, "", "");
KSYMTAB_FUNC(drm_edid_get_product_id, "", "");
KSYMTAB_FUNC(drm_edid_print_product_id, "", "");
KSYMTAB_FUNC(drm_edid_get_panel_id, "", "");
KSYMTAB_FUNC(drm_edid_read_base_block, "", "");
KSYMTAB_FUNC(drm_get_edid_switcheroo, "", "");
KSYMTAB_FUNC(drm_edid_read_switcheroo, "", "");
KSYMTAB_FUNC(drm_edid_duplicate, "", "");
KSYMTAB_FUNC(drm_mode_find_dmt, "", "");
KSYMTAB_FUNC(drm_match_cea_mode, "", "");
KSYMTAB_FUNC(drm_display_mode_from_cea_vic, "", "");
KSYMTAB_FUNC(drm_edid_match, "", "");
KSYMTAB_FUNC(drm_edid_get_monitor_name, "", "");
KSYMTAB_FUNC(drm_edid_to_sad, "", "");
KSYMTAB_FUNC(drm_edid_to_speaker_allocation, "", "");
KSYMTAB_FUNC(drm_av_sync_delay, "", "");
KSYMTAB_FUNC(drm_detect_hdmi_monitor, "", "");
KSYMTAB_FUNC(drm_detect_monitor_audio, "", "");
KSYMTAB_FUNC(drm_default_rgb_quant_range, "", "");
KSYMTAB_FUNC(drm_edid_connector_update, "", "");
KSYMTAB_FUNC(drm_edid_connector_add_modes, "", "");
KSYMTAB_FUNC(drm_connector_update_edid_property, "", "");
KSYMTAB_FUNC(drm_add_edid_modes, "", "");
KSYMTAB_FUNC(drm_add_modes_noedid, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_from_display_mode, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_quant_range, "", "");
KSYMTAB_FUNC(drm_hdmi_vendor_infoframe_from_display_mode, "", "");
KSYMTAB_FUNC(drm_edid_is_digital, "", "");
KSYMTAB_FUNC(drm_eld_sad_get, "", "");
KSYMTAB_FUNC(drm_eld_sad_set, "", "");
KSYMTAB_FUNC(drm_encoder_init, "", "");
KSYMTAB_FUNC(drm_encoder_cleanup, "", "");
KSYMTAB_FUNC(__drmm_encoder_alloc, "", "");
KSYMTAB_FUNC(drmm_encoder_init, "", "");
KSYMTAB_FUNC(drm_open, "", "");
KSYMTAB_FUNC(drm_release, "", "");
KSYMTAB_FUNC(drm_release_noglobal, "", "");
KSYMTAB_FUNC(drm_read, "", "");
KSYMTAB_FUNC(drm_poll, "", "");
KSYMTAB_FUNC(drm_event_reserve_init_locked, "", "");
KSYMTAB_FUNC(drm_event_reserve_init, "", "");
KSYMTAB_FUNC(drm_event_cancel_free, "", "");
KSYMTAB_FUNC(drm_send_event_timestamp_locked, "", "");
KSYMTAB_FUNC(drm_send_event_locked, "", "");
KSYMTAB_FUNC(drm_send_event, "", "");
KSYMTAB_FUNC(drm_print_memory_stats, "", "");
KSYMTAB_FUNC(drm_show_memory_stats, "", "");
KSYMTAB_FUNC(drm_show_fdinfo, "", "");
KSYMTAB_FUNC(mock_drm_getfile, "", "");
KSYMTAB_FUNC(drm_mode_legacy_fb_format, "", "");
KSYMTAB_FUNC(drm_driver_legacy_fb_format, "", "");
KSYMTAB_FUNC(drm_format_info, "", "");
KSYMTAB_FUNC(drm_get_format_info, "", "");
KSYMTAB_FUNC(drm_format_info_block_width, "", "");
KSYMTAB_FUNC(drm_format_info_block_height, "", "");
KSYMTAB_FUNC(drm_format_info_bpp, "", "");
KSYMTAB_FUNC(drm_format_info_min_pitch, "", "");
KSYMTAB_FUNC(drm_internal_framebuffer_create, "", "");
KSYMTAB_FUNC(drm_framebuffer_init, "", "");
KSYMTAB_FUNC(drm_framebuffer_lookup, "", "");
KSYMTAB_FUNC(drm_framebuffer_unregister_private, "", "");
KSYMTAB_FUNC(drm_framebuffer_cleanup, "", "");
KSYMTAB_FUNC(drm_framebuffer_remove, "", "");
KSYMTAB_FUNC(drm_gem_object_init, "", "");
KSYMTAB_FUNC(drm_gem_private_object_init, "", "");
KSYMTAB_FUNC(drm_gem_private_object_fini, "", "");
KSYMTAB_FUNC(drm_gem_handle_delete, "", "");
KSYMTAB_FUNC(drm_gem_dumb_map_offset, "_gpl", "");
KSYMTAB_FUNC(drm_gem_handle_create, "", "");
KSYMTAB_FUNC(drm_gem_free_mmap_offset, "", "");
KSYMTAB_FUNC(drm_gem_create_mmap_offset_size, "", "");
KSYMTAB_FUNC(drm_gem_create_mmap_offset, "", "");
KSYMTAB_FUNC(drm_gem_get_pages, "", "");
KSYMTAB_FUNC(drm_gem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_objects_lookup, "", "");
KSYMTAB_FUNC(drm_gem_object_lookup, "", "");
KSYMTAB_FUNC(drm_gem_dma_resv_wait, "", "");
KSYMTAB_FUNC(drm_gem_object_release, "", "");
KSYMTAB_FUNC(drm_gem_object_free, "", "");
KSYMTAB_FUNC(drm_gem_vm_open, "", "");
KSYMTAB_FUNC(drm_gem_vm_close, "", "");
KSYMTAB_FUNC(drm_gem_mmap_obj, "", "");
KSYMTAB_FUNC(drm_gem_mmap, "", "");
KSYMTAB_FUNC(drm_gem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_lock, "", "");
KSYMTAB_FUNC(drm_gem_unlock, "", "");
KSYMTAB_FUNC(drm_gem_vmap_unlocked, "", "");
KSYMTAB_FUNC(drm_gem_vunmap_unlocked, "", "");
KSYMTAB_FUNC(drm_gem_lock_reservations, "", "");
KSYMTAB_FUNC(drm_gem_unlock_reservations, "", "");
KSYMTAB_FUNC(drm_gem_lru_init, "", "");
KSYMTAB_FUNC(drm_gem_lru_remove, "", "");
KSYMTAB_FUNC(drm_gem_lru_move_tail_locked, "", "");
KSYMTAB_FUNC(drm_gem_lru_move_tail, "", "");
KSYMTAB_FUNC(drm_gem_lru_scan, "", "");
KSYMTAB_FUNC(drm_gem_evict, "", "");
KSYMTAB_FUNC(drm_noop, "", "");
KSYMTAB_FUNC(drm_invalid_op, "", "");
KSYMTAB_FUNC(drm_ioctl_kernel, "", "");
KSYMTAB_FUNC(drm_ioctl, "", "");
KSYMTAB_FUNC(drm_ioctl_flags, "", "");
KSYMTAB_FUNC(__drmm_add_action, "", "");
KSYMTAB_FUNC(__drmm_add_action_or_reset, "", "");
KSYMTAB_FUNC(drmm_release_action, "", "");
KSYMTAB_FUNC(drmm_kmalloc, "", "");
KSYMTAB_FUNC(drmm_kstrdup, "_gpl", "");
KSYMTAB_FUNC(drmm_kfree, "", "");
KSYMTAB_FUNC(__drmm_mutex_release, "", "");
KSYMTAB_FUNC(__drm_mm_interval_first, "", "");
KSYMTAB_FUNC(drm_mm_reserve_node, "", "");
KSYMTAB_FUNC(drm_mm_insert_node_in_range, "", "");
KSYMTAB_FUNC(drm_mm_remove_node, "", "");
KSYMTAB_FUNC(drm_mm_scan_init_with_range, "", "");
KSYMTAB_FUNC(drm_mm_scan_add_block, "", "");
KSYMTAB_FUNC(drm_mm_scan_remove_block, "", "");
KSYMTAB_FUNC(drm_mm_scan_color_evict, "", "");
KSYMTAB_FUNC(drm_mm_init, "", "");
KSYMTAB_FUNC(drm_mm_takedown, "", "");
KSYMTAB_FUNC(drm_mm_print, "", "");
KSYMTAB_FUNC(drm_mode_config_reset, "", "");
KSYMTAB_FUNC(drmm_mode_config_init, "", "");
KSYMTAB_FUNC(drm_mode_config_cleanup, "", "");
KSYMTAB_FUNC(drm_mode_object_find, "", "");
KSYMTAB_FUNC(drm_mode_object_put, "", "");
KSYMTAB_FUNC(drm_mode_object_get, "", "");
KSYMTAB_FUNC(drm_object_attach_property, "", "");
KSYMTAB_FUNC(drm_object_property_set_value, "", "");
KSYMTAB_FUNC(drm_object_property_get_value, "", "");
KSYMTAB_FUNC(drm_object_property_get_default_value, "", "");
KSYMTAB_FUNC(drm_mode_obj_find_prop_id, "", "");
KSYMTAB_FUNC(drm_mode_debug_printmodeline, "", "");
KSYMTAB_FUNC(drm_mode_create, "", "");
KSYMTAB_FUNC(drm_mode_destroy, "", "");
KSYMTAB_FUNC(drm_mode_probed_add, "", "");
KSYMTAB_FUNC(drm_analog_tv_mode, "", "");
KSYMTAB_FUNC(drm_cvt_mode, "", "");
KSYMTAB_FUNC(drm_gtf_mode_complex, "", "");
KSYMTAB_FUNC(drm_gtf_mode, "", "");
KSYMTAB_FUNC(drm_mode_set_name, "", "");
KSYMTAB_FUNC(drm_mode_vrefresh, "", "");
KSYMTAB_FUNC(drm_mode_get_hv_timing, "", "");
KSYMTAB_FUNC(drm_mode_set_crtcinfo, "", "");
KSYMTAB_FUNC(drm_mode_copy, "", "");
KSYMTAB_FUNC(drm_mode_init, "", "");
KSYMTAB_FUNC(drm_mode_duplicate, "", "");
KSYMTAB_FUNC(drm_mode_match, "", "");
KSYMTAB_FUNC(drm_mode_equal, "", "");
KSYMTAB_FUNC(drm_mode_equal_no_clocks, "", "");
KSYMTAB_FUNC(drm_mode_equal_no_clocks_no_stereo, "", "");
KSYMTAB_FUNC(drm_mode_validate_driver, "", "");
KSYMTAB_FUNC(drm_mode_validate_size, "", "");
KSYMTAB_FUNC(drm_mode_validate_ycbcr420, "", "");
KSYMTAB_FUNC(drm_mode_prune_invalid, "", "");
KSYMTAB_FUNC(drm_mode_sort, "", "");
KSYMTAB_FUNC(drm_connector_list_update, "", "");
KSYMTAB_FUNC(drm_mode_parse_command_line_for_connector, "", "");
KSYMTAB_FUNC(drm_mode_create_from_cmdline_mode, "", "");
KSYMTAB_FUNC(drm_mode_is_420_only, "", "");
KSYMTAB_FUNC(drm_mode_is_420_also, "", "");
KSYMTAB_FUNC(drm_mode_is_420, "", "");
KSYMTAB_FUNC(drm_set_preferred_mode, "", "");
KSYMTAB_FUNC(drm_modeset_lock_all, "", "");
KSYMTAB_FUNC(drm_modeset_unlock_all, "", "");
KSYMTAB_FUNC(drm_warn_on_modeset_not_all_locked, "", "");
KSYMTAB_FUNC(drm_modeset_acquire_init, "", "");
KSYMTAB_FUNC(drm_modeset_acquire_fini, "", "");
KSYMTAB_FUNC(drm_modeset_drop_locks, "", "");
KSYMTAB_FUNC(drm_modeset_backoff, "", "");
KSYMTAB_FUNC(drm_modeset_lock_init, "", "");
KSYMTAB_FUNC(drm_modeset_lock, "", "");
KSYMTAB_FUNC(drm_modeset_lock_single_interruptible, "", "");
KSYMTAB_FUNC(drm_modeset_unlock, "", "");
KSYMTAB_FUNC(drm_modeset_lock_all_ctx, "", "");
KSYMTAB_FUNC(drm_universal_plane_init, "", "");
KSYMTAB_FUNC(__drmm_universal_plane_alloc, "", "");
KSYMTAB_FUNC(__drm_universal_plane_alloc, "", "");
KSYMTAB_FUNC(drm_plane_cleanup, "", "");
KSYMTAB_FUNC(drm_plane_from_index, "", "");
KSYMTAB_FUNC(drm_plane_force_disable, "", "");
KSYMTAB_FUNC(drm_mode_plane_set_obj_prop, "", "");
KSYMTAB_FUNC(drm_plane_has_format, "", "");
KSYMTAB_FUNC(drm_any_plane_has_format, "", "");
KSYMTAB_FUNC(drm_plane_enable_fb_damage_clips, "", "");
KSYMTAB_FUNC(drm_plane_get_damage_clips_count, "", "");
KSYMTAB_FUNC(drm_plane_get_damage_clips, "", "");
KSYMTAB_FUNC(drm_plane_create_scaling_filter_property, "", "");
KSYMTAB_FUNC(drm_plane_add_size_hints_property, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_export, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_release, "", "");
KSYMTAB_FUNC(drm_gem_prime_fd_to_handle, "", "");
KSYMTAB_FUNC(drm_gem_prime_handle_to_dmabuf, "", "");
KSYMTAB_FUNC(drm_gem_prime_handle_to_fd, "", "");
KSYMTAB_FUNC(drm_gem_map_attach, "", "");
KSYMTAB_FUNC(drm_gem_map_detach, "", "");
KSYMTAB_FUNC(drm_gem_map_dma_buf, "", "");
KSYMTAB_FUNC(drm_gem_unmap_dma_buf, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_vmap, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_prime_mmap, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_mmap, "", "");
KSYMTAB_FUNC(drm_prime_pages_to_sg, "", "");
KSYMTAB_FUNC(drm_prime_get_contiguous_size, "", "");
KSYMTAB_FUNC(drm_gem_prime_export, "", "");
KSYMTAB_FUNC(drm_gem_prime_import_dev, "", "");
KSYMTAB_FUNC(drm_gem_prime_import, "", "");
KSYMTAB_FUNC(drm_prime_sg_to_page_array, "", "");
KSYMTAB_FUNC(drm_prime_sg_to_dma_addr_array, "", "");
KSYMTAB_FUNC(drm_prime_gem_destroy, "", "");
KSYMTAB_DATA(__drm_debug, "", "");
KSYMTAB_FUNC(__drm_puts_coredump, "", "");
KSYMTAB_FUNC(__drm_printfn_coredump, "", "");
KSYMTAB_FUNC(__drm_puts_seq_file, "", "");
KSYMTAB_FUNC(__drm_printfn_seq_file, "", "");
KSYMTAB_FUNC(__drm_printfn_info, "", "");
KSYMTAB_FUNC(__drm_printfn_dbg, "", "");
KSYMTAB_FUNC(__drm_printfn_err, "", "");
KSYMTAB_FUNC(drm_puts, "", "");
KSYMTAB_FUNC(drm_printf, "", "");
KSYMTAB_FUNC(drm_print_bits, "", "");
KSYMTAB_FUNC(drm_dev_printk, "", "");
KSYMTAB_FUNC(__drm_dev_dbg, "", "");
KSYMTAB_FUNC(__drm_err, "", "");
KSYMTAB_FUNC(drm_print_regset32, "", "");
KSYMTAB_FUNC(drm_property_create, "", "");
KSYMTAB_FUNC(drm_property_create_enum, "", "");
KSYMTAB_FUNC(drm_property_create_bitmask, "", "");
KSYMTAB_FUNC(drm_property_create_range, "", "");
KSYMTAB_FUNC(drm_property_create_signed_range, "", "");
KSYMTAB_FUNC(drm_property_create_object, "", "");
KSYMTAB_FUNC(drm_property_create_bool, "", "");
KSYMTAB_FUNC(drm_property_add_enum, "", "");
KSYMTAB_FUNC(drm_property_destroy, "", "");
KSYMTAB_FUNC(drm_property_create_blob, "", "");
KSYMTAB_FUNC(drm_property_blob_put, "", "");
KSYMTAB_FUNC(drm_property_blob_get, "", "");
KSYMTAB_FUNC(drm_property_lookup_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_global_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_blob_from_id, "", "");
KSYMTAB_FUNC(drm_syncobj_find, "", "");
KSYMTAB_FUNC(drm_syncobj_add_point, "", "");
KSYMTAB_FUNC(drm_syncobj_replace_fence, "", "");
KSYMTAB_FUNC(drm_syncobj_find_fence, "", "");
KSYMTAB_FUNC(drm_syncobj_free, "", "");
KSYMTAB_FUNC(drm_syncobj_create, "", "");
KSYMTAB_FUNC(drm_syncobj_get_handle, "", "");
KSYMTAB_FUNC(drm_syncobj_get_fd, "", "");
KSYMTAB_FUNC(drm_timeout_abs_to_jiffies, "", "");
KSYMTAB_FUNC(drm_sysfs_hotplug_event, "", "");
KSYMTAB_FUNC(drm_sysfs_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_sysfs_connector_property_event, "", "");
KSYMTAB_FUNC(drm_class_device_register, "_gpl", "");
KSYMTAB_FUNC(drm_class_device_unregister, "_gpl", "");
KSYMTAB_FUNC(drm_crtc_vblank_crtc, "", "");
KSYMTAB_FUNC(drm_crtc_accurate_vblank_count, "", "");
KSYMTAB_FUNC(drm_vblank_init, "", "");
KSYMTAB_FUNC(drm_dev_has_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_waitqueue, "", "");
KSYMTAB_FUNC(drm_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_helper_get_vblank_timestamp_internal, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_helper_get_vblank_timestamp, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_count, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_count_and_time, "", "");
KSYMTAB_FUNC(drm_crtc_next_vblank_start, "", "");
KSYMTAB_FUNC(drm_crtc_arm_vblank_event, "", "");
KSYMTAB_FUNC(drm_crtc_send_vblank_event, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_get, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_put, "", "");
KSYMTAB_FUNC(drm_wait_one_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_wait_one_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_off, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_reset, "", "");
KSYMTAB_FUNC(drm_crtc_set_max_vblank_count, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_on_config, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_on, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_restore, "", "");
KSYMTAB_FUNC(drm_handle_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_handle_vblank, "", "");
KSYMTAB_FUNC(drm_vblank_work_schedule, "", "");
KSYMTAB_FUNC(drm_vblank_work_cancel_sync, "", "");
KSYMTAB_FUNC(drm_vblank_work_flush, "", "");
KSYMTAB_FUNC(drm_vblank_work_flush_all, "", "");
KSYMTAB_FUNC(drm_vblank_work_init, "", "");
KSYMTAB_FUNC(drm_vma_offset_manager_init, "", "");
KSYMTAB_FUNC(drm_vma_offset_manager_destroy, "", "");
KSYMTAB_FUNC(drm_vma_offset_lookup_locked, "", "");
KSYMTAB_FUNC(drm_vma_offset_add, "", "");
KSYMTAB_FUNC(drm_vma_offset_remove, "", "");
KSYMTAB_FUNC(drm_vma_node_allow, "", "");
KSYMTAB_FUNC(drm_vma_node_allow_once, "", "");
KSYMTAB_FUNC(drm_vma_node_revoke, "", "");
KSYMTAB_FUNC(drm_vma_node_is_allowed, "", "");
KSYMTAB_FUNC(drm_writeback_connector_init, "", "");
KSYMTAB_FUNC(drm_writeback_connector_init_with_encoder, "", "");
KSYMTAB_FUNC(drm_writeback_prepare_job, "", "");
KSYMTAB_FUNC(drm_writeback_queue_job, "", "");
KSYMTAB_FUNC(drm_writeback_cleanup_job, "", "");
KSYMTAB_FUNC(drm_writeback_signal_completion, "", "");
KSYMTAB_FUNC(drm_writeback_get_out_fence, "", "");
KSYMTAB_FUNC(drm_prandom_u32_max_state, "", "");
KSYMTAB_FUNC(drm_random_reorder, "", "");
KSYMTAB_FUNC(drm_random_order, "", "");
KSYMTAB_FUNC(drm_compat_ioctl, "", "");
KSYMTAB_FUNC(drm_panel_init, "", "");
KSYMTAB_FUNC(drm_panel_add, "", "");
KSYMTAB_FUNC(drm_panel_remove, "", "");
KSYMTAB_FUNC(drm_panel_prepare, "", "");
KSYMTAB_FUNC(drm_panel_unprepare, "", "");
KSYMTAB_FUNC(drm_panel_enable, "", "");
KSYMTAB_FUNC(drm_panel_disable, "", "");
KSYMTAB_FUNC(drm_panel_get_modes, "", "");
KSYMTAB_FUNC(drm_is_panel_follower, "", "");
KSYMTAB_FUNC(drm_panel_add_follower, "", "");
KSYMTAB_FUNC(drm_panel_remove_follower, "", "");
KSYMTAB_FUNC(devm_drm_panel_add_follower, "", "");
KSYMTAB_FUNC(drm_panel_of_backlight, "", "");
KSYMTAB_FUNC(drm_debugfs_gpuva_info, "", "");
KSYMTAB_FUNC(drm_debugfs_create_files, "", "");
KSYMTAB_FUNC(drm_debugfs_remove_files, "", "");
KSYMTAB_FUNC(drm_debugfs_add_file, "", "");
KSYMTAB_FUNC(drm_debugfs_add_files, "", "");
KSYMTAB_FUNC(drm_crtc_add_crc_entry, "_gpl", "");
KSYMTAB_FUNC(accel_open, "_gpl", "");

SYMBOL_CRC(devm_aperture_acquire_from_firmware, 0x15b06185, "");
SYMBOL_CRC(drm_aperture_remove_conflicting_framebuffers, 0xb5c137a8, "");
SYMBOL_CRC(drm_aperture_remove_conflicting_pci_framebuffers, 0xe1ccc748, "");
SYMBOL_CRC(__drm_crtc_commit_free, 0xae277372, "");
SYMBOL_CRC(drm_crtc_commit_wait, 0xf8396624, "");
SYMBOL_CRC(drm_atomic_state_default_release, 0x06d9a1e3, "");
SYMBOL_CRC(drm_atomic_state_init, 0x95c5a9e4, "");
SYMBOL_CRC(drm_atomic_state_alloc, 0x6fb15ba0, "");
SYMBOL_CRC(drm_atomic_state_default_clear, 0x01e7b0b9, "");
SYMBOL_CRC(drm_atomic_state_clear, 0x3137e449, "");
SYMBOL_CRC(__drm_atomic_state_free, 0xb9cad492, "");
SYMBOL_CRC(drm_atomic_get_crtc_state, 0x65259013, "");
SYMBOL_CRC(drm_atomic_get_plane_state, 0x3719f421, "");
SYMBOL_CRC(drm_atomic_private_obj_init, 0xf9c59a58, "");
SYMBOL_CRC(drm_atomic_private_obj_fini, 0x1bd13dd1, "");
SYMBOL_CRC(drm_atomic_get_private_obj_state, 0x0094f622, "");
SYMBOL_CRC(drm_atomic_get_old_private_obj_state, 0xc8599b31, "");
SYMBOL_CRC(drm_atomic_get_new_private_obj_state, 0x4928d926, "");
SYMBOL_CRC(drm_atomic_get_old_connector_for_encoder, 0xcdc64f21, "");
SYMBOL_CRC(drm_atomic_get_new_connector_for_encoder, 0x4cb70d36, "");
SYMBOL_CRC(drm_atomic_get_old_crtc_for_encoder, 0xa4fdac64, "");
SYMBOL_CRC(drm_atomic_get_new_crtc_for_encoder, 0xaeaf0476, "");
SYMBOL_CRC(drm_atomic_get_connector_state, 0x6d579067, "");
SYMBOL_CRC(drm_atomic_get_bridge_state, 0xe1b82946, "");
SYMBOL_CRC(drm_atomic_get_old_bridge_state, 0x805e137f, "");
SYMBOL_CRC(drm_atomic_get_new_bridge_state, 0x73ed309f, "");
SYMBOL_CRC(drm_atomic_add_encoder_bridges, 0x8916595b, "");
SYMBOL_CRC(drm_atomic_add_affected_connectors, 0xdc013951, "");
SYMBOL_CRC(drm_atomic_add_affected_planes, 0x3779ab65, "");
SYMBOL_CRC(drm_atomic_check_only, 0x5d9a96fb, "");
SYMBOL_CRC(drm_atomic_commit, 0x1a72462e, "");
SYMBOL_CRC(drm_atomic_nonblocking_commit, 0x2241d9b1, "");
SYMBOL_CRC(__drm_atomic_helper_disable_plane, 0x56d87448, "");
SYMBOL_CRC(__drm_atomic_helper_set_config, 0xd613306e, "");
SYMBOL_CRC(drm_atomic_print_new_state, 0xb96772b7, "");
SYMBOL_CRC(drm_state_dump, 0x3d68cab1, "");
SYMBOL_CRC(drm_atomic_set_mode_for_crtc, 0xd4008fb0, "");
SYMBOL_CRC(drm_atomic_set_mode_prop_for_crtc, 0x4ccb993d, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_plane, 0xe2bb867f, "");
SYMBOL_CRC(drm_atomic_set_fb_for_plane, 0x68c2162a, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_connector, 0x127b725e, "");
SYMBOL_CRC(drm_is_current_master, 0x5022f1f7, "");
SYMBOL_CRC(drm_master_get, 0x02d1082b, "");
SYMBOL_CRC(drm_file_get_master, 0x5ffbb56a, "");
SYMBOL_CRC(drm_master_put, 0x6a208fbd, "");
SYMBOL_CRC(drm_master_internal_acquire, 0x68c82112, "");
SYMBOL_CRC(drm_master_internal_release, 0xa75b4f97, "");
SYMBOL_CRC(drm_plane_create_alpha_property, 0xe90e1826, "");
SYMBOL_CRC(drm_plane_create_rotation_property, 0x492f4b00, "");
SYMBOL_CRC(drm_rotation_simplify, 0xdf666902, "");
SYMBOL_CRC(drm_plane_create_zpos_property, 0x61619469, "");
SYMBOL_CRC(drm_plane_create_zpos_immutable_property, 0x0efa2115, "");
SYMBOL_CRC(drm_atomic_normalize_zpos, 0xf4ee4f2e, "");
SYMBOL_CRC(drm_plane_create_blend_mode_property, 0xf14521ce, "");
SYMBOL_CRC(drm_bridge_add, 0xa763d716, "");
SYMBOL_CRC(devm_drm_bridge_add, 0x0f1e64e3, "");
SYMBOL_CRC(drm_bridge_remove, 0xee1fd9a6, "");
SYMBOL_CRC(drm_bridge_attach, 0x72f30261, "");
SYMBOL_CRC(drm_bridge_chain_mode_valid, 0x91139d3b, "");
SYMBOL_CRC(drm_bridge_chain_mode_set, 0x808a9eea, "");
SYMBOL_CRC(drm_atomic_bridge_chain_disable, 0xc2a9f93f, "");
SYMBOL_CRC(drm_atomic_bridge_chain_post_disable, 0x39d7143c, "");
SYMBOL_CRC(drm_atomic_bridge_chain_pre_enable, 0x66a64687, "");
SYMBOL_CRC(drm_atomic_bridge_chain_enable, 0x21196981, "");
SYMBOL_CRC(drm_atomic_bridge_chain_check, 0xab0c4422, "");
SYMBOL_CRC(drm_bridge_detect, 0x683eb6dd, "_gpl");
SYMBOL_CRC(drm_bridge_get_modes, 0x912eb228, "_gpl");
SYMBOL_CRC(drm_bridge_edid_read, 0xf565f83c, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_enable, 0x3362d501, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_disable, 0xc7576936, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_notify, 0xfd0a48e5, "_gpl");
SYMBOL_CRC(drm_clflush_pages, 0xcf3f0675, "");
SYMBOL_CRC(drm_clflush_sg, 0x69e1bf40, "");
SYMBOL_CRC(drm_clflush_virt_range, 0x0a72f765, "");
SYMBOL_CRC(drm_need_swiotlb, 0xb6127243, "");
SYMBOL_CRC(drm_memcpy_from_wc, 0xa38c4c94, "");
SYMBOL_CRC(drm_client_init, 0xdce7bc8d, "");
SYMBOL_CRC(drm_client_register, 0x52d879fd, "");
SYMBOL_CRC(drm_client_release, 0xe07886c3, "");
SYMBOL_CRC(drm_client_dev_unregister, 0x2bcbb568, "");
SYMBOL_CRC(drm_client_dev_hotplug, 0xf5b3994e, "");
SYMBOL_CRC(drm_client_buffer_vmap_local, 0xc4c018a0, "");
SYMBOL_CRC(drm_client_buffer_vunmap_local, 0x566d007f, "");
SYMBOL_CRC(drm_client_buffer_vmap, 0xde560adc, "");
SYMBOL_CRC(drm_client_buffer_vunmap, 0xa6a97f57, "");
SYMBOL_CRC(drm_client_framebuffer_create, 0x02e6d48a, "");
SYMBOL_CRC(drm_client_framebuffer_delete, 0x4899421c, "");
SYMBOL_CRC(drm_client_framebuffer_flush, 0xa0d28e79, "");
SYMBOL_CRC(drm_client_modeset_probe, 0x3c1adecf, "");
SYMBOL_CRC(drm_client_rotation, 0xe3b16d96, "");
SYMBOL_CRC(drm_client_modeset_check, 0x3cd803c3, "");
SYMBOL_CRC(drm_client_modeset_commit_locked, 0x41087314, "");
SYMBOL_CRC(drm_client_modeset_commit, 0xf8225339, "");
SYMBOL_CRC(drm_client_modeset_dpms, 0x92b569ce, "");
SYMBOL_CRC(drm_color_ctm_s31_32_to_qm_n, 0xad4e902b, "");
SYMBOL_CRC(drm_crtc_enable_color_mgmt, 0xd15abe69, "");
SYMBOL_CRC(drm_mode_crtc_set_gamma_size, 0xae0eaa5e, "");
SYMBOL_CRC(drm_plane_create_color_properties, 0xd1d27bb6, "");
SYMBOL_CRC(drm_color_lut_check, 0x460d0488, "");
SYMBOL_CRC(drm_get_connector_type_name, 0xf406e46a, "");
SYMBOL_CRC(drm_connector_init, 0xae2ad84f, "");
SYMBOL_CRC(drm_connector_init_with_ddc, 0x546cdcb5, "");
SYMBOL_CRC(drmm_connector_init, 0x6f577bf5, "");
SYMBOL_CRC(drmm_connector_hdmi_init, 0x31412e41, "");
SYMBOL_CRC(drm_connector_attach_edid_property, 0x6c28e9fa, "");
SYMBOL_CRC(drm_connector_attach_encoder, 0x42fc98fa, "");
SYMBOL_CRC(drm_connector_has_possible_encoder, 0xf3b346bc, "");
SYMBOL_CRC(drm_connector_cleanup, 0xec83d9b2, "");
SYMBOL_CRC(drm_connector_register, 0xc0957ad2, "");
SYMBOL_CRC(drm_connector_unregister, 0x62c16b35, "");
SYMBOL_CRC(drm_get_connector_status_name, 0x0fd60df2, "");
SYMBOL_CRC(drm_connector_list_iter_begin, 0xccd4c90a, "");
SYMBOL_CRC(drm_connector_list_iter_next, 0xba47d181, "");
SYMBOL_CRC(drm_connector_list_iter_end, 0xa9c35997, "");
SYMBOL_CRC(drm_get_subpixel_order_name, 0x107742a9, "");
SYMBOL_CRC(drm_display_info_set_bus_formats, 0xd4099a0b, "");
SYMBOL_CRC(drm_get_tv_mode_from_name, 0xf095dc96, "");
SYMBOL_CRC(drm_hdmi_connector_get_broadcast_rgb_name, 0x4e966c75, "");
SYMBOL_CRC(drm_hdmi_connector_get_output_format_name, 0x273dc9d6, "");
SYMBOL_CRC(drm_mode_create_dvi_i_properties, 0x70ff8b80, "");
SYMBOL_CRC(drm_connector_attach_dp_subconnector_property, 0x03aee48f, "");
SYMBOL_CRC(drm_connector_attach_content_type_property, 0x18fe0efe, "");
SYMBOL_CRC(drm_connector_attach_tv_margin_properties, 0xc0d10bfb, "");
SYMBOL_CRC(drm_mode_create_tv_margin_properties, 0x93e7730b, "");
SYMBOL_CRC(drm_mode_create_tv_properties_legacy, 0xa4c222e7, "");
SYMBOL_CRC(drm_mode_create_tv_properties, 0xbf65619d, "");
SYMBOL_CRC(drm_mode_create_scaling_mode_property, 0x72e9d8ae, "");
SYMBOL_CRC(drm_connector_attach_vrr_capable_property, 0x73027d29, "");
SYMBOL_CRC(drm_connector_attach_scaling_mode_property, 0xbeebc8e6, "");
SYMBOL_CRC(drm_mode_create_aspect_ratio_property, 0x0278a73b, "");
SYMBOL_CRC(drm_mode_create_hdmi_colorspace_property, 0x13d3195c, "");
SYMBOL_CRC(drm_mode_create_dp_colorspace_property, 0x6842eb5d, "");
SYMBOL_CRC(drm_mode_create_content_type_property, 0xaa095072, "");
SYMBOL_CRC(drm_mode_create_suggested_offset_properties, 0x9ac91f46, "");
SYMBOL_CRC(drm_connector_set_path_property, 0xc26319b3, "");
SYMBOL_CRC(drm_connector_set_tile_property, 0x08dbd5b3, "");
SYMBOL_CRC(drm_connector_set_link_status_property, 0x3927e5b2, "");
SYMBOL_CRC(drm_connector_attach_max_bpc_property, 0x8ec34582, "");
SYMBOL_CRC(drm_connector_attach_hdr_output_metadata_property, 0xbc3abd7b, "");
SYMBOL_CRC(drm_connector_attach_broadcast_rgb_property, 0xf67e9e84, "");
SYMBOL_CRC(drm_connector_attach_colorspace_property, 0x91043791, "");
SYMBOL_CRC(drm_connector_atomic_hdr_metadata_equal, 0x390a1e3e, "");
SYMBOL_CRC(drm_connector_set_vrr_capable_property, 0x66d0636c, "");
SYMBOL_CRC(drm_connector_set_panel_orientation, 0x2b4eacc6, "");
SYMBOL_CRC(drm_connector_set_panel_orientation_with_quirk, 0x6185496b, "");
SYMBOL_CRC(drm_connector_set_orientation_from_panel, 0x0991454b, "");
SYMBOL_CRC(drm_connector_create_privacy_screen_properties, 0x54dac902, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_properties, 0x0b96841f, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_provider, 0x9aa8de35, "");
SYMBOL_CRC(drm_connector_update_privacy_screen, 0x13f4975b, "");
SYMBOL_CRC(drm_connector_oob_hotplug_event, 0x7e7526e6, "");
SYMBOL_CRC(drm_mode_put_tile_group, 0xf639f927, "");
SYMBOL_CRC(drm_mode_get_tile_group, 0xf224c30f, "");
SYMBOL_CRC(drm_mode_create_tile_group, 0xbe564a1c, "");
SYMBOL_CRC(drm_crtc_from_index, 0x0e4d4231, "");
SYMBOL_CRC(drm_crtc_init_with_planes, 0x5f505637, "");
SYMBOL_CRC(drmm_crtc_init_with_planes, 0xb05a8ed0, "");
SYMBOL_CRC(__drmm_crtc_alloc_with_planes, 0x0e6fdcc6, "");
SYMBOL_CRC(drm_crtc_cleanup, 0x44100c3e, "");
SYMBOL_CRC(drm_mode_set_config_internal, 0x124af44c, "");
SYMBOL_CRC(drm_crtc_check_viewport, 0xda0951a6, "");
SYMBOL_CRC(drm_crtc_create_scaling_filter_property, 0x7a6ac01c, "");
SYMBOL_CRC(drm_put_dev, 0x72e23a83, "");
SYMBOL_CRC(drm_dev_enter, 0x41645e2d, "");
SYMBOL_CRC(drm_dev_exit, 0xe8a034df, "");
SYMBOL_CRC(drm_dev_unplug, 0xfba166fd, "");
SYMBOL_CRC(__devm_drm_dev_alloc, 0x5d32f778, "");
SYMBOL_CRC(drm_dev_alloc, 0xd0556a9d, "");
SYMBOL_CRC(drm_dev_get, 0xe324c01a, "");
SYMBOL_CRC(drm_dev_put, 0xa0197ce1, "");
SYMBOL_CRC(drm_dev_register, 0xd5872735, "");
SYMBOL_CRC(drm_dev_unregister, 0x54ffde17, "");
SYMBOL_CRC(drm_edid_header_is_valid, 0x9b9de1c1, "");
SYMBOL_CRC(drm_edid_is_valid, 0xc4200dab, "");
SYMBOL_CRC(drm_edid_valid, 0xb3750192, "");
SYMBOL_CRC(drm_edid_override_connector_update, 0xf18686ee, "");
SYMBOL_CRC(drm_edid_raw, 0x98fed39f, "");
SYMBOL_CRC(drm_edid_alloc, 0x79c00fa2, "");
SYMBOL_CRC(drm_edid_dup, 0xb212dc3e, "");
SYMBOL_CRC(drm_edid_free, 0x397c3d27, "");
SYMBOL_CRC(drm_probe_ddc, 0x3ca6c378, "");
SYMBOL_CRC(drm_get_edid, 0x0652d8c5, "");
SYMBOL_CRC(drm_edid_read_custom, 0x26ad5bf5, "");
SYMBOL_CRC(drm_edid_read_ddc, 0xc042dfa4, "");
SYMBOL_CRC(drm_edid_read, 0x85b24278, "");
SYMBOL_CRC(drm_edid_get_product_id, 0x38d55d21, "");
SYMBOL_CRC(drm_edid_print_product_id, 0xb2f44400, "");
SYMBOL_CRC(drm_edid_get_panel_id, 0xe75a9a81, "");
SYMBOL_CRC(drm_edid_read_base_block, 0xec7303b4, "");
SYMBOL_CRC(drm_get_edid_switcheroo, 0xb9e04456, "");
SYMBOL_CRC(drm_edid_read_switcheroo, 0xdae39c84, "");
SYMBOL_CRC(drm_edid_duplicate, 0x5f7137ba, "");
SYMBOL_CRC(drm_mode_find_dmt, 0xccb607bb, "");
SYMBOL_CRC(drm_match_cea_mode, 0x9b285573, "");
SYMBOL_CRC(drm_display_mode_from_cea_vic, 0x558c9216, "");
SYMBOL_CRC(drm_edid_match, 0x05eb4392, "");
SYMBOL_CRC(drm_edid_get_monitor_name, 0x5e5128bf, "");
SYMBOL_CRC(drm_edid_to_sad, 0x4124e206, "");
SYMBOL_CRC(drm_edid_to_speaker_allocation, 0x47e22e1f, "");
SYMBOL_CRC(drm_av_sync_delay, 0x7ab4a366, "");
SYMBOL_CRC(drm_detect_hdmi_monitor, 0xa44eb44e, "");
SYMBOL_CRC(drm_detect_monitor_audio, 0xe4116245, "");
SYMBOL_CRC(drm_default_rgb_quant_range, 0x65702bd6, "");
SYMBOL_CRC(drm_edid_connector_update, 0xde442d6b, "");
SYMBOL_CRC(drm_edid_connector_add_modes, 0x93091564, "");
SYMBOL_CRC(drm_connector_update_edid_property, 0x5399af07, "");
SYMBOL_CRC(drm_add_edid_modes, 0x8818a096, "");
SYMBOL_CRC(drm_add_modes_noedid, 0x0188942c, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_from_display_mode, 0xe9f903e1, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_quant_range, 0xaae82528, "");
SYMBOL_CRC(drm_hdmi_vendor_infoframe_from_display_mode, 0xdd5db4ab, "");
SYMBOL_CRC(drm_edid_is_digital, 0xc518d486, "");
SYMBOL_CRC(drm_eld_sad_get, 0xe8fa400a, "");
SYMBOL_CRC(drm_eld_sad_set, 0xc53a8214, "");
SYMBOL_CRC(drm_encoder_init, 0x408885c5, "");
SYMBOL_CRC(drm_encoder_cleanup, 0x218246cd, "");
SYMBOL_CRC(__drmm_encoder_alloc, 0x641730c9, "");
SYMBOL_CRC(drmm_encoder_init, 0x97903845, "");
SYMBOL_CRC(drm_open, 0x3f2365cb, "");
SYMBOL_CRC(drm_release, 0x3b8f0b7d, "");
SYMBOL_CRC(drm_release_noglobal, 0xa52ed705, "");
SYMBOL_CRC(drm_read, 0x2d52c313, "");
SYMBOL_CRC(drm_poll, 0x2c1573f9, "");
SYMBOL_CRC(drm_event_reserve_init_locked, 0xc99bab6c, "");
SYMBOL_CRC(drm_event_reserve_init, 0xa7fad795, "");
SYMBOL_CRC(drm_event_cancel_free, 0xa325654d, "");
SYMBOL_CRC(drm_send_event_timestamp_locked, 0x05195500, "");
SYMBOL_CRC(drm_send_event_locked, 0x8c14f17a, "");
SYMBOL_CRC(drm_send_event, 0xe866d84a, "");
SYMBOL_CRC(drm_print_memory_stats, 0x9bfc9dc7, "");
SYMBOL_CRC(drm_show_memory_stats, 0xb290d20d, "");
SYMBOL_CRC(drm_show_fdinfo, 0x23589827, "");
SYMBOL_CRC(mock_drm_getfile, 0x01edcb88, "");
SYMBOL_CRC(drm_mode_legacy_fb_format, 0x29f078d1, "");
SYMBOL_CRC(drm_driver_legacy_fb_format, 0xf0117008, "");
SYMBOL_CRC(drm_format_info, 0x55eb38da, "");
SYMBOL_CRC(drm_get_format_info, 0x68a93fc0, "");
SYMBOL_CRC(drm_format_info_block_width, 0x74fc6fbd, "");
SYMBOL_CRC(drm_format_info_block_height, 0x982d09b3, "");
SYMBOL_CRC(drm_format_info_bpp, 0xe633a4cd, "");
SYMBOL_CRC(drm_format_info_min_pitch, 0x6910e4cd, "");
SYMBOL_CRC(drm_internal_framebuffer_create, 0x5a78186a, "");
SYMBOL_CRC(drm_framebuffer_init, 0xd7f73b71, "");
SYMBOL_CRC(drm_framebuffer_lookup, 0xce760e32, "");
SYMBOL_CRC(drm_framebuffer_unregister_private, 0xe6934ea4, "");
SYMBOL_CRC(drm_framebuffer_cleanup, 0x0f3ff173, "");
SYMBOL_CRC(drm_framebuffer_remove, 0xf7232357, "");
SYMBOL_CRC(drm_gem_object_init, 0x868a071f, "");
SYMBOL_CRC(drm_gem_private_object_init, 0x9669bc49, "");
SYMBOL_CRC(drm_gem_private_object_fini, 0x50c8f8b4, "");
SYMBOL_CRC(drm_gem_handle_delete, 0xfe8d2cd9, "");
SYMBOL_CRC(drm_gem_dumb_map_offset, 0xd97c1f2c, "_gpl");
SYMBOL_CRC(drm_gem_handle_create, 0x81333c60, "");
SYMBOL_CRC(drm_gem_free_mmap_offset, 0xdc3ede99, "");
SYMBOL_CRC(drm_gem_create_mmap_offset_size, 0x72866146, "");
SYMBOL_CRC(drm_gem_create_mmap_offset, 0xa7359d3e, "");
SYMBOL_CRC(drm_gem_get_pages, 0xc6430c41, "");
SYMBOL_CRC(drm_gem_put_pages, 0x3dbf8283, "");
SYMBOL_CRC(drm_gem_objects_lookup, 0x331af391, "");
SYMBOL_CRC(drm_gem_object_lookup, 0xb2318386, "");
SYMBOL_CRC(drm_gem_dma_resv_wait, 0xc33068b5, "");
SYMBOL_CRC(drm_gem_object_release, 0x9c8674e8, "");
SYMBOL_CRC(drm_gem_object_free, 0xd680a377, "");
SYMBOL_CRC(drm_gem_vm_open, 0xcbf057d4, "");
SYMBOL_CRC(drm_gem_vm_close, 0x85702e89, "");
SYMBOL_CRC(drm_gem_mmap_obj, 0x791cc67d, "");
SYMBOL_CRC(drm_gem_mmap, 0x0825684f, "");
SYMBOL_CRC(drm_gem_vmap, 0xf7353b79, "");
SYMBOL_CRC(drm_gem_vunmap, 0x70e78261, "");
SYMBOL_CRC(drm_gem_lock, 0xd9f26249, "");
SYMBOL_CRC(drm_gem_unlock, 0x95feb7d2, "");
SYMBOL_CRC(drm_gem_vmap_unlocked, 0x61dcc889, "");
SYMBOL_CRC(drm_gem_vunmap_unlocked, 0x8094d360, "");
SYMBOL_CRC(drm_gem_lock_reservations, 0xcf449748, "");
SYMBOL_CRC(drm_gem_unlock_reservations, 0x0f265bdd, "");
SYMBOL_CRC(drm_gem_lru_init, 0x81501a36, "");
SYMBOL_CRC(drm_gem_lru_remove, 0x4248e4d1, "");
SYMBOL_CRC(drm_gem_lru_move_tail_locked, 0x4973ba14, "");
SYMBOL_CRC(drm_gem_lru_move_tail, 0x496ed03e, "");
SYMBOL_CRC(drm_gem_lru_scan, 0xa94b605e, "");
SYMBOL_CRC(drm_gem_evict, 0x97b3bd15, "");
SYMBOL_CRC(drm_noop, 0x31f949ae, "");
SYMBOL_CRC(drm_invalid_op, 0xa960eb05, "");
SYMBOL_CRC(drm_ioctl_kernel, 0xfa69252c, "");
SYMBOL_CRC(drm_ioctl, 0xe69ff085, "");
SYMBOL_CRC(drm_ioctl_flags, 0x57b6efe3, "");
SYMBOL_CRC(__drmm_add_action, 0xf5a7e994, "");
SYMBOL_CRC(__drmm_add_action_or_reset, 0x3bf1d47e, "");
SYMBOL_CRC(drmm_release_action, 0x13acf075, "");
SYMBOL_CRC(drmm_kmalloc, 0x467e8575, "");
SYMBOL_CRC(drmm_kstrdup, 0x43b60882, "_gpl");
SYMBOL_CRC(drmm_kfree, 0x843d5238, "");
SYMBOL_CRC(__drmm_mutex_release, 0x1f6673a0, "");
SYMBOL_CRC(__drm_mm_interval_first, 0x25daad93, "");
SYMBOL_CRC(drm_mm_reserve_node, 0x2754dad8, "");
SYMBOL_CRC(drm_mm_insert_node_in_range, 0xb4032484, "");
SYMBOL_CRC(drm_mm_remove_node, 0x4b7ebf95, "");
SYMBOL_CRC(drm_mm_scan_init_with_range, 0x2a962499, "");
SYMBOL_CRC(drm_mm_scan_add_block, 0x2183c08c, "");
SYMBOL_CRC(drm_mm_scan_remove_block, 0x5f7985a5, "");
SYMBOL_CRC(drm_mm_scan_color_evict, 0xdf3f760d, "");
SYMBOL_CRC(drm_mm_init, 0xf0517d7a, "");
SYMBOL_CRC(drm_mm_takedown, 0x57698a50, "");
SYMBOL_CRC(drm_mm_print, 0x384b280d, "");
SYMBOL_CRC(drm_mode_config_reset, 0x8ca6b94c, "");
SYMBOL_CRC(drmm_mode_config_init, 0x208ffc49, "");
SYMBOL_CRC(drm_mode_config_cleanup, 0x764eb45b, "");
SYMBOL_CRC(drm_mode_object_find, 0x99166fe6, "");
SYMBOL_CRC(drm_mode_object_put, 0x4ead5caf, "");
SYMBOL_CRC(drm_mode_object_get, 0x187d0899, "");
SYMBOL_CRC(drm_object_attach_property, 0x207efe1c, "");
SYMBOL_CRC(drm_object_property_set_value, 0xd51cbceb, "");
SYMBOL_CRC(drm_object_property_get_value, 0x499d4281, "");
SYMBOL_CRC(drm_object_property_get_default_value, 0xd6649aed, "");
SYMBOL_CRC(drm_mode_obj_find_prop_id, 0xe8b75b8a, "");
SYMBOL_CRC(drm_mode_debug_printmodeline, 0x2ed3c600, "");
SYMBOL_CRC(drm_mode_create, 0xff5012f0, "");
SYMBOL_CRC(drm_mode_destroy, 0x960a616d, "");
SYMBOL_CRC(drm_mode_probed_add, 0x3112112f, "");
SYMBOL_CRC(drm_analog_tv_mode, 0xe400f96e, "");
SYMBOL_CRC(drm_cvt_mode, 0x590d0900, "");
SYMBOL_CRC(drm_gtf_mode_complex, 0xd587a59c, "");
SYMBOL_CRC(drm_gtf_mode, 0xf77aa601, "");
SYMBOL_CRC(drm_mode_set_name, 0x4a35d30d, "");
SYMBOL_CRC(drm_mode_vrefresh, 0xf1b5340a, "");
SYMBOL_CRC(drm_mode_get_hv_timing, 0x4403a9c3, "");
SYMBOL_CRC(drm_mode_set_crtcinfo, 0x4575a0ca, "");
SYMBOL_CRC(drm_mode_copy, 0x9ce050be, "");
SYMBOL_CRC(drm_mode_init, 0xcdb99cc9, "");
SYMBOL_CRC(drm_mode_duplicate, 0x56d1591c, "");
SYMBOL_CRC(drm_mode_match, 0x9b95c885, "");
SYMBOL_CRC(drm_mode_equal, 0x0d9b4753, "");
SYMBOL_CRC(drm_mode_equal_no_clocks, 0x3ab87110, "");
SYMBOL_CRC(drm_mode_equal_no_clocks_no_stereo, 0x24d124ac, "");
SYMBOL_CRC(drm_mode_validate_driver, 0xba1ed134, "");
SYMBOL_CRC(drm_mode_validate_size, 0xd7a9cf42, "");
SYMBOL_CRC(drm_mode_validate_ycbcr420, 0x0608d528, "");
SYMBOL_CRC(drm_mode_prune_invalid, 0xb61815d1, "");
SYMBOL_CRC(drm_mode_sort, 0xf1421d13, "");
SYMBOL_CRC(drm_connector_list_update, 0x0f0ef4b6, "");
SYMBOL_CRC(drm_mode_parse_command_line_for_connector, 0x6b6f0ca3, "");
SYMBOL_CRC(drm_mode_create_from_cmdline_mode, 0xafaa7606, "");
SYMBOL_CRC(drm_mode_is_420_only, 0xe7a9ecea, "");
SYMBOL_CRC(drm_mode_is_420_also, 0xace169b3, "");
SYMBOL_CRC(drm_mode_is_420, 0x784d6883, "");
SYMBOL_CRC(drm_set_preferred_mode, 0x2247556e, "");
SYMBOL_CRC(drm_modeset_lock_all, 0x57d2ed39, "");
SYMBOL_CRC(drm_modeset_unlock_all, 0x8194065f, "");
SYMBOL_CRC(drm_warn_on_modeset_not_all_locked, 0x8c2e0783, "");
SYMBOL_CRC(drm_modeset_acquire_init, 0x51dffd90, "");
SYMBOL_CRC(drm_modeset_acquire_fini, 0x0bfd631c, "");
SYMBOL_CRC(drm_modeset_drop_locks, 0x2e592328, "");
SYMBOL_CRC(drm_modeset_backoff, 0x1a06728d, "");
SYMBOL_CRC(drm_modeset_lock_init, 0xf6dcf94e, "");
SYMBOL_CRC(drm_modeset_lock, 0xf49d0d36, "");
SYMBOL_CRC(drm_modeset_lock_single_interruptible, 0x0eb7636e, "");
SYMBOL_CRC(drm_modeset_unlock, 0x463bea8c, "");
SYMBOL_CRC(drm_modeset_lock_all_ctx, 0xde936fcb, "");
SYMBOL_CRC(drm_universal_plane_init, 0x45d35882, "");
SYMBOL_CRC(__drmm_universal_plane_alloc, 0xfc242de2, "");
SYMBOL_CRC(__drm_universal_plane_alloc, 0xeeff5405, "");
SYMBOL_CRC(drm_plane_cleanup, 0x43bf7e7d, "");
SYMBOL_CRC(drm_plane_from_index, 0x8be3d486, "");
SYMBOL_CRC(drm_plane_force_disable, 0xed39854b, "");
SYMBOL_CRC(drm_mode_plane_set_obj_prop, 0x1f632b37, "");
SYMBOL_CRC(drm_plane_has_format, 0xe9257750, "");
SYMBOL_CRC(drm_any_plane_has_format, 0xd6bb1310, "");
SYMBOL_CRC(drm_plane_enable_fb_damage_clips, 0x1c7d9b91, "");
SYMBOL_CRC(drm_plane_get_damage_clips_count, 0x6b695acc, "");
SYMBOL_CRC(drm_plane_get_damage_clips, 0x1e5f2402, "");
SYMBOL_CRC(drm_plane_create_scaling_filter_property, 0xf7e0e3b7, "");
SYMBOL_CRC(drm_plane_add_size_hints_property, 0x706f3d95, "");
SYMBOL_CRC(drm_gem_dmabuf_export, 0xe3a07813, "");
SYMBOL_CRC(drm_gem_dmabuf_release, 0x425360fc, "");
SYMBOL_CRC(drm_gem_prime_fd_to_handle, 0xf8ce7f92, "");
SYMBOL_CRC(drm_gem_prime_handle_to_dmabuf, 0x5421efff, "");
SYMBOL_CRC(drm_gem_prime_handle_to_fd, 0x313773a6, "");
SYMBOL_CRC(drm_gem_map_attach, 0xf5cbbb92, "");
SYMBOL_CRC(drm_gem_map_detach, 0x2cc9ef0b, "");
SYMBOL_CRC(drm_gem_map_dma_buf, 0xf5f3590e, "");
SYMBOL_CRC(drm_gem_unmap_dma_buf, 0x7fe1b709, "");
SYMBOL_CRC(drm_gem_dmabuf_vmap, 0x1d05f1c8, "");
SYMBOL_CRC(drm_gem_dmabuf_vunmap, 0xa8dac199, "");
SYMBOL_CRC(drm_gem_prime_mmap, 0x2edb79ec, "");
SYMBOL_CRC(drm_gem_dmabuf_mmap, 0x4228ca77, "");
SYMBOL_CRC(drm_prime_pages_to_sg, 0x28ea9344, "");
SYMBOL_CRC(drm_prime_get_contiguous_size, 0xdad9c8b1, "");
SYMBOL_CRC(drm_gem_prime_export, 0x16932163, "");
SYMBOL_CRC(drm_gem_prime_import_dev, 0xb2686900, "");
SYMBOL_CRC(drm_gem_prime_import, 0xd3ae0d8d, "");
SYMBOL_CRC(drm_prime_sg_to_page_array, 0x1073b0e2, "");
SYMBOL_CRC(drm_prime_sg_to_dma_addr_array, 0x4e2a621e, "");
SYMBOL_CRC(drm_prime_gem_destroy, 0xae0d34ae, "");
SYMBOL_CRC(__drm_debug, 0x69353664, "");
SYMBOL_CRC(__drm_puts_coredump, 0xc9f4f448, "");
SYMBOL_CRC(__drm_printfn_coredump, 0x95bf149b, "");
SYMBOL_CRC(__drm_puts_seq_file, 0x25b1a326, "");
SYMBOL_CRC(__drm_printfn_seq_file, 0x2140e8a1, "");
SYMBOL_CRC(__drm_printfn_info, 0x4488028a, "");
SYMBOL_CRC(__drm_printfn_dbg, 0x5fafb06f, "");
SYMBOL_CRC(__drm_printfn_err, 0x51a893c2, "");
SYMBOL_CRC(drm_puts, 0x4925085d, "");
SYMBOL_CRC(drm_printf, 0xbc0d826d, "");
SYMBOL_CRC(drm_print_bits, 0x1a01342e, "");
SYMBOL_CRC(drm_dev_printk, 0x1a621635, "");
SYMBOL_CRC(__drm_dev_dbg, 0xdcaeb675, "");
SYMBOL_CRC(__drm_err, 0xb11ac7a7, "");
SYMBOL_CRC(drm_print_regset32, 0xaaf5b689, "");
SYMBOL_CRC(drm_property_create, 0x864b7401, "");
SYMBOL_CRC(drm_property_create_enum, 0x9aa9e613, "");
SYMBOL_CRC(drm_property_create_bitmask, 0xc762eeed, "");
SYMBOL_CRC(drm_property_create_range, 0x54055b9f, "");
SYMBOL_CRC(drm_property_create_signed_range, 0x9a018caa, "");
SYMBOL_CRC(drm_property_create_object, 0x4255e68b, "");
SYMBOL_CRC(drm_property_create_bool, 0x5bc0272e, "");
SYMBOL_CRC(drm_property_add_enum, 0xb4806214, "");
SYMBOL_CRC(drm_property_destroy, 0x3124bd27, "");
SYMBOL_CRC(drm_property_create_blob, 0x0bb72b1e, "");
SYMBOL_CRC(drm_property_blob_put, 0x608e00fe, "");
SYMBOL_CRC(drm_property_blob_get, 0x7a565d4f, "");
SYMBOL_CRC(drm_property_lookup_blob, 0x0334f219, "");
SYMBOL_CRC(drm_property_replace_global_blob, 0x72ab6c8d, "");
SYMBOL_CRC(drm_property_replace_blob, 0x82ae4f53, "");
SYMBOL_CRC(drm_property_replace_blob_from_id, 0xac912a21, "");
SYMBOL_CRC(drm_syncobj_find, 0x23f5360f, "");
SYMBOL_CRC(drm_syncobj_add_point, 0xb3c34309, "");
SYMBOL_CRC(drm_syncobj_replace_fence, 0x7db14707, "");
SYMBOL_CRC(drm_syncobj_find_fence, 0xf5c9d7de, "");
SYMBOL_CRC(drm_syncobj_free, 0x1a411479, "");
SYMBOL_CRC(drm_syncobj_create, 0xb8ae360f, "");
SYMBOL_CRC(drm_syncobj_get_handle, 0xd2c7c717, "");
SYMBOL_CRC(drm_syncobj_get_fd, 0x4a39bf2f, "");
SYMBOL_CRC(drm_timeout_abs_to_jiffies, 0x50674de7, "");
SYMBOL_CRC(drm_sysfs_hotplug_event, 0x9a35dc33, "");
SYMBOL_CRC(drm_sysfs_connector_hotplug_event, 0x00fb98cd, "");
SYMBOL_CRC(drm_sysfs_connector_property_event, 0x26e27705, "");
SYMBOL_CRC(drm_class_device_register, 0x56038ffb, "_gpl");
SYMBOL_CRC(drm_class_device_unregister, 0x3d91e8d2, "_gpl");
SYMBOL_CRC(drm_crtc_vblank_crtc, 0x3f25ceaf, "");
SYMBOL_CRC(drm_crtc_accurate_vblank_count, 0xd8589a4a, "");
SYMBOL_CRC(drm_vblank_init, 0x6c8a4a48, "");
SYMBOL_CRC(drm_dev_has_vblank, 0xf8a1cf45, "");
SYMBOL_CRC(drm_crtc_vblank_waitqueue, 0x44b5ddbf, "");
SYMBOL_CRC(drm_calc_timestamping_constants, 0xac0ede91, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp_internal, 0x6a57a8a4, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp, 0x4397d080, "");
SYMBOL_CRC(drm_crtc_vblank_count, 0x03a44bb5, "");
SYMBOL_CRC(drm_crtc_vblank_count_and_time, 0xfa21c1ff, "");
SYMBOL_CRC(drm_crtc_next_vblank_start, 0xd788a372, "");
SYMBOL_CRC(drm_crtc_arm_vblank_event, 0x524b8ff0, "");
SYMBOL_CRC(drm_crtc_send_vblank_event, 0xcc6cb699, "");
SYMBOL_CRC(drm_crtc_vblank_get, 0xfa9784e9, "");
SYMBOL_CRC(drm_crtc_vblank_put, 0x8f9eb9f4, "");
SYMBOL_CRC(drm_wait_one_vblank, 0x3635aed8, "");
SYMBOL_CRC(drm_crtc_wait_one_vblank, 0xe841d840, "");
SYMBOL_CRC(drm_crtc_vblank_off, 0x104de506, "");
SYMBOL_CRC(drm_crtc_vblank_reset, 0x3b8ba971, "");
SYMBOL_CRC(drm_crtc_set_max_vblank_count, 0xbe4cf52a, "");
SYMBOL_CRC(drm_crtc_vblank_on_config, 0x6f89f78e, "");
SYMBOL_CRC(drm_crtc_vblank_on, 0x8852d4fd, "");
SYMBOL_CRC(drm_crtc_vblank_restore, 0xe73f8f3e, "");
SYMBOL_CRC(drm_handle_vblank, 0x4477479a, "");
SYMBOL_CRC(drm_crtc_handle_vblank, 0x9f5ac889, "");
SYMBOL_CRC(drm_vblank_work_schedule, 0xa40b84e2, "");
SYMBOL_CRC(drm_vblank_work_cancel_sync, 0xdb527ea2, "");
SYMBOL_CRC(drm_vblank_work_flush, 0xca4f5939, "");
SYMBOL_CRC(drm_vblank_work_flush_all, 0x642d6661, "");
SYMBOL_CRC(drm_vblank_work_init, 0x55b52e86, "");
SYMBOL_CRC(drm_vma_offset_manager_init, 0x9e20c414, "");
SYMBOL_CRC(drm_vma_offset_manager_destroy, 0x5150dcc2, "");
SYMBOL_CRC(drm_vma_offset_lookup_locked, 0xc4b5ed11, "");
SYMBOL_CRC(drm_vma_offset_add, 0x66c87cf8, "");
SYMBOL_CRC(drm_vma_offset_remove, 0xcf25b404, "");
SYMBOL_CRC(drm_vma_node_allow, 0xf69ad8ec, "");
SYMBOL_CRC(drm_vma_node_allow_once, 0xbb4ec1a1, "");
SYMBOL_CRC(drm_vma_node_revoke, 0x22b721c3, "");
SYMBOL_CRC(drm_vma_node_is_allowed, 0xf1996326, "");
SYMBOL_CRC(drm_writeback_connector_init, 0x2d54fb78, "");
SYMBOL_CRC(drm_writeback_connector_init_with_encoder, 0x9b2849b2, "");
SYMBOL_CRC(drm_writeback_prepare_job, 0xfddbcf6e, "");
SYMBOL_CRC(drm_writeback_queue_job, 0xcc8bf13d, "");
SYMBOL_CRC(drm_writeback_cleanup_job, 0xa0e05531, "");
SYMBOL_CRC(drm_writeback_signal_completion, 0x45acb89d, "");
SYMBOL_CRC(drm_writeback_get_out_fence, 0x18f4d3db, "");
SYMBOL_CRC(drm_prandom_u32_max_state, 0xd392c35c, "");
SYMBOL_CRC(drm_random_reorder, 0x1ce755b6, "");
SYMBOL_CRC(drm_random_order, 0xd5164270, "");
SYMBOL_CRC(drm_compat_ioctl, 0xf79f5139, "");
SYMBOL_CRC(drm_panel_init, 0x8a2d854f, "");
SYMBOL_CRC(drm_panel_add, 0x26136de8, "");
SYMBOL_CRC(drm_panel_remove, 0x481ae70f, "");
SYMBOL_CRC(drm_panel_prepare, 0xba6f21c7, "");
SYMBOL_CRC(drm_panel_unprepare, 0xc5895682, "");
SYMBOL_CRC(drm_panel_enable, 0xc9c14a48, "");
SYMBOL_CRC(drm_panel_disable, 0x44b905f3, "");
SYMBOL_CRC(drm_panel_get_modes, 0x3dc7b6df, "");
SYMBOL_CRC(drm_is_panel_follower, 0x07e80d92, "");
SYMBOL_CRC(drm_panel_add_follower, 0xad77a5b9, "");
SYMBOL_CRC(drm_panel_remove_follower, 0xcde10f8c, "");
SYMBOL_CRC(devm_drm_panel_add_follower, 0x0dd61afc, "");
SYMBOL_CRC(drm_panel_of_backlight, 0x87b130c4, "");
SYMBOL_CRC(drm_debugfs_gpuva_info, 0x293a021f, "");
SYMBOL_CRC(drm_debugfs_create_files, 0x833db79e, "");
SYMBOL_CRC(drm_debugfs_remove_files, 0x065517e8, "");
SYMBOL_CRC(drm_debugfs_add_file, 0x8e3b3524, "");
SYMBOL_CRC(drm_debugfs_add_files, 0xe4669326, "");
SYMBOL_CRC(drm_crtc_add_crc_entry, 0xef2b8415, "_gpl");
SYMBOL_CRC(accel_open, 0xbdb026dd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc8dcc62a, "krealloc" },
	{ 0x227e1934, "ida_alloc_range" },
	{ 0x67804434, "try_module_get" },
	{ 0x900d2bcd, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9a40454a, "ww_mutex_lock_interruptible" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x83053441, "alloc_anon_inode" },
	{ 0x22cc6319, "show_class_attr_string" },
	{ 0x26c28cdd, "kthread_cancel_work_sync" },
	{ 0xc4dade48, "is_acpi_device_node" },
	{ 0xf9809b80, "kthread_create_worker" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0x43cbba62, "kthread_flush_work" },
	{ 0x7b485636, "bpf_trace_run4" },
	{ 0x901a14c1, "ida_destroy" },
	{ 0xf783af4a, "idr_find" },
	{ 0x5afeb4d3, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x9a4a6183, "shmem_read_folio_gfp" },
	{ 0x3e0617b4, "__folio_batch_release" },
	{ 0x2cad5b9b, "dev_set_name" },
	{ 0xb0e602eb, "memmove" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe397caf5, "seq_buf_printf" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xa82bd2a0, "trace_raw_output_prep" },
	{ 0x54193eb5, "dma_resv_init" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x74a09225, "dma_resv_wait_timeout" },
	{ 0xebb0216a, "device_unregister" },
	{ 0xbf32a86c, "debugfs_create_symlink" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x8b618d08, "overflowuid" },
	{ 0xf52992cb, "kthread_flush_worker" },
	{ 0x4167adb3, "rt_mutex_base_init" },
	{ 0x459e6ba8, "finish_wait" },
	{ 0x6749d53f, "hdmi_vendor_infoframe_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xe45f0ddd, "request_firmware" },
	{ 0xdff160c9, "class_destroy" },
	{ 0x437d4d46, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x7de1fd59, "idr_replace" },
	{ 0x8ff611b4, "ww_mutex_unlock" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x99014b35, "device_initialize" },
	{ 0x75d0deb9, "nsecs_to_jiffies64" },
	{ 0xec93d8f8, "fd_install" },
	{ 0xd3465216, "dma_fence_chain_ops" },
	{ 0x289ca9a7, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x224a498a, "component_del" },
	{ 0xaa35a0da, "unmap_mapping_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x9bf80850, "iput" },
	{ 0xae9c2f1d, "pcpu_hot" },
	{ 0xee089bc0, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xd99fb3dc, "prepare_to_wait_event" },
	{ 0x2682a0f8, "dma_buf_unmap_attachment_unlocked" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xb366b4cb, "event_triggers_call" },
	{ 0x8c849ef8, "__wake_up" },
	{ 0x54330230, "dma_fence_add_callback" },
	{ 0xc88c4cf6, "synchronize_srcu" },
	{ 0x43a25b40, "dma_fence_set_deadline" },
	{ 0x5f3619e2, "get_device" },
	{ 0x30c1d5d7, "dma_buf_attach" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xe3a72936, "class_create_file_ns" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xe55ad329, "wake_up_process" },
	{ 0xaa0a2631, "dev_driver_string" },
	{ 0x4eb1da57, "dma_buf_map_attachment_unlocked" },
	{ 0xb34c3f2f, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x92997ed8, "_printk" },
	{ 0x11d7e750, "ww_mutex_trylock" },
	{ 0x1e637256, "register_acpi_bus_type" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xd1e76e80, "devm_of_find_backlight" },
	{ 0x6408a7a7, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x27874a9c, "dma_max_mapping_size" },
	{ 0x60ac84cc, "put_device" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x8e3f195, "trace_event_ignore_this_pid" },
	{ 0xc668d3b, "dma_buf_export" },
	{ 0x4129f5ee, "kernel_fpu_begin_mask" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0xee0118df, "aperture_remove_conflicting_devices" },
	{ 0x38722f80, "kernel_fpu_end" },
	{ 0x54732fe4, "kthread_queue_work" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x7069987d, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xfc7838de, "dma_fence_remove_callback" },
	{ 0x5a670970, "rt_write_unlock" },
	{ 0x696ee216, "_dev_info" },
	{ 0x449d4261, "folio_mark_dirty" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0xc6cbbc89, "capable" },
	{ 0xf7d7974d, "atomic_dec_and_mutex_lock" },
	{ 0xf75c2811, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc342e34d, "sysfs_create_link" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xb2351e8e, "idr_remove" },
	{ 0x57c801ee, "dma_fence_chain_walk" },
	{ 0xac68d4ab, "debugfs_lookup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x84cfc277, "__task_pid_nr_ns" },
	{ 0xef9c3a8c, "kobject_uevent_env" },
	{ 0x4ea5d10, "ksize" },
	{ 0xc3c12291, "__xa_alloc" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0xfb09720c, "shmem_file_setup" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x7b26b700, "dma_fence_get_stub" },
	{ 0x2e439142, "drm_get_panel_orientation_quirk" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x6f7cc083, "perf_trace_run_bpf_submit" },
	{ 0x49608959, "migrate_disable" },
	{ 0x5252cba5, "fput" },
	{ 0x959339b1, "down_write" },
	{ 0x7343bbb1, "_dev_err" },
	{ 0x2c59427, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x5d48b6c6, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x54f0b7ce, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2a3deed9, "sysfs_remove_link" },
	{ 0xf653e4b8, "idr_alloc" },
	{ 0xd79cbd45, "pid_task" },
	{ 0xf7a67c82, "__srcu_read_lock" },
	{ 0x587b0954, "kvasprintf" },
	{ 0x78c6be6a, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x1027b12b, "xa_load" },
	{ 0x93354407, "noop_llseek" },
	{ 0xbdb2cc81, "dma_fence_signal" },
	{ 0xbc2c26ab, "folio_mark_accessed" },
	{ 0x253c399e, "dma_resv_fini" },
	{ 0x7958b919, "class_create" },
	{ 0x954f099c, "idr_preload" },
	{ 0x7ef4bddc, "__sg_page_iter_next" },
	{ 0x499e043c, "mutex_lock" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x7a941614, "dma_buf_get" },
	{ 0x31dd266d, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x48e8ecfe, "aperture_remove_conflicting_pci_devices" },
	{ 0xe51761ae, "ww_mutex_lock" },
	{ 0xa17e7c83, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xb06cfc6c, "dma_buf_put" },
	{ 0x7c529d87, "ida_free" },
	{ 0x1a9a433c, "prandom_u32_state" },
	{ 0x3baad6a7, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x8aa0991b, "dma_fence_init" },
	{ 0xa7480d5c, "mutex_lock_interruptible" },
	{ 0x11089ac7, "_ctype" },
	{ 0xc5b5ffe, "device_register" },
	{ 0x9d3657e8, "device_del" },
	{ 0x2552325d, "idr_destroy" },
	{ 0x9591fdf0, "sg_alloc_table_from_pages_segment" },
	{ 0x1e1e140e, "ns_to_timespec64" },
	{ 0xfb578fc5, "memset" },
	{ 0xfd8798e5, "_dev_warn" },
	{ 0x3c891637, "unregister_acpi_bus_type" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x71db24e4, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x166ed2c8, "rt_spin_unlock" },
	{ 0xcff78e94, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x4e7a420c, "rt_spin_lock" },
	{ 0x4841bdee, "strnchr" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x69e25e1e, "devm_aperture_acquire_for_platform_device" },
	{ 0x67ebbcb4, "init_pseudo" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3dc25088, "xa_erase" },
	{ 0x5bc70efb, "check_move_unevictable_folios" },
	{ 0x2e0bb4cd, "bpf_trace_run3" },
	{ 0x10943060, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4eb2b066, "hdmi_avi_infoframe_init" },
	{ 0x1f9d35c6, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xe48b55b, "rt_read_lock" },
	{ 0x6a30e62c, "trace_event_buffer_reserve" },
	{ 0x42296434, "dma_map_sgtable" },
	{ 0x86214482, "kthread_destroy_worker" },
	{ 0x85df9b6c, "strsep" },
	{ 0x13ea7980, "mutex_unlock" },
	{ 0x33396fbb, "__dma_fence_unwrap_merge" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xa6457c89, "hdmi_infoframe_pack" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xec41f5c4, "dentry_open" },
	{ 0xe091c977, "list_sort" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x8d2663ae, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0x1b732771, "seq_write" },
	{ 0x68edab8c, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xf3673bb0, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x34cadcfe, "radix_tree_tagged" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8b279378, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x909f31ea, "xa_store" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x5cbdc16, "__rt_mutex_init" },
	{ 0x27039aab, "__srcu_read_unlock" },
	{ 0xa8b5afe8, "rt_write_lock" },
	{ 0x208634da, "debugfs_create_file_full" },
	{ 0xd794f692, "i2c_transfer" },
	{ 0xb96d87cd, "dma_fence_allocate_private_stub" },
	{ 0x88f28688, "dma_buf_detach" },
	{ 0x83b2e0d5, "dma_fence_signal_timestamp" },
	{ 0xa7a02977, "dma_fence_chain_init" },
	{ 0xdc73af9, "boot_cpu_data" },
	{ 0xa8b14dd3, "seq_puts" },
	{ 0x2f4a0091, "single_release" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0x64098477, "pid_vnr" },
	{ 0x8f2703b7, "wbinvd_on_all_cpus" },
	{ 0xe8df1514, "sched_set_fifo" },
	{ 0xc3b19187, "simple_release_fs" },
	{ 0xb3ebe877, "dev_err_probe" },
	{ 0x146d1b6e, "dma_unmap_sg_attrs" },
	{ 0x801e2f7b, "kill_anon_super" },
	{ 0xe7b98b68, "from_kuid_munged" },
	{ 0xe3b82c0b, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xd1e17fc, "__devm_add_action" },
	{ 0xf6da6d5f, "component_add" },
	{ 0xb034fe0b, "dma_resv_test_signaled" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xcc328a5c, "reservation_ww_class" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x6061ab19, "dma_fence_chain_find_seqno" },
	{ 0xfb7e4213, "param_ops_int" },
	{ 0x69be0c75, "_dev_printk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xf2762ccd, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x4aeaee16, "debugfs_create_dir" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x4263fdc5, "cc_platform_has" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x46bd5d6e, "video_get_options" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x2ebb5cb7, "sync_file_get_fence" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xa049f962, "__mutex_rt_init" },
	{ 0x921d52ba, "put_pid" },
	{ 0xaec0da94, "class_register" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x29361fbd, "__dev_fwnode" },
	{ 0xab7da0, "pci_bus_type" },
	{ 0x2effab57, "kmalloc_caches" },
	{ 0x33d8536a, "class_remove_file_ns" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0x66f0fbe7, "simple_pin_fs" },
	{ 0xf42fb397, "sync_file_create" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x4045bda5, "module_layout" },
};

MODULE_INFO(depends, "drm_panel_orientation_quirks");


MODULE_INFO(srcversion, "72DD199C6887666090552A7");
MODULE_INFO(rhelversion, "9.7");
