#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_atomic_helper_check_modeset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_wb_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_crtc_primary_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_legacy_modeset_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_disables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_enables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_fences, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_vblanks, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_flip_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail_rpm, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_setup_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_atomic_helper_fake_vblank, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_hw_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_cleanup_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_prepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_unprepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_cleanup_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_swap_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_shutdown, "", "");
KSYMTAB_FUNC(drm_atomic_helper_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_suspend, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_duplicated_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_resume, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip_target, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_propagate_bus_fmt, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_margins_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_check, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_private_obj_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_helper_encoder_in_use, "", "");
KSYMTAB_FUNC(drm_helper_crtc_in_use, "", "");
KSYMTAB_FUNC(drm_helper_disable_unused_functions, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_mode, "", "");
KSYMTAB_FUNC(drm_crtc_helper_atomic_check, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_config, "", "");
KSYMTAB_FUNC(drm_helper_connector_dpms, "", "");
KSYMTAB_FUNC(drm_helper_resume_force_mode, "", "");
KSYMTAB_FUNC(drm_helper_force_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_damage, "", "");
KSYMTAB_FUNC(drm_atomic_helper_dirtyfb, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_init, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_next, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_merged, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_init, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_destroy, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_dpms, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_fixup, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_prepare, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_commit, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_set, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_detect, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_save, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_restore, "", "");
KSYMTAB_FUNC(drm_flip_work_queue, "", "");
KSYMTAB_FUNC(drm_flip_work_commit, "", "");
KSYMTAB_FUNC(drm_flip_work_init, "", "");
KSYMTAB_FUNC(drm_flip_work_cleanup, "", "");
KSYMTAB_FUNC(drm_format_conv_state_init, "", "");
KSYMTAB_FUNC(drm_format_conv_state_copy, "", "");
KSYMTAB_FUNC(drm_format_conv_state_reserve, "", "");
KSYMTAB_FUNC(drm_format_conv_state_release, "", "");
KSYMTAB_FUNC(drm_fb_clip_offset, "", "");
KSYMTAB_FUNC(drm_fb_memcpy, "", "");
KSYMTAB_FUNC(drm_fb_swab, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb332, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb565, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgba5551, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb8888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_gray8, "", "");
KSYMTAB_FUNC(drm_fb_blit, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_mono, "", "");
KSYMTAB_FUNC(drm_fb_build_fourcc_list, "", "");
KSYMTAB_FUNC(drm_gem_plane_helper_prepare_fb, "_gpl", "");
KSYMTAB_FUNC(__drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_fb_get_obj, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_destroy, "", "");
KSYMTAB_FUNC(drm_gem_fb_create_handle, "", "");
KSYMTAB_FUNC(drm_gem_fb_init_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_dirty, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_vmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_begin_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_end_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_afbc_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_move_panel_connectors_to_head, "", "");
KSYMTAB_FUNC(drm_helper_mode_fill_fb_struct, "", "");
KSYMTAB_FUNC(drm_crtc_init, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_suspend, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_resume, "", "");
KSYMTAB_FUNC(drm_plane_helper_update_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_disable_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_destroy, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_enable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_reschedule, "", "");
KSYMTAB_FUNC(drm_helper_probe_detect, "", "");
KSYMTAB_FUNC(drm_helper_probe_single_connector_modes, "", "");
KSYMTAB_FUNC(drm_kms_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_is_poll_worker, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_disable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_fini, "", "");
KSYMTAB_FUNC(drmm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_connector_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_crtc_helper_mode_valid_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_tv_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_detect_from_ddc, "", "");
KSYMTAB_FUNC(drm_rect_intersect, "", "");
KSYMTAB_FUNC(drm_rect_clip_scaled, "", "");
KSYMTAB_FUNC(drm_rect_calc_hscale, "", "");
KSYMTAB_FUNC(drm_rect_calc_vscale, "", "");
KSYMTAB_FUNC(drm_rect_debug_print, "", "");
KSYMTAB_FUNC(drm_rect_rotate, "", "");
KSYMTAB_FUNC(drm_rect_rotate_inv, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_update_avg_times, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_alter_state, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_init, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_cleanup, "", "");
KSYMTAB_FUNC(drm_simple_encoder_init, "", "");
KSYMTAB_FUNC(__drmm_simple_encoder_alloc, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_attach_bridge, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_init, "", "");
KSYMTAB_FUNC(drm_bridge_is_panel, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drm_panel_bridge_remove, "", "");
KSYMTAB_FUNC(drm_panel_bridge_set_orientation, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drmm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_connector, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_enter, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_leave, "", "");
KSYMTAB_FUNC(drm_fb_helper_restore_fbdev_mode_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_blank, "", "");
KSYMTAB_FUNC(drm_fb_helper_prepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_unprepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_init, "", "");
KSYMTAB_FUNC(drm_fb_helper_alloc_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_release_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_unregister_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_fini, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_range, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_area, "", "");
KSYMTAB_FUNC(drm_fb_helper_deferred_io, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_setcmap, "", "");
KSYMTAB_FUNC(drm_fb_helper_ioctl, "", "");
KSYMTAB_FUNC(drm_fb_helper_check_var, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_par, "", "");
KSYMTAB_FUNC(drm_fb_helper_pan_display, "", "");
KSYMTAB_FUNC(drm_fb_helper_fill_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_initial_config, "", "");
KSYMTAB_FUNC(drm_fb_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_fb_helper_lastclose, "", "");

SYMBOL_CRC(drm_atomic_helper_check_modeset, 0x9407d167, "");
SYMBOL_CRC(drm_atomic_helper_check_wb_connector_state, 0xc1e8e4e4, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_state, 0x280eef15, "");
SYMBOL_CRC(drm_atomic_helper_check_crtc_primary_plane, 0x40fd093f, "");
SYMBOL_CRC(drm_atomic_helper_check_planes, 0xc6b8f4eb, "");
SYMBOL_CRC(drm_atomic_helper_check, 0x12f827d4, "");
SYMBOL_CRC(drm_atomic_helper_update_legacy_modeset_state, 0x8e3a21b8, "");
SYMBOL_CRC(drm_atomic_helper_calc_timestamping_constants, 0xc2b76f1d, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_disables, 0xf4e6ca03, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_enables, 0x1590fcca, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_fences, 0xc09aaf66, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_vblanks, 0x96bf0b86, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_flip_done, 0x5b8d026e, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail, 0xe58ade00, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail_rpm, 0x87bf5752, "");
SYMBOL_CRC(drm_atomic_helper_async_check, 0x47d75b5d, "");
SYMBOL_CRC(drm_atomic_helper_async_commit, 0x41de387f, "");
SYMBOL_CRC(drm_atomic_helper_commit, 0x1f9b6070, "");
SYMBOL_CRC(drm_atomic_helper_setup_commit, 0xf936bb13, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_dependencies, 0x98c209bb, "");
SYMBOL_CRC(drm_atomic_helper_fake_vblank, 0xfbcd8548, "");
SYMBOL_CRC(drm_atomic_helper_commit_hw_done, 0xe701a38c, "");
SYMBOL_CRC(drm_atomic_helper_commit_cleanup_done, 0x0377410e, "");
SYMBOL_CRC(drm_atomic_helper_prepare_planes, 0x57cdfc0e, "");
SYMBOL_CRC(drm_atomic_helper_unprepare_planes, 0x19469358, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes, 0xcd935ba0, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes_on_crtc, 0xf756da93, "");
SYMBOL_CRC(drm_atomic_helper_disable_planes_on_crtc, 0x6da71f6c, "");
SYMBOL_CRC(drm_atomic_helper_cleanup_planes, 0xa1e93632, "");
SYMBOL_CRC(drm_atomic_helper_swap_state, 0xc119c881, "");
SYMBOL_CRC(drm_atomic_helper_update_plane, 0x15949fe8, "");
SYMBOL_CRC(drm_atomic_helper_disable_plane, 0x0c8add83, "");
SYMBOL_CRC(drm_atomic_helper_set_config, 0x389b9984, "");
SYMBOL_CRC(drm_atomic_helper_disable_all, 0xaa04cf23, "");
SYMBOL_CRC(drm_atomic_helper_shutdown, 0x23e4f8bc, "");
SYMBOL_CRC(drm_atomic_helper_duplicate_state, 0x8b5a6e4a, "");
SYMBOL_CRC(drm_atomic_helper_suspend, 0xdfb5c8d3, "");
SYMBOL_CRC(drm_atomic_helper_commit_duplicated_state, 0x8080a0f6, "");
SYMBOL_CRC(drm_atomic_helper_resume, 0x1d72d776, "");
SYMBOL_CRC(drm_atomic_helper_page_flip, 0xde55b13f, "");
SYMBOL_CRC(drm_atomic_helper_page_flip_target, 0x54d12d03, "");
SYMBOL_CRC(drm_atomic_helper_bridge_propagate_bus_fmt, 0xb938b041, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_state_reset, 0x06425156, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_reset, 0x9bbbeaf6, "");
SYMBOL_CRC(drm_atomic_helper_crtc_reset, 0xb5ed4e01, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_duplicate_state, 0xde80720c, "");
SYMBOL_CRC(drm_atomic_helper_crtc_duplicate_state, 0xd40d4397, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_destroy_state, 0xb9495a33, "");
SYMBOL_CRC(drm_atomic_helper_crtc_destroy_state, 0xe9d2b7cb, "");
SYMBOL_CRC(__drm_atomic_helper_plane_state_reset, 0xe0a58376, "");
SYMBOL_CRC(__drm_atomic_helper_plane_reset, 0xd304cb0b, "");
SYMBOL_CRC(drm_atomic_helper_plane_reset, 0xef6471af, "");
SYMBOL_CRC(__drm_atomic_helper_plane_duplicate_state, 0x37a6c9c9, "");
SYMBOL_CRC(drm_atomic_helper_plane_duplicate_state, 0x78470b96, "");
SYMBOL_CRC(__drm_atomic_helper_plane_destroy_state, 0xf11997de, "");
SYMBOL_CRC(drm_atomic_helper_plane_destroy_state, 0x14a11ab6, "");
SYMBOL_CRC(__drm_atomic_helper_connector_state_reset, 0x4d74f7b4, "");
SYMBOL_CRC(__drm_atomic_helper_connector_reset, 0xa839c939, "");
SYMBOL_CRC(drm_atomic_helper_connector_reset, 0xb0b270c1, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_margins_reset, 0xed035551, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_reset, 0x45935437, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_check, 0xe819f077, "");
SYMBOL_CRC(__drm_atomic_helper_connector_duplicate_state, 0xfd1e1a75, "");
SYMBOL_CRC(drm_atomic_helper_connector_duplicate_state, 0xd1962926, "");
SYMBOL_CRC(__drm_atomic_helper_connector_destroy_state, 0x393b0e56, "");
SYMBOL_CRC(drm_atomic_helper_connector_destroy_state, 0xd29ce435, "");
SYMBOL_CRC(__drm_atomic_helper_private_obj_duplicate_state, 0x90473214, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_duplicate_state, 0xbec3b578, "");
SYMBOL_CRC(drm_atomic_helper_bridge_duplicate_state, 0xc091a2b0, "");
SYMBOL_CRC(drm_atomic_helper_bridge_destroy_state, 0xe9815c3f, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_reset, 0xe679f662, "");
SYMBOL_CRC(drm_atomic_helper_bridge_reset, 0x3744c1e3, "");
SYMBOL_CRC(drm_helper_encoder_in_use, 0x8b4611cf, "");
SYMBOL_CRC(drm_helper_crtc_in_use, 0xbae3e44b, "");
SYMBOL_CRC(drm_helper_disable_unused_functions, 0xed9d9860, "");
SYMBOL_CRC(drm_crtc_helper_set_mode, 0xb2a867b3, "");
SYMBOL_CRC(drm_crtc_helper_atomic_check, 0xb52c0b55, "");
SYMBOL_CRC(drm_crtc_helper_set_config, 0x25916d0a, "");
SYMBOL_CRC(drm_helper_connector_dpms, 0x8ce6b5ec, "");
SYMBOL_CRC(drm_helper_resume_force_mode, 0xde2e3a6e, "");
SYMBOL_CRC(drm_helper_force_disable_all, 0xdfc2febc, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_damage, 0x3e44fe43, "");
SYMBOL_CRC(drm_atomic_helper_dirtyfb, 0x9f4676c4, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_init, 0x878a9d12, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_next, 0x6b5c2b06, "");
SYMBOL_CRC(drm_atomic_helper_damage_merged, 0xc7d6f0dd, "");
SYMBOL_CRC(drm_i2c_encoder_init, 0x46aa554b, "");
SYMBOL_CRC(drm_i2c_encoder_destroy, 0xb1e51829, "");
SYMBOL_CRC(drm_i2c_encoder_dpms, 0x7970d21c, "");
SYMBOL_CRC(drm_i2c_encoder_mode_fixup, 0x7a370878, "");
SYMBOL_CRC(drm_i2c_encoder_prepare, 0xb9f63959, "");
SYMBOL_CRC(drm_i2c_encoder_commit, 0x2452097f, "");
SYMBOL_CRC(drm_i2c_encoder_mode_set, 0x4cb4c5c9, "");
SYMBOL_CRC(drm_i2c_encoder_detect, 0x0a2712ad, "");
SYMBOL_CRC(drm_i2c_encoder_save, 0xe141cde5, "");
SYMBOL_CRC(drm_i2c_encoder_restore, 0xa7e56ffe, "");
SYMBOL_CRC(drm_flip_work_queue, 0x66e4ecdb, "");
SYMBOL_CRC(drm_flip_work_commit, 0x91790a16, "");
SYMBOL_CRC(drm_flip_work_init, 0xf675b088, "");
SYMBOL_CRC(drm_flip_work_cleanup, 0xa63772a7, "");
SYMBOL_CRC(drm_format_conv_state_init, 0xf24700a0, "");
SYMBOL_CRC(drm_format_conv_state_copy, 0xeeffb81b, "");
SYMBOL_CRC(drm_format_conv_state_reserve, 0x84247d5d, "");
SYMBOL_CRC(drm_format_conv_state_release, 0x24e99aa5, "");
SYMBOL_CRC(drm_fb_clip_offset, 0xb6a6b711, "");
SYMBOL_CRC(drm_fb_memcpy, 0xe02637c4, "");
SYMBOL_CRC(drm_fb_swab, 0x777cc5c4, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb332, 0x67a8d6d6, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb565, 0x84087b40, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb1555, 0x3aecc9c6, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb1555, 0x86958e1e, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgba5551, 0x1d01ba26, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb888, 0x8169558b, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb8888, 0xfa95c83f, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb2101010, 0x4c4e1d12, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb2101010, 0x5935697c, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_gray8, 0x5bdf6e78, "");
SYMBOL_CRC(drm_fb_blit, 0x8c582271, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_mono, 0xe2bd979d, "");
SYMBOL_CRC(drm_fb_build_fourcc_list, 0xa1b1a2cf, "");
SYMBOL_CRC(drm_gem_plane_helper_prepare_fb, 0x7ab56f9a, "_gpl");
SYMBOL_CRC(__drm_gem_duplicate_shadow_plane_state, 0x3c2615e6, "");
SYMBOL_CRC(drm_gem_duplicate_shadow_plane_state, 0x9e6409c9, "");
SYMBOL_CRC(__drm_gem_destroy_shadow_plane_state, 0x945ea92a, "");
SYMBOL_CRC(drm_gem_destroy_shadow_plane_state, 0x1cc5b635, "");
SYMBOL_CRC(__drm_gem_reset_shadow_plane, 0xefbe2cad, "");
SYMBOL_CRC(drm_gem_reset_shadow_plane, 0xc974738b, "");
SYMBOL_CRC(drm_gem_begin_shadow_fb_access, 0xa9da3a92, "");
SYMBOL_CRC(drm_gem_end_shadow_fb_access, 0x18cf0f5c, "");
SYMBOL_CRC(drm_gem_simple_kms_begin_shadow_fb_access, 0xf34c722b, "");
SYMBOL_CRC(drm_gem_simple_kms_end_shadow_fb_access, 0x31a729e4, "");
SYMBOL_CRC(drm_gem_simple_kms_reset_shadow_plane, 0xf6957190, "");
SYMBOL_CRC(drm_gem_simple_kms_duplicate_shadow_plane_state, 0xb7febf26, "");
SYMBOL_CRC(drm_gem_simple_kms_destroy_shadow_plane_state, 0xf1899446, "");
SYMBOL_CRC(drm_gem_fb_get_obj, 0x1674590b, "_gpl");
SYMBOL_CRC(drm_gem_fb_destroy, 0xb9158353, "");
SYMBOL_CRC(drm_gem_fb_create_handle, 0x6d1d10ff, "");
SYMBOL_CRC(drm_gem_fb_init_with_funcs, 0x57fa1a1f, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_funcs, 0x3b7b3176, "_gpl");
SYMBOL_CRC(drm_gem_fb_create, 0x3805d091, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_dirty, 0x792c0be3, "_gpl");
SYMBOL_CRC(drm_gem_fb_vmap, 0x3be4359f, "");
SYMBOL_CRC(drm_gem_fb_vunmap, 0x9e39e4ce, "");
SYMBOL_CRC(drm_gem_fb_begin_cpu_access, 0x9bc5c989, "");
SYMBOL_CRC(drm_gem_fb_end_cpu_access, 0x7e9081d6, "");
SYMBOL_CRC(drm_gem_fb_afbc_init, 0xc8f16852, "_gpl");
SYMBOL_CRC(drm_helper_move_panel_connectors_to_head, 0xb7878580, "");
SYMBOL_CRC(drm_helper_mode_fill_fb_struct, 0xea3e7556, "");
SYMBOL_CRC(drm_crtc_init, 0xec92e560, "");
SYMBOL_CRC(drm_mode_config_helper_suspend, 0x1925de67, "");
SYMBOL_CRC(drm_mode_config_helper_resume, 0xdb1e3b68, "");
SYMBOL_CRC(drm_plane_helper_update_primary, 0xf6a149ec, "");
SYMBOL_CRC(drm_plane_helper_disable_primary, 0x9a0f2f6a, "");
SYMBOL_CRC(drm_plane_helper_destroy, 0x52abbbeb, "");
SYMBOL_CRC(drm_kms_helper_poll_enable, 0xb20ade38, "");
SYMBOL_CRC(drm_kms_helper_poll_reschedule, 0x8d426bcb, "");
SYMBOL_CRC(drm_helper_probe_detect, 0x5278b6c2, "");
SYMBOL_CRC(drm_helper_probe_single_connector_modes, 0x725c23a5, "");
SYMBOL_CRC(drm_kms_helper_hotplug_event, 0x3219ab82, "");
SYMBOL_CRC(drm_kms_helper_connector_hotplug_event, 0x69ce0ca1, "");
SYMBOL_CRC(drm_kms_helper_is_poll_worker, 0x5a4734d1, "");
SYMBOL_CRC(drm_kms_helper_poll_disable, 0x9a03067f, "");
SYMBOL_CRC(drm_kms_helper_poll_init, 0xc5010bee, "");
SYMBOL_CRC(drm_kms_helper_poll_fini, 0xd1f06ed1, "");
SYMBOL_CRC(drmm_kms_helper_poll_init, 0xa4153208, "");
SYMBOL_CRC(drm_connector_helper_hpd_irq_event, 0xb9558252, "");
SYMBOL_CRC(drm_helper_hpd_irq_event, 0x77b80b8d, "");
SYMBOL_CRC(drm_crtc_helper_mode_valid_fixed, 0x25cf6360, "");
SYMBOL_CRC(drm_connector_helper_get_modes_fixed, 0x0c337bd2, "");
SYMBOL_CRC(drm_connector_helper_get_modes, 0x0932607b, "");
SYMBOL_CRC(drm_connector_helper_tv_get_modes, 0x8eb4b3c7, "");
SYMBOL_CRC(drm_connector_helper_detect_from_ddc, 0x050fb64c, "");
SYMBOL_CRC(drm_rect_intersect, 0x871ab41a, "");
SYMBOL_CRC(drm_rect_clip_scaled, 0x99fd20aa, "");
SYMBOL_CRC(drm_rect_calc_hscale, 0x2d50570f, "");
SYMBOL_CRC(drm_rect_calc_vscale, 0x91fec1cc, "");
SYMBOL_CRC(drm_rect_debug_print, 0xcb2340b8, "");
SYMBOL_CRC(drm_rect_rotate, 0xb053adda, "");
SYMBOL_CRC(drm_rect_rotate_inv, 0x6e30ba8e, "");
SYMBOL_CRC(drm_self_refresh_helper_update_avg_times, 0x11c14d2a, "");
SYMBOL_CRC(drm_self_refresh_helper_alter_state, 0x1ed39126, "");
SYMBOL_CRC(drm_self_refresh_helper_init, 0x640bcde5, "");
SYMBOL_CRC(drm_self_refresh_helper_cleanup, 0xe34445d9, "");
SYMBOL_CRC(drm_simple_encoder_init, 0xb1a09de2, "");
SYMBOL_CRC(__drmm_simple_encoder_alloc, 0xb003d866, "");
SYMBOL_CRC(drm_simple_display_pipe_attach_bridge, 0x6279b847, "");
SYMBOL_CRC(drm_simple_display_pipe_init, 0xec9520a2, "");
SYMBOL_CRC(drm_bridge_is_panel, 0x4924ee95, "");
SYMBOL_CRC(drm_panel_bridge_add, 0x50314f40, "");
SYMBOL_CRC(drm_panel_bridge_add_typed, 0xe1262f62, "");
SYMBOL_CRC(drm_panel_bridge_remove, 0xa411174f, "");
SYMBOL_CRC(drm_panel_bridge_set_orientation, 0x461b501d, "");
SYMBOL_CRC(devm_drm_panel_bridge_add, 0xac7ba501, "");
SYMBOL_CRC(devm_drm_panel_bridge_add_typed, 0x2155ad88, "");
SYMBOL_CRC(drmm_panel_bridge_add, 0xa38f9eba, "");
SYMBOL_CRC(drm_panel_bridge_connector, 0xa9d1c47d, "");
SYMBOL_CRC(drm_fb_helper_debug_enter, 0x4a6a2aaf, "");
SYMBOL_CRC(drm_fb_helper_debug_leave, 0x2b0091fb, "");
SYMBOL_CRC(drm_fb_helper_restore_fbdev_mode_unlocked, 0xdcaa4f24, "");
SYMBOL_CRC(drm_fb_helper_blank, 0xd635ef31, "");
SYMBOL_CRC(drm_fb_helper_prepare, 0x859a4ab0, "");
SYMBOL_CRC(drm_fb_helper_unprepare, 0x6767ba27, "");
SYMBOL_CRC(drm_fb_helper_init, 0xfa31b6fb, "");
SYMBOL_CRC(drm_fb_helper_alloc_info, 0x47e4271b, "");
SYMBOL_CRC(drm_fb_helper_release_info, 0x72ac70d4, "");
SYMBOL_CRC(drm_fb_helper_unregister_info, 0x4b187cf4, "");
SYMBOL_CRC(drm_fb_helper_fini, 0xba9e5d97, "");
SYMBOL_CRC(drm_fb_helper_damage_range, 0x9b0b4a56, "");
SYMBOL_CRC(drm_fb_helper_damage_area, 0x4e507e11, "");
SYMBOL_CRC(drm_fb_helper_deferred_io, 0x0cc8ec45, "");
SYMBOL_CRC(drm_fb_helper_set_suspend, 0xa540e1a8, "");
SYMBOL_CRC(drm_fb_helper_set_suspend_unlocked, 0xa7eb7ee7, "");
SYMBOL_CRC(drm_fb_helper_setcmap, 0xd6e3067c, "");
SYMBOL_CRC(drm_fb_helper_ioctl, 0x116379ea, "");
SYMBOL_CRC(drm_fb_helper_check_var, 0xca42fd5e, "");
SYMBOL_CRC(drm_fb_helper_set_par, 0xc218eeb8, "");
SYMBOL_CRC(drm_fb_helper_pan_display, 0xebfcdd35, "");
SYMBOL_CRC(drm_fb_helper_fill_info, 0xe9c5a12e, "");
SYMBOL_CRC(drm_fb_helper_initial_config, 0xf116d6eb, "");
SYMBOL_CRC(drm_fb_helper_hotplug_event, 0x253ff8cd, "");
SYMBOL_CRC(drm_fb_helper_lastclose, 0xc8f0bdae, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4e5fd3ea, "unregister_framebuffer" },
	{ 0xa4fdac64, "drm_atomic_get_old_crtc_for_encoder" },
	{ 0xf3ff173, "drm_framebuffer_cleanup" },
	{ 0xfddbcf6e, "drm_writeback_prepare_job" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x3dc7b6df, "drm_panel_get_modes" },
	{ 0x61dcc889, "drm_gem_vmap_unlocked" },
	{ 0x67804434, "try_module_get" },
	{ 0xf0ef4b6, "drm_connector_list_update" },
	{ 0xa763d716, "drm_bridge_add" },
	{ 0x91139d3b, "drm_bridge_chain_mode_valid" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0x529f1e79, "unregister_sysrq_key" },
	{ 0xc0957ad2, "drm_connector_register" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x9ad80fd0, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xe3b16d96, "drm_client_rotation" },
	{ 0xc9c14a48, "drm_panel_enable" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xd7f73b71, "drm_framebuffer_init" },
	{ 0xba1ed134, "drm_mode_validate_driver" },
	{ 0x3779ab65, "drm_atomic_add_affected_planes" },
	{ 0x2de5e1cc, "dma_buf_end_cpu_access" },
	{ 0x8194065f, "drm_modeset_unlock_all" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3112112f, "drm_mode_probed_add" },
	{ 0xdc013951, "drm_atomic_add_affected_connectors" },
	{ 0x8094d360, "drm_gem_vunmap_unlocked" },
	{ 0x3a44bb5, "drm_crtc_vblank_count" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x4167adb3, "rt_mutex_base_init" },
	{ 0x459e6ba8, "finish_wait" },
	{ 0x57d2ed39, "drm_modeset_lock_all" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xd9b4753, "drm_mode_equal" },
	{ 0x21196981, "drm_atomic_bridge_chain_enable" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x187d0899, "drm_mode_object_get" },
	{ 0xf18686ee, "drm_edid_override_connector_update" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0xf0117008, "drm_driver_legacy_fb_format" },
	{ 0xae9c2f1d, "pcpu_hot" },
	{ 0x44100c3e, "drm_crtc_cleanup" },
	{ 0xccd4c90a, "drm_connector_list_iter_begin" },
	{ 0x124af44c, "drm_mode_set_config_internal" },
	{ 0xd99fb3dc, "prepare_to_wait_event" },
	{ 0x1a925a58, "framebuffer_alloc" },
	{ 0x218246cd, "drm_encoder_cleanup" },
	{ 0x51dffd90, "drm_modeset_acquire_init" },
	{ 0x43a25b40, "dma_fence_set_deadline" },
	{ 0x3c1adecf, "drm_client_modeset_probe" },
	{ 0x8c2e0783, "drm_warn_on_modeset_not_all_locked" },
	{ 0x1e5f2402, "drm_plane_get_damage_clips" },
	{ 0xadd33bd7, "devres_add" },
	{ 0x914ec35a, "dma_fence_wait_timeout" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x188942c, "drm_add_modes_noedid" },
	{ 0xee1fd9a6, "drm_bridge_remove" },
	{ 0x4ead5caf, "drm_mode_object_put" },
	{ 0xaa0a2631, "dev_driver_string" },
	{ 0xfa9784e9, "drm_crtc_vblank_get" },
	{ 0xb2318386, "drm_gem_object_lookup" },
	{ 0xcc6cb699, "drm_crtc_send_vblank_event" },
	{ 0x42fc98fa, "drm_connector_attach_encoder" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf4ee4f2e, "drm_atomic_normalize_zpos" },
	{ 0xde442d6b, "drm_edid_connector_update" },
	{ 0x9a35dc33, "drm_sysfs_hotplug_event" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x3bf1d47e, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3b8ba971, "drm_crtc_vblank_reset" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x40d04664, "console_trylock" },
	{ 0xa9c35997, "drm_connector_list_iter_end" },
	{ 0xe2bb867f, "drm_atomic_set_crtc_for_plane" },
	{ 0x92b569ce, "drm_client_modeset_dpms" },
	{ 0xb61815d1, "drm_mode_prune_invalid" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf5b3994e, "drm_client_dev_hotplug" },
	{ 0x696ee216, "_dev_info" },
	{ 0x8a511e08, "dma_resv_get_singleton" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0x43bf7e7d, "drm_plane_cleanup" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0xf75c2811, "module_put" },
	{ 0xa05be13, "dma_buf_begin_cpu_access" },
	{ 0x98b71c6, "fb_dealloc_cmap" },
	{ 0x65259013, "drm_atomic_get_crtc_state" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xdce7bc8d, "drm_client_init" },
	{ 0xe841d840, "drm_crtc_wait_one_vblank" },
	{ 0xd788a372, "drm_crtc_next_vblank_start" },
	{ 0x641730c9, "__drmm_encoder_alloc" },
	{ 0xd7a9cf42, "drm_mode_validate_size" },
	{ 0xf49d0d36, "drm_modeset_lock" },
	{ 0x41087314, "drm_client_modeset_commit_locked" },
	{ 0x463bea8c, "drm_modeset_unlock" },
	{ 0x44b905f3, "drm_panel_disable" },
	{ 0x82ae4f53, "drm_property_replace_blob" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae2ad84f, "drm_connector_init" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xb317d241, "devm_kfree" },
	{ 0x7343bbb1, "_dev_err" },
	{ 0xa0e05531, "drm_writeback_cleanup_job" },
	{ 0xde936fcb, "drm_modeset_lock_all_ctx" },
	{ 0x8ec8f8b3, "i2c_unregister_device" },
	{ 0x68c2162a, "drm_atomic_set_fb_for_plane" },
	{ 0xeeff5405, "__drm_universal_plane_alloc" },
	{ 0x93091564, "drm_edid_connector_add_modes" },
	{ 0x3ca6c378, "drm_probe_ddc" },
	{ 0x499e043c, "mutex_lock" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0x68d01e76, "__devres_alloc_node" },
	{ 0x85b24278, "drm_edid_read" },
	{ 0xf8396624, "drm_crtc_commit_wait" },
	{ 0xf8a1cf45, "drm_dev_has_vblank" },
	{ 0x54a5947e, "register_framebuffer" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x56d87448, "__drm_atomic_helper_disable_plane" },
	{ 0x991454b, "drm_connector_set_orientation_from_panel" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x81333c60, "drm_gem_handle_create" },
	{ 0x127b725e, "drm_atomic_set_crtc_for_connector" },
	{ 0xe400f96e, "drm_analog_tv_mode" },
	{ 0x5f505637, "drm_crtc_init_with_planes" },
	{ 0x7a890c8, "fb_alloc_cmap" },
	{ 0x56d1591c, "drm_mode_duplicate" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x8f9eb9f4, "drm_crtc_vblank_put" },
	{ 0x11406197, "i2c_new_client_device" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0xdcaeb675, "__drm_dev_dbg" },
	{ 0x6b695acc, "drm_plane_get_damage_clips_count" },
	{ 0x1a72462e, "drm_atomic_commit" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0x6fb15ba0, "drm_atomic_state_alloc" },
	{ 0xf8225339, "drm_client_modeset_commit" },
	{ 0xfd8798e5, "_dev_warn" },
	{ 0x39d7143c, "drm_atomic_bridge_chain_post_disable" },
	{ 0x5399af07, "drm_connector_update_edid_property" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0xc631580a, "console_unlock" },
	{ 0xc11e4607, "fb_set_suspend" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xaeaf0476, "drm_atomic_get_new_crtc_for_encoder" },
	{ 0xe07886c3, "drm_client_release" },
	{ 0x166ed2c8, "rt_spin_unlock" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0xd613306e, "__drm_atomic_helper_set_config" },
	{ 0xc513b0a, "mutex_trylock" },
	{ 0x4e7a420c, "rt_spin_lock" },
	{ 0x4ccb993d, "drm_atomic_set_mode_prop_for_crtc" },
	{ 0xec83d9b2, "drm_connector_cleanup" },
	{ 0x68a93fc0, "drm_get_format_info" },
	{ 0x45d35882, "drm_universal_plane_init" },
	{ 0xd6bb1310, "drm_any_plane_has_format" },
	{ 0xba47d181, "drm_connector_list_iter_next" },
	{ 0xbfd631c, "drm_modeset_acquire_fini" },
	{ 0x408885c5, "drm_encoder_init" },
	{ 0xd6649aed, "drm_object_property_get_default_value" },
	{ 0x13ea7980, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xeefaea35, "param_ops_bool" },
	{ 0x68c82112, "drm_master_internal_acquire" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x1a06728d, "drm_modeset_backoff" },
	{ 0xba6f21c7, "drm_panel_prepare" },
	{ 0x808a9eea, "drm_bridge_chain_mode_set" },
	{ 0xf1421d13, "drm_mode_sort" },
	{ 0x3719f421, "drm_atomic_get_plane_state" },
	{ 0xab0c4422, "drm_atomic_bridge_chain_check" },
	{ 0xa7a02977, "dma_fence_chain_init" },
	{ 0x3ad0d573, "register_sysrq_key" },
	{ 0x7a565d4f, "drm_property_blob_get" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x608e00fe, "drm_property_blob_put" },
	{ 0x960a616d, "drm_mode_destroy" },
	{ 0x72f30261, "drm_bridge_attach" },
	{ 0x2247556e, "drm_set_preferred_mode" },
	{ 0x66a64687, "drm_atomic_bridge_chain_pre_enable" },
	{ 0x3137e449, "drm_atomic_state_clear" },
	{ 0x8ca6b94c, "drm_mode_config_reset" },
	{ 0xbb72b1e, "drm_property_create_blob" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0xe3b82c0b, "kmalloc_trace" },
	{ 0x2e592328, "drm_modeset_drop_locks" },
	{ 0x71d05c30, "framebuffer_release" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xc2a9f93f, "drm_atomic_bridge_chain_disable" },
	{ 0xafaa7606, "drm_mode_create_from_cmdline_mode" },
	{ 0x608d528, "drm_mode_validate_ycbcr420" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0xfb7e4213, "param_ops_int" },
	{ 0x2241d9b1, "drm_atomic_nonblocking_commit" },
	{ 0x4aeaee16, "debugfs_create_dir" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0xa75b4f97, "drm_master_internal_release" },
	{ 0xac0ede91, "drm_calc_timestamping_constants" },
	{ 0xcdb99cc9, "drm_mode_init" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xa049f962, "__mutex_rt_init" },
	{ 0xfd60df2, "drm_get_connector_status_name" },
	{ 0xc5895682, "drm_panel_unprepare" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2effab57, "kmalloc_caches" },
	{ 0x8916595b, "drm_atomic_add_encoder_bridges" },
	{ 0x6d579067, "drm_atomic_get_connector_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xfb98cd, "drm_sysfs_connector_hotplug_event" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4403a9c3, "drm_mode_get_hv_timing" },
	{ 0x4045bda5, "module_layout" },
};

MODULE_INFO(depends, "fb,drm");


MODULE_INFO(srcversion, "B7661952925E31DDED407A3");
MODULE_INFO(rhelversion, "9.7");
