#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_shmem_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin_locked, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin_locked, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_madvise, "", "");
KSYMTAB_FUNC(drm_gem_shmem_purge, "", "");
KSYMTAB_FUNC(drm_gem_shmem_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_shmem_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_print_info, "", "");
KSYMTAB_FUNC(drm_gem_shmem_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_get_pages_sgt, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_prime_import_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_fbdev_shmem_setup, "", "");

SYMBOL_CRC(drm_gem_shmem_create, 0x94af6353, "_gpl");
SYMBOL_CRC(drm_gem_shmem_free, 0xed0c7fbe, "_gpl");
SYMBOL_CRC(drm_gem_shmem_put_pages, 0xead38599, "");
SYMBOL_CRC(drm_gem_shmem_pin_locked, 0xc822badc, "");
SYMBOL_CRC(drm_gem_shmem_unpin_locked, 0x571123cb, "");
SYMBOL_CRC(drm_gem_shmem_pin, 0xc6f1add7, "");
SYMBOL_CRC(drm_gem_shmem_unpin, 0x695caa55, "");
SYMBOL_CRC(drm_gem_shmem_vmap, 0x3c77d3c4, "");
SYMBOL_CRC(drm_gem_shmem_vunmap, 0x50ac5716, "");
SYMBOL_CRC(drm_gem_shmem_madvise, 0x7d839f92, "");
SYMBOL_CRC(drm_gem_shmem_purge, 0xc5dafd34, "");
SYMBOL_CRC(drm_gem_shmem_dumb_create, 0x60cc9cc4, "_gpl");
SYMBOL_CRC(drm_gem_shmem_vm_ops, 0xdfa9e2ba, "_gpl");
SYMBOL_CRC(drm_gem_shmem_mmap, 0x2a78773c, "_gpl");
SYMBOL_CRC(drm_gem_shmem_print_info, 0x6af8a6a5, "");
SYMBOL_CRC(drm_gem_shmem_get_sg_table, 0x7a42b378, "_gpl");
SYMBOL_CRC(drm_gem_shmem_get_pages_sgt, 0x97176c1b, "_gpl");
SYMBOL_CRC(drm_gem_shmem_prime_import_sg_table, 0x867a4b03, "_gpl");
SYMBOL_CRC(drm_fbdev_shmem_setup, 0x06045f8e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8a35b432, "sme_me_mask" },
	{ 0x52d879fd, "drm_client_register" },
	{ 0x67804434, "try_module_get" },
	{ 0xfa31b6fb, "drm_fb_helper_init" },
	{ 0x4a6a2aaf, "drm_fb_helper_debug_enter" },
	{ 0x9a40454a, "ww_mutex_lock_interruptible" },
	{ 0x174cf3d2, "vmf_insert_pfn" },
	{ 0xc6430c41, "drm_gem_get_pages" },
	{ 0xf58afbd7, "dma_buf_vmap" },
	{ 0xde560adc, "drm_client_buffer_vmap" },
	{ 0xc8f0bdae, "drm_fb_helper_lastclose" },
	{ 0xd6e3067c, "drm_fb_helper_setcmap" },
	{ 0x47e4271b, "drm_fb_helper_alloc_info" },
	{ 0xed9d9860, "drm_helper_disable_unused_functions" },
	{ 0x6767ba27, "drm_fb_helper_unprepare" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xba9e5d97, "drm_fb_helper_fini" },
	{ 0x4899421c, "drm_client_framebuffer_delete" },
	{ 0x2e6d48a, "drm_client_framebuffer_create" },
	{ 0x6b390e4b, "invalidate_mapping_pages" },
	{ 0x8ff611b4, "ww_mutex_unlock" },
	{ 0xcc8ec45, "drm_fb_helper_deferred_io" },
	{ 0x72ac70d4, "drm_fb_helper_release_info" },
	{ 0xaa35a0da, "unmap_mapping_range" },
	{ 0x94961283, "vunmap" },
	{ 0x57035ae6, "dma_buf_mmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xf0117008, "drm_driver_legacy_fb_format" },
	{ 0xe9c5a12e, "drm_fb_helper_fill_info" },
	{ 0xa7359d3e, "drm_gem_create_mmap_offset" },
	{ 0xff7ed2cb, "fb_deferred_io_init" },
	{ 0x554b4485, "fb_deferred_io_cleanup" },
	{ 0x868a071f, "drm_gem_object_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xaa0a2631, "dev_driver_string" },
	{ 0x253ff8cd, "drm_fb_helper_hotplug_event" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf87b6132, "fb_sys_write" },
	{ 0xb3e2906d, "sys_imageblit" },
	{ 0x9b0b4a56, "drm_fb_helper_damage_range" },
	{ 0xd635ef31, "drm_fb_helper_blank" },
	{ 0x9669bc49, "drm_gem_private_object_init" },
	{ 0xca42fd5e, "drm_fb_helper_check_var" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4e507e11, "drm_fb_helper_damage_area" },
	{ 0x6e62e4c8, "sys_fillrect" },
	{ 0x2727d2f, "set_pages_array_wb" },
	{ 0xf75c2811, "module_put" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xdce7bc8d, "drm_client_init" },
	{ 0x85702e89, "drm_gem_vm_close" },
	{ 0xcbf057d4, "drm_gem_vm_open" },
	{ 0x859a4ab0, "drm_fb_helper_prepare" },
	{ 0x959339b1, "down_write" },
	{ 0x7343bbb1, "_dev_err" },
	{ 0x2c59427, "up_write" },
	{ 0x9c8674e8, "drm_gem_object_release" },
	{ 0xe51761ae, "ww_mutex_lock" },
	{ 0xbb8d8e65, "vmap" },
	{ 0x81333c60, "drm_gem_handle_create" },
	{ 0x1674590b, "drm_gem_fb_get_obj" },
	{ 0xdcaeb675, "__drm_dev_dbg" },
	{ 0x28ea9344, "drm_prime_pages_to_sg" },
	{ 0x2b176525, "fb_deferred_io_mmap" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xebfcdd35, "drm_fb_helper_pan_display" },
	{ 0x87e9d8a1, "dma_buf_vunmap" },
	{ 0xe07886c3, "drm_client_release" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xcc6d5dda, "sys_copyarea" },
	{ 0x2ec67df8, "shmem_truncate_range" },
	{ 0xc72c62, "set_pages_array_wc" },
	{ 0xbc0d826d, "drm_printf" },
	{ 0x42296434, "dma_map_sgtable" },
	{ 0xdc3ede99, "drm_gem_free_mmap_offset" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa6a97f57, "drm_client_buffer_vunmap" },
	{ 0xa0c7439c, "fb_sys_read" },
	{ 0x2b0091fb, "drm_fb_helper_debug_leave" },
	{ 0x146d1b6e, "dma_unmap_sg_attrs" },
	{ 0xe3b82c0b, "kmalloc_trace" },
	{ 0xf116d6eb, "drm_fb_helper_initial_config" },
	{ 0x4b187cf4, "drm_fb_helper_unregister_info" },
	{ 0x3dbf8283, "drm_gem_put_pages" },
	{ 0x50c8f8b4, "drm_gem_private_object_fini" },
	{ 0x2effab57, "kmalloc_caches" },
	{ 0x116379ea, "drm_fb_helper_ioctl" },
	{ 0xc218eeb8, "drm_fb_helper_set_par" },
	{ 0xae0d34ae, "drm_prime_gem_destroy" },
	{ 0x4045bda5, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_kms_helper,fb,fb_sys_fops,sysimgblt,sysfillrect,syscopyarea");


MODULE_INFO(srcversion, "0A2DBE5C0E15DC70B9E9C60");
MODULE_INFO(rhelversion, "9.7");
