#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macsec_pn_wrapped, "_gpl", "");
KSYMTAB_FUNC(macsec_get_real_dev, "_gpl", "");
KSYMTAB_FUNC(macsec_netdev_is_offloaded, "_gpl", "");

SYMBOL_CRC(macsec_pn_wrapped, 0x4d6a5601, "_gpl");
SYMBOL_CRC(macsec_get_real_dev, 0x9691da94, "_gpl");
SYMBOL_CRC(macsec_netdev_is_offloaded, 0xc64c2705, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc2c13806, "skb_copy_expand" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8e7e8742, "__pskb_pull_tail" },
	{ 0xa9332609, "register_netdevice" },
	{ 0xe94fdcc3, "netdev_upper_dev_link" },
	{ 0x3a98f417, "netdev_upper_dev_unlink" },
	{ 0x3c501ce5, "unregister_netdevice_queue" },
	{ 0xffde73b7, "metadata_dst_alloc" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xd5697d18, "netif_stacked_transfer_operstate" },
	{ 0x59d3a4bd, "linkwatch_fire_event" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x2effab57, "kmalloc_caches" },
	{ 0xe3b82c0b, "kmalloc_trace" },
	{ 0x1c0795fd, "netdev_rx_handler_register" },
	{ 0x13ea7980, "mutex_unlock" },
	{ 0x499e043c, "mutex_lock" },
	{ 0xc01abdf8, "skb_trim" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x97dce3b, "netdev_rx_handler_unregister" },
	{ 0xe940437f, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x187efd48, "netif_carrier_off" },
	{ 0xc3e7d415, "dev_mc_unsync" },
	{ 0xc70658d9, "dev_uc_unsync" },
	{ 0x5529042b, "dev_uc_del" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x34b4ff1d, "dev_uc_add" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xbd58c528, "netif_carrier_on" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x4167adb3, "rt_mutex_base_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xfb578fc5, "memset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc447e93e, "genlmsg_put" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x4fadc276, "rtnl_link_register" },
	{ 0xf8f79d2b, "genl_register_family" },
	{ 0xcca97cc, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c87e980, "crypto_destroy_tfm" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb7cdf4e6, "crypto_alloc_aead" },
	{ 0xbed4c254, "crypto_aead_setkey" },
	{ 0xbe3d4631, "crypto_aead_setauthsize" },
	{ 0x1df605de, "nla_put_64bit" },
	{ 0x6e2b5444, "nla_put" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x4e7a420c, "rt_spin_lock" },
	{ 0x166ed2c8, "rt_spin_unlock" },
	{ 0xb0e602eb, "memmove" },
	{ 0xcb30507b, "skb_pull" },
	{ 0x4ddaf688, "___pskb_trim" },
	{ 0x3a0149b6, "ether_setup" },
	{ 0x2afc80ea, "dst_release" },
	{ 0xe604c240, "dev_fetch_sw_netstats" },
	{ 0x8c37ef39, "dev_mc_sync" },
	{ 0x93bfa758, "dev_uc_sync" },
	{ 0x30d410c0, "dev_set_allmulti" },
	{ 0x85f275, "dev_set_promiscuity" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x2d075322, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x53ba3905, "__dev_queue_xmit" },
	{ 0xd953271e, "skb_clone" },
	{ 0xe6ba56fc, "consume_skb" },
	{ 0x9b485836, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xb205182b, "skb_to_sgvec" },
	{ 0x504aa83f, "crypto_aead_decrypt" },
	{ 0x9363d468, "sk_skb_reason_drop" },
	{ 0xb05b93a4, "skb_copy" },
	{ 0x7ebda8a3, "eth_type_trans" },
	{ 0x26a23cd1, "gro_cells_receive" },
	{ 0x610ab14d, "__dev_get_by_index" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x23235cbd, "__netif_rx" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe261b4c2, "gro_cells_init" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1bc630af, "skb_push" },
	{ 0x8fdc9883, "skb_put" },
	{ 0xfe7a6f93, "crypto_aead_encrypt" },
	{ 0x4045bda5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "BEAB6ED3DFD77921345193F");
MODULE_INFO(rhelversion, "9.7");
