#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(at803x_debug_reg_read, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_mask, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_write, "_gpl", "");
KSYMTAB_FUNC(at803x_set_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_get_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_ack_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_config_intr, "_gpl", "");
KSYMTAB_FUNC(at803x_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_read_specific_status, "_gpl", "");
KSYMTAB_FUNC(at803x_config_mdix, "_gpl", "");
KSYMTAB_FUNC(at803x_prepare_config_aneg, "_gpl", "");
KSYMTAB_FUNC(at803x_read_status, "_gpl", "");
KSYMTAB_FUNC(at803x_get_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_set_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_fault_length, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_start, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_wait_for_completion, "_gpl", "");
KSYMTAB_FUNC(qca808x_cable_test_get_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_enable, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_brightness_set, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_blink_set, "_gpl", "");

SYMBOL_CRC(at803x_debug_reg_read, 0xb1340c73, "_gpl");
SYMBOL_CRC(at803x_debug_reg_mask, 0xd0bae675, "_gpl");
SYMBOL_CRC(at803x_debug_reg_write, 0x1e3ba8ca, "_gpl");
SYMBOL_CRC(at803x_set_wol, 0x1371f519, "_gpl");
SYMBOL_CRC(at803x_get_wol, 0x5bfda99d, "_gpl");
SYMBOL_CRC(at803x_ack_interrupt, 0xdfb53455, "_gpl");
SYMBOL_CRC(at803x_config_intr, 0x1d073325, "_gpl");
SYMBOL_CRC(at803x_handle_interrupt, 0x1d5ad603, "_gpl");
SYMBOL_CRC(at803x_read_specific_status, 0x16cdaf7e, "_gpl");
SYMBOL_CRC(at803x_config_mdix, 0x7961547b, "_gpl");
SYMBOL_CRC(at803x_prepare_config_aneg, 0xe628193c, "_gpl");
SYMBOL_CRC(at803x_read_status, 0x432bc8fa, "_gpl");
SYMBOL_CRC(at803x_get_tunable, 0x2ea6d49b, "_gpl");
SYMBOL_CRC(at803x_set_tunable, 0x8e5055b3, "_gpl");
SYMBOL_CRC(at803x_cdt_fault_length, 0xede3878a, "_gpl");
SYMBOL_CRC(at803x_cdt_start, 0x0c98e14f, "_gpl");
SYMBOL_CRC(at803x_cdt_wait_for_completion, 0xfcbd4a2c, "_gpl");
SYMBOL_CRC(qca808x_cable_test_get_status, 0xbe563381, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_enable, 0xd2e08181, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_status, 0xc729e1bd, "_gpl");
SYMBOL_CRC(qca808x_led_reg_brightness_set, 0x6f5dc779, "_gpl");
SYMBOL_CRC(qca808x_led_reg_blink_set, 0x551b7c75, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xefcbd7b6, "mdiobus_write" },
	{ 0x701e8b6, "mdiobus_read" },
	{ 0x367fd98b, "phy_write_mmd" },
	{ 0x6593aa55, "phy_modify" },
	{ 0xab4f7808, "phy_trigger_machine" },
	{ 0x396f49b, "phy_error" },
	{ 0x7961fff, "phy_modify_changed" },
	{ 0x2f010e1, "genphy_update_link" },
	{ 0xc7272d4d, "genphy_read_lpa" },
	{ 0x14d0a56e, "phy_resolve_aneg_pause" },
	{ 0xb5078ee8, "phy_init_hw" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7343bbb1, "_dev_err" },
	{ 0x7824e060, "phy_read_mmd" },
	{ 0x2dfebc77, "ethnl_cable_test_result_with_src" },
	{ 0x23d327fb, "ethnl_cable_test_fault_length_with_src" },
	{ 0xc3cad66e, "phy_modify_mmd" },
	{ 0xfbfddfab, "genphy_soft_reset" },
	{ 0x4045bda5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "771CD4DBC31CBCACC4F04AF");
MODULE_INFO(rhelversion, "9.7");
