#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(sdw_bus_type, "_gpl", "");
KSYMTAB_FUNC(__sdw_register_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_bus_master_add, "", "");
KSYMTAB_FUNC(sdw_bus_master_delete, "", "");
KSYMTAB_FUNC(sdw_show_ping_status, "", "");
KSYMTAB_FUNC(sdw_nread_no_pm, "", "");
KSYMTAB_FUNC(sdw_nwrite_no_pm, "", "");
KSYMTAB_FUNC(sdw_write_no_pm, "", "");
KSYMTAB_FUNC(sdw_bread_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_bwrite_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_read_no_pm, "", "");
KSYMTAB_FUNC(sdw_update_no_pm, "", "");
KSYMTAB_FUNC(sdw_update, "", "");
KSYMTAB_FUNC(sdw_nread, "", "");
KSYMTAB_FUNC(sdw_nwrite, "", "");
KSYMTAB_FUNC(sdw_read, "", "");
KSYMTAB_FUNC(sdw_write, "", "");
KSYMTAB_FUNC(sdw_compare_devid, "", "");
KSYMTAB_FUNC(sdw_extract_slave_id, "", "");
KSYMTAB_FUNC(is_clock_scaling_supported_by_slave, "", "");
KSYMTAB_FUNC(sdw_bus_prep_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_exit_clk_stop, "", "");
KSYMTAB_FUNC(sdw_slave_get_scale_index, "", "");
KSYMTAB_FUNC(sdw_handle_slave_status, "", "");
KSYMTAB_FUNC(sdw_clear_slave_status, "", "");
KSYMTAB_FUNC(sdw_slave_add, "", "");
KSYMTAB_FUNC(sdw_master_read_prop, "", "");
KSYMTAB_FUNC(sdw_slave_read_lane_mapping, "", "");
KSYMTAB_FUNC(sdw_slave_read_prop, "", "");
KSYMTAB_DATA(sdw_rows, "", "");
KSYMTAB_DATA(sdw_cols, "", "");
KSYMTAB_FUNC(sdw_find_col_index, "", "");
KSYMTAB_FUNC(sdw_find_row_index, "", "");
KSYMTAB_FUNC(sdw_prepare_stream, "", "");
KSYMTAB_FUNC(sdw_enable_stream, "", "");
KSYMTAB_FUNC(sdw_disable_stream, "", "");
KSYMTAB_FUNC(sdw_deprepare_stream, "", "");
KSYMTAB_FUNC(sdw_alloc_stream, "", "");
KSYMTAB_FUNC(sdw_startup_stream, "", "");
KSYMTAB_FUNC(sdw_shutdown_stream, "", "");
KSYMTAB_FUNC(sdw_release_stream, "", "");
KSYMTAB_FUNC(sdw_stream_add_master, "", "");
KSYMTAB_FUNC(sdw_stream_remove_master, "", "");
KSYMTAB_FUNC(sdw_stream_add_slave, "", "");
KSYMTAB_FUNC(sdw_stream_remove_slave, "", "");

SYMBOL_CRC(sdw_bus_type, 0x284b05c9, "_gpl");
SYMBOL_CRC(__sdw_register_driver, 0xcd833c90, "_gpl");
SYMBOL_CRC(sdw_unregister_driver, 0x7cd6ee5a, "_gpl");
SYMBOL_CRC(sdw_bus_master_add, 0x62165607, "");
SYMBOL_CRC(sdw_bus_master_delete, 0xec426086, "");
SYMBOL_CRC(sdw_show_ping_status, 0x2b44c5be, "");
SYMBOL_CRC(sdw_nread_no_pm, 0xd4578c52, "");
SYMBOL_CRC(sdw_nwrite_no_pm, 0x4b48963d, "");
SYMBOL_CRC(sdw_write_no_pm, 0xade5bd62, "");
SYMBOL_CRC(sdw_bread_no_pm_unlocked, 0x02097d2b, "");
SYMBOL_CRC(sdw_bwrite_no_pm_unlocked, 0x9df39d6b, "");
SYMBOL_CRC(sdw_read_no_pm, 0x87f15799, "");
SYMBOL_CRC(sdw_update_no_pm, 0x75010f43, "");
SYMBOL_CRC(sdw_update, 0x1e4a4248, "");
SYMBOL_CRC(sdw_nread, 0xa0c36116, "");
SYMBOL_CRC(sdw_nwrite, 0xb39cf1a6, "");
SYMBOL_CRC(sdw_read, 0x0b3492b1, "");
SYMBOL_CRC(sdw_write, 0xec5c10b3, "");
SYMBOL_CRC(sdw_compare_devid, 0x1273d258, "");
SYMBOL_CRC(sdw_extract_slave_id, 0x55277f3a, "");
SYMBOL_CRC(is_clock_scaling_supported_by_slave, 0x74bea619, "");
SYMBOL_CRC(sdw_bus_prep_clk_stop, 0xdae5943d, "");
SYMBOL_CRC(sdw_bus_clk_stop, 0x8f25c6fb, "");
SYMBOL_CRC(sdw_bus_exit_clk_stop, 0x1ad228a8, "");
SYMBOL_CRC(sdw_slave_get_scale_index, 0x8dc4a14c, "");
SYMBOL_CRC(sdw_handle_slave_status, 0xad2eec6f, "");
SYMBOL_CRC(sdw_clear_slave_status, 0x13e06b48, "");
SYMBOL_CRC(sdw_slave_add, 0x35670d53, "");
SYMBOL_CRC(sdw_master_read_prop, 0x8508c133, "");
SYMBOL_CRC(sdw_slave_read_lane_mapping, 0x30d4ebdc, "");
SYMBOL_CRC(sdw_slave_read_prop, 0x082f1423, "");
SYMBOL_CRC(sdw_rows, 0xf53ba0b8, "");
SYMBOL_CRC(sdw_cols, 0xba54b904, "");
SYMBOL_CRC(sdw_find_col_index, 0x60e31fbb, "");
SYMBOL_CRC(sdw_find_row_index, 0x1deee061, "");
SYMBOL_CRC(sdw_prepare_stream, 0xcf4d01b6, "");
SYMBOL_CRC(sdw_enable_stream, 0x62705df3, "");
SYMBOL_CRC(sdw_disable_stream, 0x9542f962, "");
SYMBOL_CRC(sdw_deprepare_stream, 0xa8156c84, "");
SYMBOL_CRC(sdw_alloc_stream, 0xcff67581, "");
SYMBOL_CRC(sdw_startup_stream, 0x3b0a8582, "");
SYMBOL_CRC(sdw_shutdown_stream, 0x6f95b16b, "");
SYMBOL_CRC(sdw_release_stream, 0x03c7bfd4, "");
SYMBOL_CRC(sdw_stream_add_master, 0xbdfea1b7, "");
SYMBOL_CRC(sdw_stream_remove_master, 0xdbdf4cb4, "");
SYMBOL_CRC(sdw_stream_add_slave, 0x38ffbcfd, "");
SYMBOL_CRC(sdw_stream_remove_slave, 0x035db0e6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x76ad851e, "debugfs_create_str" },
	{ 0x227e1934, "ida_alloc_range" },
	{ 0xf0f59a19, "devm_device_add_groups" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xc4dade48, "is_acpi_device_node" },
	{ 0x6e1c8b28, "simple_attr_open" },
	{ 0x8a7ebbab, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x9ad80fd0, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2cad5b9b, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xebb0216a, "device_unregister" },
	{ 0x13f06dd5, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x4167adb3, "rt_mutex_base_init" },
	{ 0x695376e, "irq_domain_remove" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0xe45f0ddd, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0xee089bc0, "seq_lseek" },
	{ 0xf57f1178, "dev_pm_domain_attach" },
	{ 0x76249187, "devm_device_add_group" },
	{ 0x7ad8f256, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb9eca6bf, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xac3613a8, "pm_generic_runtime_resume" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4dfb6bcf, "__pm_runtime_set_status" },
	{ 0x92997ed8, "_printk" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x60ac84cc, "put_device" },
	{ 0x2a381cf0, "pm_runtime_enable" },
	{ 0xb7abb0e7, "device_property_read_u32_array" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x192b5286, "fwnode_property_read_u32_array" },
	{ 0xeb6eb87, "add_taint" },
	{ 0xe10968ef, "dev_pm_domain_detach" },
	{ 0x5b805765, "pm_generic_runtime_suspend" },
	{ 0xd7db0971, "debugfs_attr_read" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x83cde301, "bus_unregister" },
	{ 0x7343bbb1, "_dev_err" },
	{ 0x4b5ae538, "simple_attr_release" },
	{ 0x189689ed, "device_property_read_string" },
	{ 0x499e043c, "mutex_lock" },
	{ 0x31dd266d, "debugfs_remove" },
	{ 0x7c529d87, "ida_free" },
	{ 0x5a840436, "driver_unregister" },
	{ 0x602b884c, "__dev_fwnode_const" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xc5b5ffe, "device_register" },
	{ 0xf9976909, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0xfd8798e5, "_dev_warn" },
	{ 0xdca8b8aa, "__irq_domain_add" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x92e98b3c, "devm_kasprintf" },
	{ 0x10943060, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x697f3a90, "fwnode_property_present" },
	{ 0xd21678ba, "__pm_runtime_resume" },
	{ 0x13ea7980, "mutex_unlock" },
	{ 0xf9ede71b, "device_get_named_child_node" },
	{ 0x8b279378, "seq_printf" },
	{ 0xa52b7bc9, "irq_create_mapping_affinity" },
	{ 0x208634da, "debugfs_create_file_full" },
	{ 0x2f4a0091, "single_release" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0x4906ee20, "acpi_dev_for_each_child" },
	{ 0xe3b82c0b, "kmalloc_trace" },
	{ 0x819e7292, "__pm_runtime_suspend" },
	{ 0xd1e17fc, "__devm_add_action" },
	{ 0xcdd4aa59, "irq_set_chip" },
	{ 0x754d539c, "strlen" },
	{ 0xb971ffcb, "__pm_runtime_use_autosuspend" },
	{ 0xf2762ccd, "single_open" },
	{ 0xc37197f6, "__pm_runtime_disable" },
	{ 0x4aeaee16, "debugfs_create_dir" },
	{ 0x2fb10172, "fwnode_property_read_u8_array" },
	{ 0xa74cea35, "driver_register" },
	{ 0xa049f962, "__mutex_rt_init" },
	{ 0x4ef2dbfe, "__pm_runtime_idle" },
	{ 0x597db3ac, "acpi_get_local_u64_address" },
	{ 0x2effab57, "kmalloc_caches" },
	{ 0xa96464a1, "bus_register" },
	{ 0x4045bda5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8818D33949A4E46F3DEB157");
MODULE_INFO(rhelversion, "9.7");
