#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fat_search_long, "_gpl", "");
KSYMTAB_FUNC(fat_get_dotdot_entry, "_gpl", "");
KSYMTAB_FUNC(fat_dir_empty, "_gpl", "");
KSYMTAB_FUNC(fat_scan, "_gpl", "");
KSYMTAB_FUNC(fat_remove_entries, "_gpl", "");
KSYMTAB_FUNC(fat_alloc_new_dir, "_gpl", "");
KSYMTAB_FUNC(fat_add_entries, "_gpl", "");
KSYMTAB_FUNC(fat_free_clusters, "_gpl", "");
KSYMTAB_FUNC(fat_getattr, "_gpl", "");
KSYMTAB_FUNC(fat_setattr, "_gpl", "");
KSYMTAB_FUNC(fat_attach, "_gpl", "");
KSYMTAB_FUNC(fat_detach, "_gpl", "");
KSYMTAB_FUNC(fat_build_inode, "_gpl", "");
KSYMTAB_FUNC(fat_sync_inode, "_gpl", "");
KSYMTAB_FUNC(fat_fill_super, "_gpl", "");
KSYMTAB_FUNC(fat_flush_inodes, "_gpl", "");
KSYMTAB_FUNC(__fat_fs_error, "_gpl", "");
KSYMTAB_FUNC(fat_time_fat2unix, "_gpl", "");
KSYMTAB_FUNC(fat_time_unix2fat, "_gpl", "");
KSYMTAB_FUNC(fat_truncate_time, "_gpl", "");
KSYMTAB_FUNC(fat_update_time, "_gpl", "");

SYMBOL_CRC(fat_search_long, 0x94461521, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0x36e3a17a, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0x598ec0f0, "_gpl");
SYMBOL_CRC(fat_scan, 0xb03f3136, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0xb5d7d129, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0xd6600ef9, "_gpl");
SYMBOL_CRC(fat_add_entries, 0x49bbb9d5, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0x2e13f82f, "_gpl");
SYMBOL_CRC(fat_getattr, 0x4e6905b0, "_gpl");
SYMBOL_CRC(fat_setattr, 0x3d79b943, "_gpl");
SYMBOL_CRC(fat_attach, 0xc181eced, "_gpl");
SYMBOL_CRC(fat_detach, 0x60bae3b4, "_gpl");
SYMBOL_CRC(fat_build_inode, 0xec4138fd, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0x54edc5c2, "_gpl");
SYMBOL_CRC(fat_fill_super, 0x9798c39b, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0x305aba0e, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0x5724a243, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0xff4770c6, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0x814d9e7d, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0xba398af3, "_gpl");
SYMBOL_CRC(fat_update_time, 0xa869fd55, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc553c34c, "filemap_fdatawrite" },
	{ 0x89a2b3a4, "generic_fillattr" },
	{ 0x9e2e3cf, "setattr_prepare" },
	{ 0xb6713f80, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x227c613e, "__init_rwsem" },
	{ 0xdd3e5287, "sync_blockdev_nowait" },
	{ 0x1ee733e1, "make_vfsgid" },
	{ 0x877c43ca, "blk_start_plug" },
	{ 0x94a00910, "clear_inode" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xce7ec06c, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0x4864527a, "generic_file_splice_read" },
	{ 0x9eabebc, "new_inode" },
	{ 0xc9546946, "mark_buffer_dirty" },
	{ 0x25193c6b, "security_inode_setattr" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x69873ab1, "__find_get_block" },
	{ 0x90a0704d, "filemap_fdatawrite_range" },
	{ 0x4167adb3, "rt_mutex_base_init" },
	{ 0x13fef6d9, "inode_needs_sync" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xf5c0b54f, "__blockdev_direct_IO" },
	{ 0xb468a6e, "d_make_root" },
	{ 0x67179ded, "__bforget" },
	{ 0x18ca1d6b, "sb_set_blocksize" },
	{ 0x776b172b, "block_truncate_page" },
	{ 0xb6c38dce, "write_dirty_buffer" },
	{ 0xf99bc9b4, "sync_filesystem" },
	{ 0x521d514a, "fsnotify" },
	{ 0xa53d29d3, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0xcd5f7cf2, "from_vfsuid" },
	{ 0x54783c35, "inode_dio_wait" },
	{ 0xe802296a, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0x95750af5, "cont_write_begin" },
	{ 0x9bf80850, "iput" },
	{ 0xae9c2f1d, "pcpu_hot" },
	{ 0x7bc28de8, "iter_file_splice_write" },
	{ 0xf2ebc6ba, "generic_file_write_iter" },
	{ 0xe8e4f1b3, "kmem_cache_create" },
	{ 0x1aeeaf02, "sync_inode_metadata" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbde46702, "make_vfsuid" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xdea841f3, "mnt_want_write_file" },
	{ 0x92997ed8, "_printk" },
	{ 0x6fe22c45, "block_invalidate_folio" },
	{ 0x92b544f0, "__breadahead" },
	{ 0xbc35ff28, "generic_write_end" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x6408a7a7, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9935fed7, "load_nls" },
	{ 0xba68e62, "generic_cont_expand_simple" },
	{ 0xf0c0da3d, "make_kuid" },
	{ 0x7334c7b0, "truncate_inode_pages_final" },
	{ 0xee864bbc, "block_write_full_page" },
	{ 0x4e2bc3d4, "generic_file_mmap" },
	{ 0x3330c696, "sync_mapping_buffers" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6928f5bc, "ilookup" },
	{ 0x4b344af6, "kmem_cache_alloc" },
	{ 0x2fcc3feb, "invalidate_inode_buffers" },
	{ 0xe5c0fbdb, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x98eedcf1, "mnt_drop_write_file" },
	{ 0x9211287f, "inode_init_once" },
	{ 0xc4de9981, "compat_ptr_ioctl" },
	{ 0x1af8f739, "__fsnotify_parent" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x54273b2d, "__brelse" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x959339b1, "down_write" },
	{ 0x2c59427, "up_write" },
	{ 0x6eeb2672, "generic_file_read_iter" },
	{ 0x16566636, "inode_maybe_inc_iversion" },
	{ 0x4e3567f7, "match_int" },
	{ 0x7325d34f, "truncate_pagecache" },
	{ 0x60edbfbe, "sync_dirty_buffer" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x546b4f98, "setattr_copy" },
	{ 0x40d257df, "__wait_on_buffer" },
	{ 0x117f3dd4, "set_nlink" },
	{ 0x499e043c, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0xb0ce3b19, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x5a921311, "strncmp" },
	{ 0x14f5953e, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0x47726911, "from_vfsgid" },
	{ 0xd448d0cf, "write_inode_now" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x5eed242a, "d_obtain_alias" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xd08df0a8, "__bread_gfp" },
	{ 0x7120e9fa, "block_dirty_folio" },
	{ 0xd0043591, "mpage_read_folio" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0xf314edf6, "__insert_inode_hash" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x70948bad, "make_kgid" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x166ed2c8, "rt_spin_unlock" },
	{ 0xc9925380, "from_kgid_munged" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xca968ca4, "down_read" },
	{ 0x4e7a420c, "rt_spin_lock" },
	{ 0xc3e74d51, "truncate_setsize" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x49cdbeb4, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x111f9069, "igrab" },
	{ 0xc7270aaf, "__getblk_gfp" },
	{ 0x855e8654, "generic_read_dir" },
	{ 0x85df9b6c, "strsep" },
	{ 0x13ea7980, "mutex_unlock" },
	{ 0x53264302, "mpage_readahead" },
	{ 0x18023d0c, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0x8df0e01d, "init_user_ns" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x44e9a829, "match_token" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x8b279378, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x1841276f, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x361e1b1e, "blkdev_issue_flush" },
	{ 0xa8b14dd3, "seq_puts" },
	{ 0x6e18b855, "generic_fh_to_parent" },
	{ 0x815b5dd4, "match_octal" },
	{ 0xe7b98b68, "from_kuid_munged" },
	{ 0xe3b82c0b, "kmalloc_trace" },
	{ 0x19ab948a, "__generic_file_fsync" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x959b5004, "kmem_cache_alloc_lru" },
	{ 0x88c0d87f, "__mark_inode_dirty" },
	{ 0x39fa2278, "generic_file_llseek" },
	{ 0xc5a0d79e, "unload_nls" },
	{ 0x4ee292af, "up_read" },
	{ 0xd4d3d4e7, "mark_buffer_dirty_inode" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xa049f962, "__mutex_rt_init" },
	{ 0xa2c18a38, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0x2effab57, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0x8cae5f5c, "kmem_cache_destroy" },
	{ 0xde5f142e, "blkdev_issue_discard" },
	{ 0x4045bda5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0DF33C03A1CFD5AA6EBC33C");
MODULE_INFO(rhelversion, "9.7");
