#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fuse_len_args, "_gpl", "");
KSYMTAB_FUNC(fuse_get_unique, "_gpl", "");
KSYMTAB_DATA(fuse_dev_fiq_ops, "_gpl", "");
KSYMTAB_FUNC(fuse_request_end, "_gpl", "");
KSYMTAB_FUNC(fuse_simple_background, "_gpl", "");
KSYMTAB_FUNC(fuse_dequeue_forget, "", "");
KSYMTAB_FUNC(fuse_abort_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_release, "_gpl", "");
KSYMTAB_DATA(fuse_dev_operations, "_gpl", "");
KSYMTAB_FUNC(fuse_do_open, "_gpl", "");
KSYMTAB_FUNC(fuse_sync_release, "_gpl", "");
KSYMTAB_FUNC(fuse_direct_io, "_gpl", "");
KSYMTAB_FUNC(fuse_file_poll, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_init, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_put, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_get, "_gpl", "");
KSYMTAB_FUNC(fuse_send_init, "_gpl", "");
KSYMTAB_FUNC(fuse_free_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_free, "_gpl", "");
KSYMTAB_FUNC(fuse_init_fs_context_submount, "_gpl", "");
KSYMTAB_FUNC(fuse_fill_super_common, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_remove, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_destroy, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_destroy, "", "");
KSYMTAB_FUNC(fuse_do_ioctl, "_gpl", "");

SYMBOL_CRC(fuse_len_args, 0xdd626ee3, "_gpl");
SYMBOL_CRC(fuse_get_unique, 0xda7a7f39, "_gpl");
SYMBOL_CRC(fuse_dev_fiq_ops, 0x51665ba6, "_gpl");
SYMBOL_CRC(fuse_request_end, 0xbe1731c9, "_gpl");
SYMBOL_CRC(fuse_simple_background, 0xf707d8d9, "_gpl");
SYMBOL_CRC(fuse_dequeue_forget, 0x8bf701d9, "");
SYMBOL_CRC(fuse_abort_conn, 0x5b046f0b, "_gpl");
SYMBOL_CRC(fuse_dev_release, 0xe5f6588a, "_gpl");
SYMBOL_CRC(fuse_dev_operations, 0x94e98b48, "_gpl");
SYMBOL_CRC(fuse_do_open, 0x123578e6, "_gpl");
SYMBOL_CRC(fuse_sync_release, 0x3287e0e0, "_gpl");
SYMBOL_CRC(fuse_direct_io, 0x8da3ac53, "_gpl");
SYMBOL_CRC(fuse_file_poll, 0x086160b4, "_gpl");
SYMBOL_CRC(fuse_conn_init, 0xb416b11f, "_gpl");
SYMBOL_CRC(fuse_conn_put, 0xce319b28, "_gpl");
SYMBOL_CRC(fuse_conn_get, 0xde78d27b, "_gpl");
SYMBOL_CRC(fuse_send_init, 0x7c2ca972, "_gpl");
SYMBOL_CRC(fuse_free_conn, 0x5c3020a1, "_gpl");
SYMBOL_CRC(fuse_dev_alloc, 0xb2ff6665, "_gpl");
SYMBOL_CRC(fuse_dev_install, 0xf9c44e7d, "_gpl");
SYMBOL_CRC(fuse_dev_alloc_install, 0xe3da2d0e, "_gpl");
SYMBOL_CRC(fuse_dev_free, 0x8f3a1e0c, "_gpl");
SYMBOL_CRC(fuse_init_fs_context_submount, 0xc91ff06a, "_gpl");
SYMBOL_CRC(fuse_fill_super_common, 0xb71b2854, "_gpl");
SYMBOL_CRC(fuse_mount_remove, 0xbf5b2c57, "_gpl");
SYMBOL_CRC(fuse_conn_destroy, 0x8c29ed5c, "_gpl");
SYMBOL_CRC(fuse_mount_destroy, 0x14872acd, "");
SYMBOL_CRC(fuse_do_ioctl, 0xdb68176d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x10134384, "super_setup_bdi_name" },
	{ 0x3e2d2a8, "posix_test_lock" },
	{ 0x475c5fb5, "truncate_inode_pages" },
	{ 0xa9d57576, "generic_copy_file_range" },
	{ 0x412c41d1, "noop_backing_dev_info" },
	{ 0xe914e41e, "strcpy" },
	{ 0x29d5dc0b, "pipe_lock" },
	{ 0x89a2b3a4, "generic_fillattr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x538ca834, "vfs_fsync_range" },
	{ 0x9e2e3cf, "setattr_prepare" },
	{ 0x4316bfed, "clear_nlink" },
	{ 0x4951d9e4, "file_check_and_advance_wb_err" },
	{ 0x8f9249f7, "d_alloc_parallel" },
	{ 0x227c613e, "__init_rwsem" },
	{ 0x98c51950, "d_instantiate" },
	{ 0x3c185c61, "page_put_link" },
	{ 0x150437b3, "misc_deregister" },
	{ 0x1ee733e1, "make_vfsgid" },
	{ 0x94a00910, "clear_inode" },
	{ 0xb8b57c5f, "inode_to_bdi" },
	{ 0x761d124a, "find_pid_ns" },
	{ 0x46046536, "grab_cache_page_write_begin" },
	{ 0xf4eaa4ba, "simple_dir_inode_operations" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf0b953b8, "pipe_unlock" },
	{ 0xf5662cf5, "fs_param_is_string" },
	{ 0x5582696b, "folio_unlock" },
	{ 0x4864527a, "generic_file_splice_read" },
	{ 0x9eabebc, "new_inode" },
	{ 0xa6257a2f, "complete" },
	{ 0x70542809, "filemap_map_pages" },
	{ 0xeb64fb9d, "dump_page" },
	{ 0x82d3dc0d, "forget_all_cached_acls" },
	{ 0x4614e41d, "init_special_inode" },
	{ 0xe741d6bb, "unregister_filesystem" },
	{ 0x37e7a87b, "task_active_pid_ns" },
	{ 0x2063f6ee, "iov_iter_single_seg_count" },
	{ 0x6e0861f6, "retire_super" },
	{ 0xca9360b5, "rb_next" },
	{ 0x4167adb3, "rt_mutex_base_init" },
	{ 0x459e6ba8, "finish_wait" },
	{ 0x742bd60e, "d_alloc_name" },
	{ 0xfc52e0d6, "replace_page_cache_folio" },
	{ 0x10ae65bc, "inode_query_iversion" },
	{ 0xfa6c29a9, "iov_iter_advance" },
	{ 0xb3f8719c, "kill_fasync" },
	{ 0xb468a6e, "d_make_root" },
	{ 0x18ca1d6b, "sb_set_blocksize" },
	{ 0xe19c45f6, "fget" },
	{ 0x262bacd9, "simple_fill_super" },
	{ 0x769ecaf6, "xas_find" },
	{ 0x6b390e4b, "invalidate_mapping_pages" },
	{ 0xf99bc9b4, "sync_filesystem" },
	{ 0xf848e65d, "sget_fc" },
	{ 0x5456e24f, "param_set_uint" },
	{ 0x2970c82b, "d_splice_alias" },
	{ 0x8e6bd3f7, "iov_iter_get_pages2" },
	{ 0xa53d29d3, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0xbb13a778, "page_get_link" },
	{ 0x3c23cb8, "generic_permission" },
	{ 0xbb8dc4e9, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xcbe64400, "invalidate_inode_pages2_range" },
	{ 0x20086b89, "posix_lock_file" },
	{ 0x38b27ad3, "finish_open" },
	{ 0x9bf80850, "iput" },
	{ 0xae9c2f1d, "pcpu_hot" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0x52c47dc9, "logfc" },
	{ 0x7bc28de8, "iter_file_splice_write" },
	{ 0xd99fb3dc, "prepare_to_wait_event" },
	{ 0xcc98c1a5, "init_pid_ns" },
	{ 0xa30e8934, "iov_iter_init" },
	{ 0x79aff55b, "d_lookup" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0x36b3848b, "sysfs_create_mount_point" },
	{ 0xf2ebc6ba, "generic_file_write_iter" },
	{ 0x8c849ef8, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xa6930adf, "register_filesystem" },
	{ 0xe8e4f1b3, "kmem_cache_create" },
	{ 0x3b93f940, "folio_add_lru" },
	{ 0xfee6f4e, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x1aeeaf02, "sync_inode_metadata" },
	{ 0xdfe903b9, "simple_empty" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2d17b634, "vfs_setpos" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf2e1d0b9, "shrink_dcache_parent" },
	{ 0x5197cff, "get_tree_nodev" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdaf2cb30, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x9dfe73ba, "fs_param_is_u32" },
	{ 0x479ba587, "inode_newsize_ok" },
	{ 0xe24f5e66, "d_drop" },
	{ 0x3f157490, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x5b3f8dda, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x9f11d65c, "bdi_put" },
	{ 0x40c80e49, "posix_acl_from_xattr" },
	{ 0x1000e51, "schedule" },
	{ 0xd2a822bb, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xf0c0da3d, "make_kuid" },
	{ 0x7334c7b0, "truncate_inode_pages_final" },
	{ 0xa3badf6e, "fs_kobj" },
	{ 0xd7a58879, "__filemap_set_wb_err" },
	{ 0xd571606, "simple_dir_operations" },
	{ 0x4e2bc3d4, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x33b84f74, "copy_page" },
	{ 0x1c1a9a59, "__free_pages" },
	{ 0x4b344af6, "kmem_cache_alloc" },
	{ 0x9c87282a, "put_pid_ns" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0x66e33e62, "setattr_should_drop_suidgid" },
	{ 0x3db307d8, "capable_wrt_inode_uidgid" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xcaf079b6, "copy_page_from_iter_atomic" },
	{ 0x235a089f, "fs_context_for_submount" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x9211287f, "inode_init_once" },
	{ 0x74e9bfdc, "file_write_and_wait_range" },
	{ 0xc4de9981, "compat_ptr_ioctl" },
	{ 0x25dca792, "nosteal_pipe_buf_ops" },
	{ 0xef932ec2, "ilookup5" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x36f52a83, "inode_nohighmem" },
	{ 0x3393da18, "release_pages" },
	{ 0x8e4be7bf, "generic_file_direct_write" },
	{ 0x49608959, "migrate_disable" },
	{ 0x5252cba5, "fput" },
	{ 0x959339b1, "down_write" },
	{ 0x2c59427, "up_write" },
	{ 0x6eeb2672, "generic_file_read_iter" },
	{ 0x16566636, "inode_maybe_inc_iversion" },
	{ 0xda9e9b4d, "unlock_page" },
	{ 0x5a09e204, "inc_node_page_state" },
	{ 0xa07a37f0, "memchr" },
	{ 0x7325d34f, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x914e3e2a, "put_fs_context" },
	{ 0xb5b63711, "fileattr_fill_xflags" },
	{ 0x3afda462, "dec_node_page_state" },
	{ 0x269f0577, "write_cache_pages" },
	{ 0x7c6f55af, "file_update_time" },
	{ 0x117f3dd4, "set_nlink" },
	{ 0x499e043c, "mutex_lock" },
	{ 0xb0ce3b19, "kmem_cache_free" },
	{ 0x925493f, "clear_page_orig" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x23c2ad33, "from_kgid" },
	{ 0xaace1f3b, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x412bcec, "file_remove_privs" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0xd448d0cf, "write_inode_now" },
	{ 0x5eed242a, "d_obtain_alias" },
	{ 0xa824cf55, "file_modified" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xe94a3692, "copy_page_to_iter" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xf34f7692, "finish_no_open" },
	{ 0x7575ce4c, "__folio_start_writeback" },
	{ 0x297f0b65, "kill_litter_super" },
	{ 0x533e69da, "folio_end_writeback" },
	{ 0x13ef934c, "from_kuid" },
	{ 0x2bff6e8d, "current_in_userns" },
	{ 0xcd8488c3, "fc_mount" },
	{ 0xfb578fc5, "memset" },
	{ 0x702721dc, "sysfs_remove_mount_point" },
	{ 0xfda3f482, "misc_register" },
	{ 0xaa7e4854, "__alloc_pages" },
	{ 0xdf93b9d8, "timespec64_to_jiffies" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x71db24e4, "__init_waitqueue_head" },
	{ 0x70948bad, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x2f1819fb, "d_delete" },
	{ 0x166ed2c8, "rt_spin_unlock" },
	{ 0xc9925380, "from_kgid_munged" },
	{ 0x78cdd044, "end_page_writeback" },
	{ 0x70b93b57, "kobject_create_and_add" },
	{ 0xca968ca4, "down_read" },
	{ 0x4e7a420c, "rt_spin_lock" },
	{ 0x1e59f1da, "wb_writeout_inc" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5c887ed4, "nonseekable_open" },
	{ 0x189da1d2, "set_page_dirty" },
	{ 0xdc375d65, "copy_page_from_iter" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xddbbd46f, "redirty_page_for_writepage" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x111f9069, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x855e8654, "generic_read_dir" },
	{ 0x2630c26f, "d_add" },
	{ 0xd4649d3c, "set_page_writeback" },
	{ 0x13ea7980, "mutex_unlock" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x8df0e01d, "init_user_ns" },
	{ 0x6b5e49ce, "d_find_alias" },
	{ 0xcad64ad6, "invalidate_inode_pages2" },
	{ 0x570c4eb4, "inc_nlink" },
	{ 0xbcdb9c5f, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd8f525e9, "get_tree_bdev" },
	{ 0x540e23be, "set_anon_super_fc" },
	{ 0x8b279378, "seq_printf" },
	{ 0x84b081ed, "dput" },
	{ 0xe47450bc, "lockref_get" },
	{ 0xf5c8284c, "generic_delete_inode" },
	{ 0xce1ab2fc, "deactivate_locked_super" },
	{ 0x53701f6d, "touch_atime" },
	{ 0x34a3769f, "__d_lookup_unhash_wake" },
	{ 0x14a2d013, "set_page_dirty_lock" },
	{ 0x99be2980, "pid_nr_ns" },
	{ 0x29e3278, "generic_file_open" },
	{ 0xd57e9ed2, "truncate_inode_pages_range" },
	{ 0x754bfbc4, "__put_user_ns" },
	{ 0x6b03ce44, "__folio_lock" },
	{ 0x40178806, "filemap_dirty_folio" },
	{ 0xf45969fa, "pagecache_get_page" },
	{ 0xa8b14dd3, "seq_puts" },
	{ 0x39c38d09, "stream_open" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x4aadc4de, "__wake_up_sync" },
	{ 0xc1d378f9, "add_to_pipe" },
	{ 0x12ebb1e0, "__fs_parse" },
	{ 0xf28972f0, "posix_acl_to_xattr" },
	{ 0xd89e7688, "dget_parent" },
	{ 0x801e2f7b, "kill_anon_super" },
	{ 0xe7b98b68, "from_kuid_munged" },
	{ 0xafc08054, "dotdot_name" },
	{ 0xe3b82c0b, "kmalloc_trace" },
	{ 0x60077795, "iget5_locked" },
	{ 0x62cc2141, "security_dentry_init_security" },
	{ 0x58819d7b, "filemap_write_and_wait_range" },
	{ 0x8b2a418d, "get_tree_single" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x8223f99e, "generic_write_checks" },
	{ 0x2bb2f063, "iov_iter_revert" },
	{ 0x93de21f5, "__remove_inode_hash" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x9decd491, "mntget" },
	{ 0x959b5004, "kmem_cache_alloc_lru" },
	{ 0xc3138f9f, "filemap_fault" },
	{ 0x35d67d66, "d_invalidate" },
	{ 0x88c0d87f, "__mark_inode_dirty" },
	{ 0x39fa2278, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x4ee292af, "up_read" },
	{ 0xa049f962, "__mutex_rt_init" },
	{ 0x570f2493, "iov_iter_npages" },
	{ 0x6332b9ca, "drop_nlink" },
	{ 0x7cd7e76a, "fault_in_iov_iter_readable" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xea656810, "filemap_check_errors" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2effab57, "kmalloc_caches" },
	{ 0xd4db7b4d, "bdi_set_max_ratio" },
	{ 0x8cae5f5c, "kmem_cache_destroy" },
	{ 0xcb78591c, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x4045bda5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7DBF81E138208D31B51FCD0");
MODULE_INFO(rhelversion, "9.7");
