#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfs4_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_setup_sequence, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_rw_stateid, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_migration_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_moved_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_stateid_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs_remove_bad_delegation, "_gpl", "");
KSYMTAB_FUNC(nfs_map_string_to_numeric, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_ds_client, "_gpl", "");

SYMBOL_CRC(nfs4_sequence_done, 0x54d3dcb0, "_gpl");
SYMBOL_CRC(nfs4_setup_sequence, 0xf246d0ce, "_gpl");
SYMBOL_CRC(nfs4_set_rw_stateid, 0xbff0b1d6, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_recovery, 0x52d30579, "_gpl");
SYMBOL_CRC(nfs4_schedule_migration_recovery, 0x21889c55, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_moved_recovery, 0xd10b3e99, "_gpl");
SYMBOL_CRC(nfs4_schedule_stateid_recovery, 0xee2c9b56, "_gpl");
SYMBOL_CRC(nfs_remove_bad_delegation, 0xffad0a9d, "_gpl");
SYMBOL_CRC(nfs_map_string_to_numeric, 0x6085edbd, "_gpl");
SYMBOL_CRC(nfs4_set_ds_client, 0x367ba80a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xccc53514, "rpc_put_task" },
	{ 0x9578e7d1, "svc_generic_rpcbind_set" },
	{ 0x98a59dd7, "nfs_clone_server" },
	{ 0x80a3b927, "nfs_access_add_cache" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc553c34c, "filemap_fdatawrite" },
	{ 0xdec2c547, "nfs_show_stats" },
	{ 0x227e1934, "ida_alloc_range" },
	{ 0x3c47bec6, "nfs_server_remove_lists" },
	{ 0xbd8185f7, "generic_listxattr" },
	{ 0x16ceef0, "revert_creds" },
	{ 0xee879771, "nfs_writeback_update_inode" },
	{ 0x94a00910, "clear_inode" },
	{ 0x7b485636, "bpf_trace_run4" },
	{ 0x9371fb87, "user_destroy" },
	{ 0xf783af4a, "idr_find" },
	{ 0x9a880c15, "param_ops_uint" },
	{ 0x8248196c, "user_revoke" },
	{ 0xcdfc162f, "d_exact_alias" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x1ffbd67c, "nfs_alloc_client" },
	{ 0x5786c792, "register_sysctl" },
	{ 0xdae9b5d7, "nfs4_disable_idmapping" },
	{ 0xec46d730, "nfs_mark_client_ready" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x917f0243, "xdr_write_pages" },
	{ 0x497c4257, "rpc_shutdown_client" },
	{ 0x27714254, "svc_bind" },
	{ 0xeb250c7a, "nfs_d_prune_case_insensitive_aliases" },
	{ 0x40739385, "nfs_wait_bit_killable" },
	{ 0x2927bfff, "nfs_free_inode" },
	{ 0xa2ef6d69, "nfs_access_zap_cache" },
	{ 0x60765a6d, "nfs_sb_deactive" },
	{ 0xbe06ccf4, "nfs_wb_all" },
	{ 0x4864527a, "generic_file_splice_read" },
	{ 0xb3afde71, "__break_lease" },
	{ 0xdbfdae82, "svc_recv" },
	{ 0x7abd9d32, "nfs_drop_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x2d4454be, "xdr_inline_decode" },
	{ 0xa82bd2a0, "trace_raw_output_prep" },
	{ 0x739b6466, "nfs_wait_client_init_complete" },
	{ 0xca9360b5, "rb_next" },
	{ 0x1da862ec, "rpc_net_ns" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x4167adb3, "rt_mutex_base_init" },
	{ 0x2c96cc79, "nfs_mknod" },
	{ 0x45548e6c, "nfs_inode_attach_open_context" },
	{ 0x459e6ba8, "finish_wait" },
	{ 0x3777f79c, "rpc_localaddr" },
	{ 0xe3ed3619, "rpc_wake_up" },
	{ 0x437d4d46, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x7de1fd59, "idr_replace" },
	{ 0x5257e585, "nfs_lock" },
	{ 0x2c22c746, "unregister_key_type" },
	{ 0x7d28babd, "nfs_client_init_is_complete" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x2970c82b, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xbfc3c272, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x289ca9a7, "trace_event_raw_init" },
	{ 0x1e424d61, "user_preparse" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0x6f8fe0fd, "ihold" },
	{ 0xd584e881, "rpc_peeraddr" },
	{ 0x37a0cba, "kfree" },
	{ 0x8396c0d3, "nfs_post_op_update_inode" },
	{ 0x883b25f6, "svc_exit_thread" },
	{ 0x9bf80850, "iput" },
	{ 0xae9c2f1d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x52c47dc9, "logfc" },
	{ 0x7bc28de8, "iter_file_splice_write" },
	{ 0x954b5b03, "rpc_pton" },
	{ 0x3455adb9, "nfs_sb_active" },
	{ 0x1f2a9970, "rpc_ntop" },
	{ 0x5b4017f5, "rpc_wake_up_queued_task" },
	{ 0x633527f8, "bpf_trace_run2" },
	{ 0xd99fb3dc, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x1e119a79, "rpcauth_get_pseudoflavor" },
	{ 0xf4e4a239, "rpc_restart_call_prepare" },
	{ 0xb366b4cb, "event_triggers_call" },
	{ 0x8c849ef8, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x29d42565, "_copy_from_pages" },
	{ 0xffe2729f, "__module_get" },
	{ 0x81d4cfe1, "rpc_task_release_transport" },
	{ 0xa17c5404, "xdr_page_pos" },
	{ 0xa51bfe15, "nfs_file_release" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x7f9cd85e, "key_instantiate_and_link" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x3539f11b, "match_strlcpy" },
	{ 0x2d0517c4, "xdr_read_pages" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0x991ee367, "register_key_type" },
	{ 0x91ef551f, "rpc_sleep_on" },
	{ 0x734d9bb2, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xa5f0cc2a, "keyring_alloc" },
	{ 0xd1f653fb, "nfs_create" },
	{ 0x8b67554e, "complete_request_key" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd7933c06, "__put_cred" },
	{ 0x449d48aa, "nfs_update_delegated_mtime" },
	{ 0x6e028064, "nfs_statfs" },
	{ 0xe55ad329, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0xb34c3f2f, "trace_event_buffer_commit" },
	{ 0x584b8482, "nfs_inc_attr_generation_counter" },
	{ 0x90a5530f, "nfsiod_workqueue" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdaf2cb30, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xc8f582ac, "nfs_mkdir" },
	{ 0x588efc8, "nfs_revalidate_inode" },
	{ 0x1e0de66, "nfs_file_mmap" },
	{ 0x5c5edf11, "nfs_get_lock_context" },
	{ 0xe24f5e66, "d_drop" },
	{ 0x92997ed8, "_printk" },
	{ 0xd8373c47, "nfs_set_cache_invalid" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x821c37bd, "xdr_enter_page" },
	{ 0x6408a7a7, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x42ab8607, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x8e3f195, "trace_event_ignore_this_pid" },
	{ 0xf0c0da3d, "make_kuid" },
	{ 0x7334c7b0, "truncate_inode_pages_final" },
	{ 0xe2316032, "generic_setlease" },
	{ 0x85adefb0, "rpc_switch_client_transport" },
	{ 0xa916b694, "strnlen" },
	{ 0xafeb769d, "xdr_stream_decode_string_dup" },
	{ 0xe35e4cbd, "locks_init_lock" },
	{ 0x45def869, "rpc_destroy_pipe_data" },
	{ 0x83f4397e, "nfs_get_client" },
	{ 0x1c1a9a59, "__free_pages" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0xe7bc0935, "nfs_atomic_open" },
	{ 0xfa475798, "rpc_pipe_generic_upcall" },
	{ 0xad4e643e, "nfs_file_fsync" },
	{ 0xf75c2811, "module_put" },
	{ 0xed59c227, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xb643f2c2, "mntput" },
	{ 0x8ed4caea, "nfs_put_lock_context" },
	{ 0x3d81c9d2, "nfs_rename" },
	{ 0xb7a0ecd0, "nfs_lookup" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xde608564, "nfs_sysfs_link_rpc_client" },
	{ 0xe5a78044, "nfs_put_client" },
	{ 0x1caefca3, "nfs_show_options" },
	{ 0x3689081e, "dns_query" },
	{ 0x26884ff7, "nfs_alloc_fhandle" },
	{ 0x4d56c150, "key_put" },
	{ 0xd81f2c15, "mount_subtree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x2103a08e, "get_nfs_open_context" },
	{ 0x6f7cc083, "perf_trace_run_bpf_submit" },
	{ 0xe7e00c4a, "nfs_clear_verifier_delegated" },
	{ 0xf54abac, "nfs_sysfs_add_server" },
	{ 0x49608959, "migrate_disable" },
	{ 0x959339b1, "down_write" },
	{ 0x61d74295, "rpc_machine_cred" },
	{ 0x42f2c81f, "nfs4_client_id_uniquifier" },
	{ 0x50c7473e, "nfs_do_submount" },
	{ 0xc23354cc, "vfs_dup_fs_context" },
	{ 0x2c59427, "up_write" },
	{ 0x87c93ec5, "request_key_with_auxdata" },
	{ 0x393a4e02, "rpc_clone_client_set_auth" },
	{ 0xa9884175, "rpc_clone_client" },
	{ 0xabc6daae, "svc_set_num_threads" },
	{ 0x4e3567f7, "match_int" },
	{ 0xf653e4b8, "idr_alloc" },
	{ 0x41d6864f, "svc_rpcb_cleanup" },
	{ 0xa07a37f0, "memchr" },
	{ 0x78c6be6a, "radix_tree_preloads" },
	{ 0x2f0d80dc, "user_describe" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x914e3e2a, "put_fs_context" },
	{ 0x3df0ade3, "nfs4_dentry_operations" },
	{ 0x2fd1a5b2, "__module_put_and_kthread_exit" },
	{ 0x461e58e2, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xa8dba23d, "nfs_client_for_each_server" },
	{ 0xa41d94bf, "nfs_clear_inode" },
	{ 0x454cbcc8, "rpc_sleep_on_priority" },
	{ 0x2d16fc3f, "nfs_invalidate_atime" },
	{ 0x1baf59b6, "bpf_trace_run5" },
	{ 0x954f099c, "idr_preload" },
	{ 0xdfeca442, "nfs_umount_begin" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x38ac1598, "nfs_getattr" },
	{ 0x499e043c, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x743ed8e8, "nfs_zap_acl_cache" },
	{ 0x23c2ad33, "from_kgid" },
	{ 0xa17e7c83, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xb1e03075, "nfs_write_inode" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x7c529d87, "ida_free" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x804020b7, "rpc_wake_up_first" },
	{ 0xc78da824, "alloc_nfs_open_context" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xf648ff2, "vfs_parse_fs_param" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xe273016, "nfs_path" },
	{ 0xf2a4cae2, "rpc_sleep_on_priority_timeout" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x7b1c7c20, "nfs_create_rpc_client" },
	{ 0x2e888fe3, "register_nfs_version" },
	{ 0xda6bd2c7, "rpc_sleep_on_timeout" },
	{ 0xb8112926, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x60dfa4b6, "rpc_call_start" },
	{ 0x145afa6d, "bpf_trace_run1" },
	{ 0x9ee05bc2, "svc_create" },
	{ 0xf7b77822, "nfs_file_set_open_context" },
	{ 0x572fd896, "rpc_init_priority_wait_queue" },
	{ 0x3f2690f2, "nfs_check_flags" },
	{ 0x829a2def, "rpc_call_sync" },
	{ 0x13ef934c, "from_kuid" },
	{ 0xf4fdf1eb, "rpc_put_task_async" },
	{ 0xe4f32a52, "rpc_prepare_reply_pages" },
	{ 0x6b25962a, "rpc_queue_upcall" },
	{ 0xc4511791, "nfs_free_server" },
	{ 0xcd8488c3, "fc_mount" },
	{ 0xad3a04a1, "nfs_setattr" },
	{ 0xfb578fc5, "memset" },
	{ 0xcd1dc26c, "xdr_terminate_string" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2f62cd92, "nfs4_fs_type" },
	{ 0xaa7e4854, "__alloc_pages" },
	{ 0xf7decba2, "key_revoke" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0x2f6d43e7, "rpc_delay" },
	{ 0x8bbca17c, "nfs_flock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x71db24e4, "__init_waitqueue_head" },
	{ 0xc44ad63d, "svc_generic_init_request" },
	{ 0x88c88474, "_atomic_dec_and_lock" },
	{ 0x43968a66, "key_validate" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0x70948bad, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x166ed2c8, "rt_spin_unlock" },
	{ 0x4a3506f2, "rpc_remove_pipe_dir_object" },
	{ 0xfa885ce2, "nfs_may_open" },
	{ 0xc9925380, "from_kgid_munged" },
	{ 0xfc619abd, "_nfs_display_fhandle" },
	{ 0x15255913, "nfs_server_copy_userdata" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xca968ca4, "down_read" },
	{ 0x4e7a420c, "rt_spin_lock" },
	{ 0x4aaae3a4, "xdr_reserve_space" },
	{ 0x624bd922, "rpcauth_lookupcred" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfce28d9, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x7d01e9c4, "nfs_rmdir" },
	{ 0x2e0bb4cd, "bpf_trace_run3" },
	{ 0xd0d5f0b2, "override_creds" },
	{ 0x4cb9e001, "recover_lost_locks" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x84137f0b, "rpc_mkpipe_dentry" },
	{ 0x5ac237ac, "rpc_mkpipe_data" },
	{ 0x3b21f385, "rpc_add_pipe_dir_object" },
	{ 0x111f9069, "igrab" },
	{ 0x2e7d0f96, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x8ee3fb4a, "nfs_async_iocounter_wait" },
	{ 0xa212de22, "nfs_file_read" },
	{ 0x6a30e62c, "trace_event_buffer_reserve" },
	{ 0xabe46610, "nfs_alloc_fattr_with_label" },
	{ 0x13ea7980, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x31d0681b, "nfs_setattr_update_inode" },
	{ 0x4ce3d234, "nfs_instantiate" },
	{ 0x8df0e01d, "init_user_ns" },
	{ 0x19fc16fb, "rpc_uaddr2sockaddr" },
	{ 0x1bb7e908, "user_read" },
	{ 0x28dea961, "request_key_tag" },
	{ 0x8ead800c, "user_free_preparse" },
	{ 0x9d77c83, "svc_xprt_destroy_all" },
	{ 0xe981b888, "generic_key_instantiate" },
	{ 0x570c4eb4, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0x7fb2318a, "nfs_link" },
	{ 0xbcdb9c5f, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0xd89431dd, "rpcauth_stringify_acceptor" },
	{ 0x84b081ed, "dput" },
	{ 0xe47450bc, "lockref_get" },
	{ 0xe4342e82, "rpc_init_wait_queue" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x7fa138d7, "put_rpccred" },
	{ 0x294c6a2, "nfs_callback_nr_threads" },
	{ 0xda0c3b3b, "put_nfs_open_context" },
	{ 0x9e7941fc, "nfs_show_path" },
	{ 0x46b87d67, "nfs_show_devname" },
	{ 0xbe50a5e5, "nfs_permission" },
	{ 0x754bfbc4, "__put_user_ns" },
	{ 0xf006e6fe, "cred_fscmp" },
	{ 0xd8b36345, "rpc_unlink" },
	{ 0x1f9a11e5, "proc_dointvec" },
	{ 0xbde06fae, "nfs_file_write" },
	{ 0x7d7512ef, "nfs_probe_server" },
	{ 0x12580fcc, "nfs_setsecurity" },
	{ 0x2e2ac7ae, "rpc_clnt_test_and_add_xprt" },
	{ 0xa0737f65, "nfs_force_lookup_revalidate" },
	{ 0x901c9819, "nfs_file_llseek" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x804403da, "rpc_clnt_add_xprt" },
	{ 0xd89e7688, "dget_parent" },
	{ 0xe7b98b68, "from_kuid_munged" },
	{ 0xcfa7b73c, "prepare_kernel_cred" },
	{ 0xe3b82c0b, "kmalloc_trace" },
	{ 0x7dbb383f, "nfs_alloc_server" },
	{ 0xd098c50b, "rpc_call_async" },
	{ 0x58819d7b, "filemap_write_and_wait_range" },
	{ 0xc8335b24, "nfs_server_insert_lists" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x754d539c, "strlen" },
	{ 0x1ef60ad0, "nfs_free_client" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x99463073, "rpc_init_pipe_dir_object" },
	{ 0x6a2f7aec, "nfs_refresh_inode" },
	{ 0x9aa71919, "refcount_dec_and_lock" },
	{ 0x349cba85, "strchr" },
	{ 0xc6c8b8f1, "nfs_access_set_mask" },
	{ 0x31cc366e, "nfs_init_server_rpcclient" },
	{ 0xf081af9a, "rpc_set_connect_timeout" },
	{ 0xe2ffefbc, "rpcauth_create" },
	{ 0x495a9ddf, "xdr_stream_pos" },
	{ 0x6d1df4f0, "key_set_timeout" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xefa414fb, "nfs_delay_retrans" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x10962bc2, "nfs_auth_info_match" },
	{ 0x4ee292af, "up_read" },
	{ 0x39e05ac3, "nfs_idmap_cache_timeout" },
	{ 0xa049f962, "__mutex_rt_init" },
	{ 0xb04a9942, "svc_xprt_create" },
	{ 0x8ca51c7e, "rpc_wait_for_completion_task" },
	{ 0x6332b9ca, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xc385fc68, "nfs_alloc_inode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5215eb06, "rpc_destroy_wait_queue" },
	{ 0x2effab57, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xd844e352, "nfs_fhget" },
	{ 0x3ed0ecf1, "nfs_symlink" },
	{ 0x1a3644a6, "locks_copy_lock" },
	{ 0x51892d61, "nfs_callback_set_tcpport" },
	{ 0x4649f990, "nfs_unlink" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xbf98446f, "nfs_set_verifier" },
	{ 0x2bdbbd09, "proc_dointvec_minmax" },
	{ 0x4045bda5, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,nfs,dns_resolver");


MODULE_INFO(srcversion, "24FEB2F48707483EE41F43B");
MODULE_INFO(rhelversion, "9.7");
