#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_vlan_enabled, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_proto, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid_rcu, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info_rcu, "_gpl", "");
KSYMTAB_FUNC(br_mst_enabled, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_info, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_state, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0xecf82e03, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0x27e661ea, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0xcd35b11e, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0x68cf391d, "_gpl");
SYMBOL_CRC(br_forward_finish, 0xcff3fb7e, "_gpl");
SYMBOL_CRC(br_forward, 0x9ba163bf, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0xcbd281cd, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0x4ca29d79, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0x4c5d79f1, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0x07603242, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0x397660d8, "_gpl");
SYMBOL_CRC(br_multicast_router, 0xa30a5a07, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0x13af43f1, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0x80e20731, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0xe84b979c, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0xcfe56029, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0x738170f3, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0xe27fdf51, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0x8dea0592, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0x789eb453, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0xa5d2ae89, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0x646f5a93, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0x186f00cf, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0x3866ccd4, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0x6ec1dc6b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe940437f, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xa40cc28c, "dev_pre_changeaddr_notify" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x600167c7, "skb_copy_bits" },
	{ 0xd002b84, "__nlmsg_put" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x79453f4a, "ipv6_mc_check_mld" },
	{ 0x8fdc9883, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8b669f1a, "sysfs_create_file_ns" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x3039c7f4, "netdev_update_features" },
	{ 0xe6ba56fc, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x1df605de, "nla_put_64bit" },
	{ 0x19e0ae50, "__SCT__tp_func_br_fdb_external_learn_add" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x4167adb3, "rt_mutex_base_init" },
	{ 0x733ec33e, "__SCT__tp_func_fdb_delete" },
	{ 0x5529042b, "dev_uc_del" },
	{ 0x4fadc276, "rtnl_link_register" },
	{ 0xb8784c49, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb9fd0e3f, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0x85f275, "dev_set_promiscuity" },
	{ 0xae9c2f1d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x3a2f6082, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x3c501ce5, "unregister_netdevice_queue" },
	{ 0xe8e4f1b3, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x683858b6, "netdev_state_change" },
	{ 0x74f92e14, "__pskb_copy_fclone" },
	{ 0x5cc01141, "__dev_get_by_name" },
	{ 0x3a0149b6, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3d5f2bd8, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x227083f0, "pskb_expand_head" },
	{ 0x49c63659, "register_pernet_subsys" },
	{ 0x8a1016c5, "brioctl_set" },
	{ 0xb912560d, "static_key_disable" },
	{ 0x44e795bb, "arp_xmit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xeaefbb9f, "alloc_netdev_mqs" },
	{ 0x9a205f34, "passthru_features_check" },
	{ 0x35240f5a, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x97dce3b, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe8016f61, "__SCK__tp_func_br_mdb_full" },
	{ 0xba8a6681, "rtnl_af_register" },
	{ 0xef8cd858, "__tracepoint_br_mdb_full" },
	{ 0xb11cc43b, "__SCT__tp_func_br_fdb_update" },
	{ 0x7916343c, "__SCT__tp_func_br_mdb_full" },
	{ 0xa916b694, "strnlen" },
	{ 0x22a171b7, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x4b344af6, "kmem_cache_alloc" },
	{ 0x1e851a8c, "rtnl_set_sk_err" },
	{ 0xe8a17293, "skb_vlan_pop" },
	{ 0xc5e1995a, "rtnl_unicast" },
	{ 0xc342e34d, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x4d6a9ee9, "ipv6_dev_get_saddr" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x480a5a21, "nla_reserve_64bit" },
	{ 0x92b05db2, "__ip_mc_dec_group" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x610ab14d, "__dev_get_by_index" },
	{ 0xcca97cc, "rtnl_link_unregister" },
	{ 0x3451d592, "try_to_del_timer_sync" },
	{ 0x8e436010, "init_net" },
	{ 0x90666ffb, "ipv6_stub" },
	{ 0x7d450f16, "inet_confirm_addr" },
	{ 0xcb30507b, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2a3deed9, "sysfs_remove_link" },
	{ 0xdbc52424, "skb_vlan_untag" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xdc3b485a, "__SCK__tp_func_br_fdb_add" },
	{ 0xa3df7c26, "rtnl_af_unregister" },
	{ 0x9363d468, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x5afd9e66, "arp_send" },
	{ 0xff4515f2, "dev_get_by_index_rcu" },
	{ 0x3c48685e, "__tracepoint_br_fdb_add" },
	{ 0x652032cb, "mac_pton" },
	{ 0x1bc630af, "skb_push" },
	{ 0xb0ce3b19, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xeb685ca5, "ndo_dflt_fdb_dump" },
	{ 0x5a921311, "strncmp" },
	{ 0x3a98f417, "netdev_upper_dev_unlink" },
	{ 0x959b6450, "netif_receive_skb" },
	{ 0x6e2b5444, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x82d6e4e, "llc_mac_hdr_init" },
	{ 0x1e73243f, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x7275522c, "__SCK__tp_func_fdb_delete" },
	{ 0xd71955dc, "kobject_init_and_add" },
	{ 0x8d4c95ac, "__skb_warn_lro_forwarding" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe3dfa7da, "ns_capable" },
	{ 0x36746f1a, "inet_select_addr" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xd8e569bc, "sysfs_create_group" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x9188c620, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x625d1bcf, "arp_create" },
	{ 0x172eee4c, "__ethtool_get_link_ksettings" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x82922fa2, "stp_proto_register" },
	{ 0x55f3baf7, "rtnl_register_module" },
	{ 0x14224a37, "__tracepoint_br_fdb_update" },
	{ 0xb0d3f3fa, "sysfs_rename_link_ns" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xe185dfec, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x44409292, "rht_bucket_nested_insert" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x8e7e8742, "__pskb_pull_tail" },
	{ 0x82eb03d, "dev_get_tstats64" },
	{ 0x39178a46, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xd73e76fc, "ip_mc_check_igmp" },
	{ 0x541438f5, "__netdev_alloc_skb" },
	{ 0xd3d58458, "rhashtable_destroy" },
	{ 0x166ed2c8, "rt_spin_unlock" },
	{ 0xf9297263, "netdev_master_upper_dev_link" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x70b93b57, "kobject_create_and_add" },
	{ 0xc01abdf8, "skb_trim" },
	{ 0xb19c190, "nf_hook_slow" },
	{ 0x4e7a420c, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x6367f2e6, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x89b4707d, "__ip_mc_inc_group" },
	{ 0x7384db7b, "netdev_walk_all_upper_dev_rcu" },
	{ 0xd262620e, "sysfs_remove_group" },
	{ 0x52839759, "in_dev_finish_destroy" },
	{ 0x5f98bdb6, "nf_hooks_needed" },
	{ 0xef3d96db, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x92067228, "__tracepoint_fdb_delete" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x53ba3905, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x72ac9cf5, "vlan_vid_add" },
	{ 0x7a324c98, "neigh_destroy" },
	{ 0x5d2c7d4a, "__tracepoint_br_fdb_external_learn_add" },
	{ 0x63a36dc5, "kobject_del" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x2d44be3b, "__SCT__tp_func_br_fdb_add" },
	{ 0x4fa3e62f, "__SCK__tp_func_br_fdb_update" },
	{ 0xb1458ff3, "call_netdevice_notifiers" },
	{ 0x58493c7, "is_skb_forwardable" },
	{ 0xe46769a3, "vlan_vid_del" },
	{ 0x30d410c0, "dev_set_allmulti" },
	{ 0x98efb01a, "net_ns_get_ownership" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6dac0bd8, "netdev_master_upper_dev_get" },
	{ 0xe9cbc34f, "ipv6_dev_mc_inc" },
	{ 0x159157e8, "rtnl_notify" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x187efd48, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd73d23f8, "__vlan_find_dev_deep_rcu" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xd953271e, "skb_clone" },
	{ 0x559f7353, "__SCK__tp_func_br_fdb_external_learn_add" },
	{ 0xffde73b7, "metadata_dst_alloc" },
	{ 0x2afc80ea, "dst_release" },
	{ 0xbd58c528, "netif_carrier_on" },
	{ 0xd120e898, "kobject_uevent" },
	{ 0x4059003a, "arp_tbl" },
	{ 0x2cd7bb97, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x1c0795fd, "netdev_rx_handler_register" },
	{ 0x34b4ff1d, "dev_uc_add" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xffb288b3, "netif_set_tso_max_size" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x61c51897, "dev_disable_lro" },
	{ 0xe3b82c0b, "kmalloc_trace" },
	{ 0xde8957c7, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xdf8cc35e, "dev_get_flags" },
	{ 0x754d539c, "strlen" },
	{ 0x36350089, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xfad2e502, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0x4ec0bbb2, "nf_queue" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0x314a24d6, "netif_set_tso_max_segs" },
	{ 0x349cba85, "strchr" },
	{ 0xf1e709b6, "sysfs_remove_bin_file" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xae89d9e3, "stp_proto_unregister" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2effab57, "kmalloc_caches" },
	{ 0x615c302d, "neigh_lookup" },
	{ 0x8cae5f5c, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xcb78591c, "kobject_put" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xa9332609, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x4045bda5, "module_layout" },
};

MODULE_INFO(depends, "ipv6,llc,stp");


MODULE_INFO(srcversion, "71CB8C6A7751ABD596E0CE3");
MODULE_INFO(rhelversion, "9.7");
