#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0x04cbdc59, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0x01b3ebda, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0x06299f7e, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0x7d8012c0, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0x24476d05, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0xe8c52a36, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0x31687361, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0xabd4ec6d, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0x7c6e1ab1, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0x6ace8fcc, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0x214e443a, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0x2fb14af6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x9f9dcb1f, "ip_tunnel_header_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0x8e436010, "init_net" },
	{ 0xeaefbb9f, "alloc_netdev_mqs" },
	{ 0x76b59481, "register_netdev" },
	{ 0xa916b694, "strnlen" },
	{ 0x1e73243f, "free_netdev" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xcca97cc, "rtnl_link_unregister" },
	{ 0x1a814d64, "ip6_local_out" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xae9c2f1d, "pcpu_hot" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x3750f386, "__get_hash_from_flowi6" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xe261b4c2, "gro_cells_init" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x8e7e8742, "__pskb_pull_tail" },
	{ 0xa9332609, "register_netdevice" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0x683858b6, "netdev_state_change" },
	{ 0xe3dfa7da, "ns_capable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x450d403a, "dst_cache_get" },
	{ 0xa9daf061, "ipv4_mtu" },
	{ 0x3892ac8b, "skb_scrub_packet" },
	{ 0x505635d2, "skb_realloc_headroom" },
	{ 0xce6002b3, "skb_set_owner_w" },
	{ 0xe6ba56fc, "consume_skb" },
	{ 0xce371738, "ipv6_push_frag_opts" },
	{ 0x1bc630af, "skb_push" },
	{ 0x128b41d4, "ip6_route_output_flags" },
	{ 0x4d6a9ee9, "ipv6_dev_get_saddr" },
	{ 0x36a45a57, "dst_cache_set_ip6" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x600167c7, "skb_copy_bits" },
	{ 0x6b3f98cb, "ip6_dst_hoplimit" },
	{ 0x7a324c98, "neigh_destroy" },
	{ 0xf0c0da3d, "make_kuid" },
	{ 0x5bd8da79, "ip6_redirect" },
	{ 0x8a1fc06c, "ip6_update_pmtu" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf2b6f603, "iptunnel_handle_offloads" },
	{ 0x250a4ae6, "icmpv6_ndo_send" },
	{ 0x196123cb, "icmp_ndo_send" },
	{ 0x9363d468, "sk_skb_reason_drop" },
	{ 0xd953271e, "skb_clone" },
	{ 0xcb30507b, "skb_pull" },
	{ 0x951292a7, "__icmpv6_send" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x26a23cd1, "gro_cells_receive" },
	{ 0x7ebda8a3, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x47a64b23, "__iptunnel_pull_header" },
	{ 0xffde73b7, "metadata_dst_alloc" },
	{ 0x3633903e, "ip_route_output_flow" },
	{ 0xdc39df4b, "ip_route_input_noref" },
	{ 0x354cd43, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x82eb03d, "dev_get_tstats64" },
	{ 0xeefaea35, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x84386c7b, "ip6tun_encaps" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x2f0cfa5, "ipv6_chk_addr_and_flags" },
	{ 0xff4515f2, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x4e798227, "register_pernet_device" },
	{ 0xbcfac77d, "xfrm6_tunnel_register" },
	{ 0x4fadc276, "rtnl_link_register" },
	{ 0xc2237f91, "xfrm6_tunnel_deregister" },
	{ 0xe63a6b92, "unregister_pernet_device" },
	{ 0x6e2b5444, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c501ce5, "unregister_netdevice_queue" },
	{ 0x8803b175, "rt6_lookup" },
	{ 0x2afc80ea, "dst_release" },
	{ 0x610ab14d, "__dev_get_by_index" },
	{ 0x4045bda5, "module_layout" },
};

MODULE_INFO(depends, "ipv6,tunnel6");


MODULE_INFO(srcversion, "51119951CF018A48EEED5B1");
MODULE_INFO(rhelversion, "9.7");
