#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wm_adsp_fw_get, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_fw_put, "_gpl", "");
KSYMTAB_DATA(wm_adsp_fw_enum, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_control_add, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_write_ctl, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_read_ctl, "_gpl", "");
KSYMTAB_FUNC(wm_adsp1_init, "_gpl", "");
KSYMTAB_FUNC(wm_adsp1_event, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_set_dspclk, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_preloader_get, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_preloader_put, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_power_up, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_power_down, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_early_event, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_run, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_stop, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_event, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_component_probe, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_component_remove, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_init, "_gpl", "");
KSYMTAB_FUNC(wm_halo_init, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_remove, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_open, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_free, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_get_caps, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_trigger, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_handle_irq, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_pointer, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_copy, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_bus_error, "_gpl", "");
KSYMTAB_FUNC(wm_halo_bus_error, "_gpl", "");
KSYMTAB_FUNC(wm_halo_wdt_expire, "_gpl", "");

SYMBOL_CRC(wm_adsp_fw_get, 0x7a1de53e, "_gpl");
SYMBOL_CRC(wm_adsp_fw_put, 0xcf5e0e78, "_gpl");
SYMBOL_CRC(wm_adsp_fw_enum, 0x894458f3, "_gpl");
SYMBOL_CRC(wm_adsp_control_add, 0x5b42f476, "_gpl");
SYMBOL_CRC(wm_adsp_write_ctl, 0x52e1d017, "_gpl");
SYMBOL_CRC(wm_adsp_read_ctl, 0x33d0ed5b, "_gpl");
SYMBOL_CRC(wm_adsp1_init, 0x6b361c5e, "_gpl");
SYMBOL_CRC(wm_adsp1_event, 0x04cb256b, "_gpl");
SYMBOL_CRC(wm_adsp2_set_dspclk, 0x9dc65245, "_gpl");
SYMBOL_CRC(wm_adsp2_preloader_get, 0xd14aaba8, "_gpl");
SYMBOL_CRC(wm_adsp2_preloader_put, 0x640940ee, "_gpl");
SYMBOL_CRC(wm_adsp_power_up, 0x06a556c8, "_gpl");
SYMBOL_CRC(wm_adsp_power_down, 0x4f2772f0, "_gpl");
SYMBOL_CRC(wm_adsp_early_event, 0x3d1ea073, "_gpl");
SYMBOL_CRC(wm_adsp_run, 0x0f389cb2, "_gpl");
SYMBOL_CRC(wm_adsp_stop, 0x5b8fdc79, "_gpl");
SYMBOL_CRC(wm_adsp_event, 0x8972fe1c, "_gpl");
SYMBOL_CRC(wm_adsp2_component_probe, 0xbdc5913c, "_gpl");
SYMBOL_CRC(wm_adsp2_component_remove, 0x9d0ec734, "_gpl");
SYMBOL_CRC(wm_adsp2_init, 0xdf502db9, "_gpl");
SYMBOL_CRC(wm_halo_init, 0xe6f59448, "_gpl");
SYMBOL_CRC(wm_adsp2_remove, 0x16bf386d, "_gpl");
SYMBOL_CRC(wm_adsp_compr_open, 0xe8d20eed, "_gpl");
SYMBOL_CRC(wm_adsp_compr_free, 0xeee4b461, "_gpl");
SYMBOL_CRC(wm_adsp_compr_set_params, 0x6de147fa, "_gpl");
SYMBOL_CRC(wm_adsp_compr_get_caps, 0x6f09438c, "_gpl");
SYMBOL_CRC(wm_adsp_compr_trigger, 0xc9379884, "_gpl");
SYMBOL_CRC(wm_adsp_compr_handle_irq, 0x4128a6be, "_gpl");
SYMBOL_CRC(wm_adsp_compr_pointer, 0xa8c87591, "_gpl");
SYMBOL_CRC(wm_adsp_compr_copy, 0xe6782f62, "_gpl");
SYMBOL_CRC(wm_adsp2_bus_error, 0xdd3c79ef, "_gpl");
SYMBOL_CRC(wm_halo_bus_error, 0xea38ee07, "_gpl");
SYMBOL_CRC(wm_halo_wdt_expire, 0x52c16479, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7afae0f, "cs_dsp_coeff_lock_and_read_ctrl" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xaa898ee9, "snd_soc_component_force_enable_pin" },
	{ 0x1be59102, "firmware_request_nowarn" },
	{ 0x72318be7, "cs_dsp_cleanup_debugfs" },
	{ 0x92b995f1, "cs_dsp_coeff_read_ctrl" },
	{ 0xdd180201, "snd_compr_stop_error" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7cd1b336, "cs_dsp_stop" },
	{ 0xef3f47c5, "cs_dsp_adsp1_power_up" },
	{ 0xb00704cf, "cs_dsp_adsp1_power_down" },
	{ 0x96848186, "scnprintf" },
	{ 0xf6b2553e, "cs_dsp_adsp1_init" },
	{ 0x37a0cba, "kfree" },
	{ 0xb7e8e8d9, "cs_dsp_coeff_write_ctrl" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x90ca2aa6, "cs_dsp_init_debugfs" },
	{ 0x8c849ef8, "__wake_up" },
	{ 0xdfd44b79, "cs_dsp_halo_bus_error" },
	{ 0xb9eca6bf, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7ddd5ae9, "snd_soc_dapm_sync" },
	{ 0x4e5562f8, "cs_dsp_remove_padding" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd8deb60c, "cs_dsp_find_alg_region" },
	{ 0x9774a47d, "cs_dsp_coeff_write_acked_control" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xeec273f, "cs_dsp_get_ctl" },
	{ 0x696ee216, "_dev_info" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x7343bbb1, "_dev_err" },
	{ 0x499e043c, "mutex_lock" },
	{ 0x4c4bd8b4, "cs_dsp_halo_init" },
	{ 0xaebcb1d0, "cs_dsp_power_down" },
	{ 0xc5d5a55b, "cs_dsp_adsp2_init" },
	{ 0x81f22607, "snd_soc_add_component_controls" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xbc686a3c, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0x144d6986, "cs_dsp_mem_region_name" },
	{ 0xcb51e4d2, "cs_dsp_set_dspclk" },
	{ 0xfd8798e5, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa46d136, "cs_dsp_power_up" },
	{ 0x882a2d87, "cs_dsp_coeff_lock_and_write_ctrl" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x999e8297, "vfree" },
	{ 0x11fc1c9e, "cs_dsp_run" },
	{ 0x13ea7980, "mutex_unlock" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xeefc2c3a, "cs_dsp_write_data_word" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xa1d68e1f, "cs_dsp_halo_wdt_expire" },
	{ 0xa07432af, "snd_soc_component_disable_pin" },
	{ 0x3666d839, "snd_soc_bytes_tlv_callback" },
	{ 0xa2b1d928, "cs_dsp_adsp2_bus_error" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x5205d83d, "cs_dsp_read_raw_data_block" },
	{ 0xe3b82c0b, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xa396ffd5, "cs_dsp_read_data_word" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2effab57, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4045bda5, "module_layout" },
};

MODULE_INFO(depends, "cs_dsp,snd-soc-core,snd-compress");


MODULE_INFO(srcversion, "39FD9C91EF284C6D7CC5478");
MODULE_INFO(rhelversion, "9.7");
